#----------------------------------------------------------------------------
# Name:         __init__.py
# Purpose:      The presence of this file turns this directory into a
#               Python package.
#
# Author:       Robin Dunn
#
# Created:      8-Aug-1998
# RCS-ID:       $Id$
# Copyright:    (c) 1998 by Total Control Software
# Licence:      wxWindows license
#----------------------------------------------------------------------------

import __version__
__version__ = __version__.VERSION_STRING


__all__ = [
    # Sub-packages
    'build',
    'lib',
    'py',
    'tools',

    # other modules
    'animate',
    'aui',
    'calendar',
    'combo',
    'grid',
    'html',
    'media',
    'richtext',
    'webkit',
    'wizard',
    'xrc',

    # contribs (need a better way to find these...)
    'gizmos',
    'glcanvas',
    'stc',
    ]

# Load the package namespace with the core classes and such
from wx._core import *
del wx

if 'wxMSW' in PlatformInfo:
    __all__ += ['activex']

# Load up __all__ with all the names of items that should appear to be
# defined in this pacakge so epydoc will document them that way.
import wx._core
__docfilter__ = wx._core.__DocFilter(globals())

__all__ += [name for name in dir(wx._core) if not name.startswith('_')]

from wx.lib.statbmp import GenStaticBitmap as StaticBitmap
from wx.lib.stattext import GenStaticText as StaticText

ACCEL_ALT = wxACCEL_ALT
ACCEL_CTRL = wxACCEL_CTRL
ACCEL_NORMAL = wxACCEL_NORMAL
ACCEL_SHIFT = wxACCEL_SHIFT
ALIGN_BOTTOM = wxALIGN_BOTTOM
ALIGN_CENTER = wxALIGN_CENTER
ALIGN_CENTER_HORIZONTAL = wxALIGN_CENTER_HORIZONTAL
ALIGN_CENTER_VERTICAL = wxALIGN_CENTER_VERTICAL
ALIGN_CENTRE = wxALIGN_CENTRE
ALIGN_CENTRE_HORIZONTAL = wxALIGN_CENTRE_HORIZONTAL
ALIGN_CENTRE_VERTICAL = wxALIGN_CENTRE_VERTICAL
ALIGN_LEFT = wxALIGN_LEFT
ALIGN_RIGHT = wxALIGN_RIGHT
ALIGN_TOP = wxALIGN_TOP
ALL = wxALL
ALPHA_OPAQUE = wxALPHA_OPAQUE
App_CleanUp = wxApp_CleanUp
AutoBufferedPaintDC = wxAutoBufferedPaintDC
BDIAGONAL_HATCH = wxBDIAGONAL_HATCH
BG_STYLE_CUSTOM = wxBG_STYLE_CUSTOM
BG_STYLE_SYSTEM = wxBG_STYLE_SYSTEM
BITMAP_TYPE_ANY = wxBITMAP_TYPE_ANY
BITMAP_TYPE_PNG = wxBITMAP_TYPE_PNG
BITMAP_TYPE_XPM = wxBITMAP_TYPE_XPM
BitmapButton = wxBitmapButton
BOLD = wxBOLD
BookCtrlBase = wxBookCtrlBase
BORDER = wxBORDER
BORDER_MASK = wxBORDER_MASK
BORDER_NONE = wxBORDER_NONE
BORDER_SIMPLE = wxBORDER_SIMPLE
BORDER_SUNKEN = wxBORDER_SUNKEN
BOTH = wxBOTH
BOTTOM = wxBOTTOM
Bottom = wxBottom
BoxSizer = wxBoxSizer
BRUSHSTYLE_SOLID = wxBRUSHSTYLE_SOLID
BU_AUTODRAW = wxBU_AUTODRAW
BufferedDC = wxBufferedDC
BusyCursor = wxBusyCursor
Button = wxButton
CANCEL = wxCANCEL
CAP_BUTT = wxCAP_BUTT
CAP_PROJECTING = wxCAP_PROJECTING
CAP_ROUND = wxCAP_ROUND
CAPTION = wxCAPTION
CB_DROPDOWN = wxCB_DROPDOWN
CENTER = wxCENTER
CENTRE = wxCENTRE
CentreX = wxCentreX
CentreY = wxCentreY
CheckBox = wxCheckBox
CheckListBox = wxCheckListBox
Choice = wxChoice
ClientDC = wxClientDC
CLIP_CHILDREN = wxCLIP_CHILDREN
Clipboard = wxClipboard
CLOSE_BOX = wxCLOSE_BOX
CollapsiblePane = wxCollapsiblePane
ColourDialog = wxColourDialog
ColourPickerCtrl = wxColourPickerCtrl
ComboBox = wxComboBox
Config = wxConfig
CONFIG_USE_LOCAL_FILE = wxCONFIG_USE_LOCAL_FILE
CP_DEFAULT_STYLE = wxCP_DEFAULT_STYLE
CP_NO_TLW_RESIZE = wxCP_NO_TLW_RESIZE
CROSS_HATCH = wxCROSS_HATCH
CROSSDIAG_HATCH = wxCROSSDIAG_HATCH
CURSOR_HAND = wxCURSOR_HAND
DatePickerCtrl = wxDatePickerCtrl
DD_DEFAULT_STYLE = wxDD_DEFAULT_STYLE
DD_DIR_MUST_EXIST = wxDD_DIR_MUST_EXIST
DD_NEW_DIR_BUTTON = wxDD_NEW_DIR_BUTTON
DECORATIVE = wxDECORATIVE
DEFAULT = wxDEFAULT
DEFAULT_DIALOG_STYLE = wxDEFAULT_DIALOG_STYLE
DEFAULT_FRAME_STYLE = wxDEFAULT_FRAME_STYLE
DefaultPosition = wxDefaultPosition
DefaultSize = wxDefaultSize
DefaultValidator = wxDefaultValidator
Dialog = wxDialog
DIALOG_NO_PARENT = wxDIALOG_NO_PARENT
DirDialog = wxDirDialog
DirPickerCtrl = wxDirPickerCtrl
DOT = wxDOT
DOT_DASH = wxDOT_DASH
EQUIV = wxEQUIV
EvtHandler = wxEvtHandler
EXPAND = wxEXPAND
FD_OPEN = wxFD_OPEN
FDIAGONAL_HATCH = wxFDIAGONAL_HATCH
FileConfig = wxFileConfig
FileDialog = wxFileDialog
FileHistory = wxFileHistory
FilePickerCtrl = wxFilePickerCtrl
FileSystem = wxFileSystem
FindReplaceData = wxFindReplaceData
FindReplaceDialog = wxFindReplaceDialog
FIXED = wxFIXED
FIXED_MINSIZE = wxFIXED_MINSIZE
FLEX_GROWMODE_ALL = wxFLEX_GROWMODE_ALL
FLEX_GROWMODE_NONE = wxFLEX_GROWMODE_NONE
FLEX_GROWMODE_SPECIFIED = wxFLEX_GROWMODE_SPECIFIED
FlexGridSizer = wxFlexGridSizer
FontDialog = wxFontDialog
FONTENCODING_ISO8859_7 = wxFONTENCODING_ISO8859_7
FONTFAMILY_SWISS = wxFONTFAMILY_SWISS
FONTFLAG_BOLD = wxFONTFLAG_BOLD
FontPickerCtrl = wxFontPickerCtrl
FONTSTYLE_NORMAL = wxFONTSTYLE_NORMAL
FONTWEIGHT_NORMAL = wxFONTWEIGHT_NORMAL
FR_DOWN = wxFR_DOWN
Frame = wxFrame
FRAME_FLOAT_ON_PARENT = wxFRAME_FLOAT_ON_PARENT
FRAME_NO_TASKBAR = wxFRAME_NO_TASKBAR
FRAME_SHAPED = wxFRAME_SHAPED
FRAME_TOOL_WINDOW = wxFRAME_TOOL_WINDOW
GA_HORIZONTAL = wxGA_HORIZONTAL
GA_SMOOTH = wxGA_SMOOTH
Gauge = wxGauge
GBPosition = wxGBPosition
GenericDirCtrl = wxGenericDirCtrl
GetClientDisplayRect = wxGetClientDisplayRect
GetDefaultPyEncoding = wxGetDefaultPyEncoding
GetDisplaySize = wxGetDisplaySize
GetHomeDir = wxGetHomeDir
GetOsDescription = wxGetOsDescription
GetTopLevelParent = wxGetTopLevelParent
GetTranslation = wxGetTranslation
GetUserHome = wxGetUserHome
GetUserId = wxGetUserId
GetUserName = wxGetUserName
GridSizer = wxGridSizer
GROW = wxGROW
Height = wxHeight
HELP = wxHELP
HORIZONTAL = wxHORIZONTAL
HORIZONTAL_HATCH = wxHORIZONTAL_HATCH
HSCROLL = wxHSCROLL
ICON_ERROR = wxICON_ERROR
ICON_EXCLAMATION = wxICON_EXCLAMATION
ICON_INFORMATION = wxICON_INFORMATION
ICON_NONE = wxICON_NONE
ICON_QUESTION = wxICON_QUESTION
ICON_WARNING = wxICON_WARNING
ID_ABOUT = wxID_ABOUT
ID_ADD = wxID_ADD
ID_ANY = wxID_ANY
ID_BACKWARD = wxID_BACKWARD
ID_CANCEL = wxID_CANCEL
ID_CLEAR = wxID_CLEAR
ID_CLOSE = wxID_CLOSE
ID_CLOSE_ALL = wxID_CLOSE_ALL
ID_COPY = wxID_COPY
ID_CUT = wxID_CUT
ID_DOWN = wxID_DOWN
ID_EDIT = wxID_EDIT
ID_EXIT = wxID_EXIT
ID_FILE = wxID_FILE
ID_FILE1 = wxID_FILE1
ID_FIND = wxID_FIND
ID_FORWARD = wxID_FORWARD
ID_HIGHEST = wxID_HIGHEST
ID_HOME = wxID_HOME
ID_INDENT = wxID_INDENT
ID_NEW = wxID_NEW
ID_OK = wxID_OK
ID_OPEN = wxID_OPEN
ID_PASTE = wxID_PASTE
ID_PREFERENCES = wxID_PREFERENCES
ID_PREVIEW = wxID_PREVIEW
ID_PRINT = wxID_PRINT
ID_PRINT_SETUP = wxID_PRINT_SETUP
ID_REDO = wxID_REDO
ID_REFRESH = wxID_REFRESH
ID_REMOVE = wxID_REMOVE
ID_REPLACE = wxID_REPLACE
ID_REVERT = wxID_REVERT
ID_REVERT_TO_SAVED = wxID_REVERT_TO_SAVED
ID_SAVE = wxID_SAVE
ID_SAVEAS = wxID_SAVEAS
ID_SELECTALL = wxID_SELECTALL
ID_SEPARATOR = wxID_SEPARATOR
ID_STOP = wxID_STOP
ID_UNDO = wxID_UNDO
ID_UNINDENT = wxID_UNINDENT
ID_UP = wxID_UP
ID_ZOOM_100 = wxID_ZOOM_100
ID_ZOOM_IN = wxID_ZOOM_IN
ID_ZOOM_OUT = wxID_ZOOM_OUT
IMAGE_LIST_SMALL = wxIMAGE_LIST_SMALL
INVERT = wxINVERT
ITALIC = wxITALIC
ITEM_CHECK = wxITEM_CHECK
ITEM_MAX = wxITEM_MAX
ITEM_NORMAL = wxITEM_NORMAL
ITEM_RADIO = wxITEM_RADIO
ITEM_SEPARATOR = wxITEM_SEPARATOR
Image = wxImage
JOIN_BEVEL = wxJOIN_BEVEL
JOIN_MITER = wxJOIN_MITER
JOIN_ROUND = wxJOIN_ROUND
LayoutConstraints = wxLayoutConstraints
LB_EXTENDED = wxLB_EXTENDED
LB_HSCROLL = wxLB_HSCROLL
LB_SORT = wxLB_SORT
LC_ALIGN_LEFT = wxLC_ALIGN_LEFT
LC_ALIGN_TOP = wxLC_ALIGN_TOP
LC_AUTOARRANGE = wxLC_AUTOARRANGE
LC_EDIT_LABELS = wxLC_EDIT_LABELS
LC_HRULES = wxLC_HRULES
LC_ICON = wxLC_ICON
LC_LIST = wxLC_LIST
LC_NO_HEADER = wxLC_NO_HEADER
LC_NO_SORT_HEADER = wxLC_NO_SORT_HEADER
LC_REPORT = wxLC_REPORT
LC_SINGLE_SEL = wxLC_SINGLE_SEL
LC_SMALL_ICON = wxLC_SMALL_ICON
LC_SORT_ASCENDING = wxLC_SORT_ASCENDING
LC_SORT_DESCENDING = wxLC_SORT_DESCENDING
LC_VIRTUAL = wxLC_VIRTUAL
LC_VRULES = wxLC_VRULES
LEFT = wxLEFT
Left = wxLeft
LIGHT = wxLIGHT
LIST_ALIGN_DEFAULT = wxLIST_ALIGN_DEFAULT
LIST_ALIGN_SNAP_TO_GRID = wxLIST_ALIGN_SNAP_TO_GRID
LIST_AUTOSIZE = wxLIST_AUTOSIZE
LIST_AUTOSIZE_USEHEADER = wxLIST_AUTOSIZE_USEHEADER
LIST_FIND_DOWN = wxLIST_FIND_DOWN
LIST_FIND_LEFT = wxLIST_FIND_LEFT
LIST_FIND_RIGHT = wxLIST_FIND_RIGHT
LIST_FIND_UP = wxLIST_FIND_UP
LIST_FORMAT_CENTRE = wxLIST_FORMAT_CENTRE
LIST_FORMAT_LEFT = wxLIST_FORMAT_LEFT
LIST_FORMAT_RIGHT = wxLIST_FORMAT_RIGHT
LIST_GETSUBITEMRECT_WHOLEITEM = wxLIST_GETSUBITEMRECT_WHOLEITEM
LIST_HITTEST_ABOVE = wxLIST_HITTEST_ABOVE
LIST_HITTEST_BELOW = wxLIST_HITTEST_BELOW
LIST_HITTEST_NOWHERE = wxLIST_HITTEST_NOWHERE
LIST_HITTEST_ONITEMICON = wxLIST_HITTEST_ONITEMICON
LIST_HITTEST_ONITEMLABEL = wxLIST_HITTEST_ONITEMLABEL
LIST_HITTEST_ONITEMRIGHT = wxLIST_HITTEST_ONITEMRIGHT
LIST_HITTEST_ONITEMSTATEICON = wxLIST_HITTEST_ONITEMSTATEICON
LIST_HITTEST_TOLEFT = wxLIST_HITTEST_TOLEFT
LIST_HITTEST_TORIGHT = wxLIST_HITTEST_TORIGHT
LIST_MASK_DATA = wxLIST_MASK_DATA
LIST_MASK_FORMAT = wxLIST_MASK_FORMAT
LIST_MASK_IMAGE = wxLIST_MASK_IMAGE
LIST_MASK_STATE = wxLIST_MASK_STATE
LIST_MASK_TEXT = wxLIST_MASK_TEXT
LIST_MASK_WIDTH = wxLIST_MASK_WIDTH
LIST_NEXT_ABOVE = wxLIST_NEXT_ABOVE
LIST_NEXT_ALL = wxLIST_NEXT_ALL
LIST_NEXT_BELOW = wxLIST_NEXT_BELOW
LIST_NEXT_LEFT = wxLIST_NEXT_LEFT
LIST_NEXT_RIGHT = wxLIST_NEXT_RIGHT
LIST_RECT_BOUNDS = wxLIST_RECT_BOUNDS
LIST_RECT_ICON = wxLIST_RECT_ICON
LIST_RECT_LABEL = wxLIST_RECT_LABEL
LIST_SET_ITEM = wxLIST_SET_ITEM
LIST_STATE_CUT = wxLIST_STATE_CUT
LIST_STATE_DISABLED = wxLIST_STATE_DISABLED
LIST_STATE_DONTCARE = wxLIST_STATE_DONTCARE
LIST_STATE_DROPHILITED = wxLIST_STATE_DROPHILITED
LIST_STATE_FILTERED = wxLIST_STATE_FILTERED
LIST_STATE_FOCUSED = wxLIST_STATE_FOCUSED
LIST_STATE_INUSE = wxLIST_STATE_INUSE
LIST_STATE_PICKED = wxLIST_STATE_PICKED
LIST_STATE_SELECTED = wxLIST_STATE_SELECTED
LIST_STATE_SOURCE = wxLIST_STATE_SOURCE
ListBox = wxListBox
ListView = wxListView
Locale = wxLocale
Log = wxLog
Log_SetActiveTarget = wxLog_SetActiveTarget
LogNull = wxLogNull
LogStderr = wxLogStderr
LONG_DASH = wxLONG_DASH
MAXIMIZE_BOX = wxMAXIMIZE_BOX
MDIChildFrame = wxMDIChildFrame
MDIParentFrame = wxMDIParentFrame
MemoryFSHandler = wxMemoryFSHandler
Menu = wxMenu
MenuBar = wxMenuBar
MenuItem = wxMenuItem
MilliSleep = wxMilliSleep
MiniFrame = wxMiniFrame
MINIMIZE_BOX = wxMINIMIZE_BOX
MM_TEXT = wxMM_TEXT
MOD_ALT = wxMOD_ALT
MOD_CONTROL = wxMOD_CONTROL
MOD_SHIFT = wxMOD_SHIFT
MOD_WIN = wxMOD_WIN
MODERN = wxMODERN
MOUSE_BTN_MIDDLE = wxMOUSE_BTN_MIDDLE
MultiChoiceDialog = wxMultiChoiceDialog
NewEventType = wxNewEventType
NewId = wxNewId
NO = wxNO
NO_BORDER = wxNO_BORDER
NO_DEFAULT = wxNO_DEFAULT
NO_FULL_REPAINT_ON_RESIZE = wxNO_FULL_REPAINT_ON_RESIZE
NORMAL = wxNORMAL
Notebook = wxNotebook
NotifyEvent = wxNotifyEvent
NullBitmap = wxNullBitmap
NullColour = wxNullColour
NullCursor = wxNullCursor
NullFont = wxNullFont
NullIcon = wxNullIcon
Object = wxObject
ODDEVEN_RULE = wxODDEVEN_RULE
OK = wxOK
Panel = wxPanel
PAPER_LETTER = wxPAPER_LETTER
PasswordEntryDialog = wxPasswordEntryDialog
PD_APP_MODAL = wxPD_APP_MODAL
PD_AUTO_HIDE = wxPD_AUTO_HIDE
PD_CAN_ABORT = wxPD_CAN_ABORT
PD_ELAPSED_TIME = wxPD_ELAPSED_TIME
PENSTYLE_SOLID = wxPENSTYLE_SOLID
Point = wxPoint
PopupWindow = wxPopupWindow
PORTRAIT = wxPORTRAIT
PostEvent = wxPostEvent
PreviewFrame = wxPreviewFrame
PrintData = wxPrintData
PrintDialogData = wxPrintDialogData
PrintPreview = wxPrintPreview
PyApp = wxPyApp
PyCommandEvent = wxPyCommandEvent
PyControl = wxPyControl
PyDataObjectSimple = wxPyDataObjectSimple
PyEvent = wxPyEvent
PyEvtHandler = wxPyEvtHandler
PyPanel = wxPyPanel
PyScrolledWindow = wxPyScrolledWindow
PySizer = wxPySizer
PyValidator = wxPyValidator
PyWindow = wxPyWindow
RadioBox = wxRadioBox
RadioButton = wxRadioButton
Rect = wxRect
RESIZE_BORDER = wxRESIZE_BORDER
RIGHT = wxRIGHT
Right = wxRight
ROMAN = wxROMAN
SafeYield = wxSafeYield
SB_FLAT = wxSB_FLAT
SB_HORIZONTAL = wxSB_HORIZONTAL
SB_VERTICAL = wxSB_VERTICAL
SCRIPT = wxSCRIPT
ScrollBar = wxScrollBar
ScrolledWindow = wxScrolledWindow
SearchCtrl = wxSearchCtrl
SHAPED = wxSHAPED
SHORT_DASH = wxSHORT_DASH
SIMPLE_BORDER = wxSIMPLE_BORDER
SimpleHtmlListBox = wxSimpleHtmlListBox
SingleChoiceDialog = wxSingleChoiceDialog
SingleInstanceChecker = wxSingleInstanceChecker
Size = wxSize
SIZE_AUTO = wxSIZE_AUTO
SIZE_USE_EXISTING = wxSIZE_USE_EXISTING
SizerItem = wxSizerItem
SLANT = wxSLANT
Slider = wxSlider
SOLID = wxSOLID
SP_3D = wxSP_3D
SP_3DBORDER = wxSP_3DBORDER
SP_LIVE_UPDATE = wxSP_LIVE_UPDATE
SP_NOSASH = wxSP_NOSASH
SpinButton = wxSpinButton
SpinCtrl = wxSpinCtrl
SPLASH_CENTRE_ON_PARENT = wxSPLASH_CENTRE_ON_PARENT
SPLASH_NO_TIMEOUT = wxSPLASH_NO_TIMEOUT
SplashScreen = wxSplashScreen
SplitterWindow = wxSplitterWindow
ST_NO_AUTORESIZE = wxST_NO_AUTORESIZE
STAY_ON_TOP = wxSTAY_ON_TOP
StandardPaths = wxStandardPaths
StandardPaths_Get = wxStandardPaths_Get
STATIC_BORDER = wxSTATIC_BORDER
StaticBoxSizer = wxStaticBoxSizer
StaticLine = wxStaticLine
StatusBar = wxStatusBar
StdDialogButtonSizer = wxStdDialogButtonSizer
StockGDI = wxStockGDI
STRETCH_NOT = wxSTRETCH_NOT
SUNKEN_BORDER = wxSUNKEN_BORDER
SWISS = wxSWISS
SYS_COLOUR_3DSHADOW = wxSYS_COLOUR_3DSHADOW
SYS_COLOUR_HIGHLIGHT = wxSYS_COLOUR_HIGHLIGHT
SYS_COLOUR_HIGHLIGHTTEXT = wxSYS_COLOUR_HIGHLIGHTTEXT
SYS_COLOUR_LISTBOX = wxSYS_COLOUR_LISTBOX
SYS_COLOUR_WINDOWTEXT = wxSYS_COLOUR_WINDOWTEXT
SYS_DEFAULT_GUI_FONT = wxSYS_DEFAULT_GUI_FONT
SYS_VSCROLL_X = wxSYS_VSCROLL_X
SYSTEM_MENU = wxSYSTEM_MENU
SystemOptions = wxSystemOptions
SystemSettings = wxSystemSettings
TAB_TRAVERSAL = wxTAB_TRAVERSAL
TE_MULTILINE = wxTE_MULTILINE
TE_NOHIDESEL = wxTE_NOHIDESEL
TE_PASSWORD = wxTE_PASSWORD
TE_PROCESS_ENTER = wxTE_PROCESS_ENTER
TE_PROCESS_TAB = wxTE_PROCESS_TAB
TE_RICH2 = wxTE_RICH2
TextCtrl = wxTextCtrl
TextEntry = wxTextEntry
TextEntryDialog = wxTextEntryDialog
ToggleButton = wxToggleButton
ToolBar = wxToolBar
TOP = wxTOP
Top = wxTop
TopLevelWindow = wxTopLevelWindow
TR_EDIT_LABELS = wxTR_EDIT_LABELS
TR_EXTENDED = wxTR_EXTENDED
TR_DEFAULT_STYLE = wxTR_DEFAULT_STYLE
TR_FULL_ROW_HIGHLIGHT = wxTR_FULL_ROW_HIGHLIGHT
TR_HAS_BUTTONS = wxTR_HAS_BUTTONS
TR_HAS_VARIABLE_ROW_HEIGHT = wxTR_HAS_VARIABLE_ROW_HEIGHT
TR_HIDE_ROOT = wxTR_HIDE_ROOT
TR_LINES_AT_ROOT = wxTR_LINES_AT_ROOT
TR_MULTIPLE = wxTR_MULTIPLE
TR_NO_BUTTONS = wxTR_NO_BUTTONS
TR_NO_LINES = wxTR_NO_LINES
TR_ROW_LINES = wxTR_ROW_LINES
TR_SINGLE = wxTR_SINGLE
TR_TWIST_BUTTONS = wxTR_TWIST_BUTTONS
TRANSPARENT = wxTRANSPARENT
TREE_HITTEST_ABOVE = wxTREE_HITTEST_ABOVE
TREE_HITTEST_BELOW = wxTREE_HITTEST_BELOW
TREE_HITTEST_NOWHERE = wxTREE_HITTEST_NOWHERE
TREE_HITTEST_ONITEMBUTTON = wxTREE_HITTEST_ONITEMBUTTON
TREE_HITTEST_ONITEMICON = wxTREE_HITTEST_ONITEMICON
TREE_HITTEST_ONITEMINDENT = wxTREE_HITTEST_ONITEMINDENT
TREE_HITTEST_ONITEMLABEL = wxTREE_HITTEST_ONITEMLABEL
TREE_HITTEST_ONITEMLOWERPART = wxTREE_HITTEST_ONITEMLOWERPART
TREE_HITTEST_ONITEMRIGHT = wxTREE_HITTEST_ONITEMRIGHT
TREE_HITTEST_ONITEMSTATEICON = wxTREE_HITTEST_ONITEMSTATEICON
TREE_HITTEST_ONITEMUPPERPART = wxTREE_HITTEST_ONITEMUPPERPART
TREE_HITTEST_TOLEFT = wxTREE_HITTEST_TOLEFT
TREE_HITTEST_TORIGHT = wxTREE_HITTEST_TORIGHT
Treebook = wxTreebook
TreeItemIcon_Normal = wxTreeItemIcon_Normal
VERTICAL = wxVERTICAL
VERTICAL_HATCH = wxVERTICAL_HATCH
VSCROLL = wxVSCROLL
WANTS_CHARS = wxWANTS_CHARS
Width = wxWidth
Window = wxWindow
WS_EX_BLOCK_EVENTS = wxWS_EX_BLOCK_EVENTS
import _xrc
XmlResource_Get = _xrc.wxXmlResource_Get
YES = wxYES
YES_NO = wxYES_NO
Yield = wxYield

from wx import _core
_core.CommandEvent = _core.wxCommandEvent
_core.Control = _core.wxControl
_core.Object = _core.wxObject
_core.Window = _core.wxWindow

from wx import _windows
_windows.Panel = _windows.wxPanel
_windows.ScrolledWindow = _windows.wxScrolledWindow
_windows.SplitterWindow = _windows.wxSplitterWindow

import wx.aui
wx.aui.AuiManager = wx.aui.wxAuiManager
wx.aui.AuiPaneInfo = wx.aui.wxAuiPaneInfo
wx.aui.AuiNotebook = wx.aui.wxAuiNotebook

import wx.calendar
wx.calendar.CalendarCtrl = wx.calendar.wxCalendarCtrl

import wx.combo
wx.combo.BitmapComboBox = wx.combo.wxBitmapComboBox

import wx.gizmos
wx.gizmos.EditableListBox = wx.gizmos.wxEditableListBox

import wx.grid
wx.grid.Grid = wx.grid.wxGrid
wx.grid.PyGridCellEditor = wx.grid.wxPyGridCellEditor
wx.grid.PyGridCellRenderer = wx.grid.wxPyGridCellRenderer
wx.grid.PyGridTableBase = wx.grid.wxPyGridTableBase

import wx.html
wx.html.HtmlWinParser_AddTagHandler = wx.html.wxHtmlWinParser_AddTagHandler

import wx.media
wx.media.MediaCtrl = wx.media.wxMediaCtrl

import wx.stc
wx.stc.STC_ADA_CHARACTER = wx.stc.wxSTC_ADA_CHARACTER
wx.stc.STC_ADA_CHARACTEREOL = wx.stc.wxSTC_ADA_CHARACTEREOL
wx.stc.STC_ADA_COMMENTLINE = wx.stc.wxSTC_ADA_COMMENTLINE
wx.stc.STC_ADA_DEFAULT = wx.stc.wxSTC_ADA_DEFAULT
wx.stc.STC_ADA_DELIMITER = wx.stc.wxSTC_ADA_DELIMITER
wx.stc.STC_ADA_IDENTIFIER = wx.stc.wxSTC_ADA_IDENTIFIER
wx.stc.STC_ADA_ILLEGAL = wx.stc.wxSTC_ADA_ILLEGAL
wx.stc.STC_ADA_LABEL = wx.stc.wxSTC_ADA_LABEL
wx.stc.STC_ADA_NUMBER = wx.stc.wxSTC_ADA_NUMBER
wx.stc.STC_ADA_STRING = wx.stc.wxSTC_ADA_STRING
wx.stc.STC_ADA_STRINGEOL = wx.stc.wxSTC_ADA_STRINGEOL
wx.stc.STC_ADA_WORD = wx.stc.wxSTC_ADA_WORD
wx.stc.STC_ASM_CHARACTER = wx.stc.wxSTC_ASM_CHARACTER
wx.stc.STC_ASM_COMMENT = wx.stc.wxSTC_ASM_COMMENT
wx.stc.STC_ASM_COMMENTBLOCK = wx.stc.wxSTC_ASM_COMMENTBLOCK
wx.stc.STC_ASM_CPUINSTRUCTION = wx.stc.wxSTC_ASM_CPUINSTRUCTION
wx.stc.STC_ASM_DEFAULT = wx.stc.wxSTC_ASM_DEFAULT
wx.stc.STC_ASM_DIRECTIVE = wx.stc.wxSTC_ASM_DIRECTIVE
wx.stc.STC_ASM_DIRECTIVEOPERAND = wx.stc.wxSTC_ASM_DIRECTIVEOPERAND
wx.stc.STC_ASM_EXTINSTRUCTION = wx.stc.wxSTC_ASM_EXTINSTRUCTION
wx.stc.STC_ASM_IDENTIFIER = wx.stc.wxSTC_ASM_IDENTIFIER
wx.stc.STC_ASM_MATHINSTRUCTION = wx.stc.wxSTC_ASM_MATHINSTRUCTION
wx.stc.STC_ASM_NUMBER = wx.stc.wxSTC_ASM_NUMBER
wx.stc.STC_ASM_OPERATOR = wx.stc.wxSTC_ASM_OPERATOR
wx.stc.STC_ASM_REGISTER = wx.stc.wxSTC_ASM_REGISTER
wx.stc.STC_ASM_STRING = wx.stc.wxSTC_ASM_STRING
wx.stc.STC_ASM_STRINGEOL = wx.stc.wxSTC_ASM_STRINGEOL
wx.stc.STC_B_ASM = wx.stc.wxSTC_B_ASM
wx.stc.STC_B_BINNUMBER = wx.stc.wxSTC_B_BINNUMBER
wx.stc.STC_B_COMMENT = wx.stc.wxSTC_B_COMMENT
wx.stc.STC_B_CONSTANT = wx.stc.wxSTC_B_CONSTANT
wx.stc.STC_B_DATE = wx.stc.wxSTC_B_DATE
wx.stc.STC_B_DEFAULT = wx.stc.wxSTC_B_DEFAULT
wx.stc.STC_B_ERROR = wx.stc.wxSTC_B_ERROR
wx.stc.STC_B_HEXNUMBER = wx.stc.wxSTC_B_HEXNUMBER
wx.stc.STC_B_IDENTIFIER = wx.stc.wxSTC_B_IDENTIFIER
wx.stc.STC_B_KEYWORD = wx.stc.wxSTC_B_KEYWORD
wx.stc.STC_B_KEYWORD2 = wx.stc.wxSTC_B_KEYWORD2
wx.stc.STC_B_KEYWORD3 = wx.stc.wxSTC_B_KEYWORD3
wx.stc.STC_B_KEYWORD4 = wx.stc.wxSTC_B_KEYWORD4
wx.stc.STC_B_LABEL = wx.stc.wxSTC_B_LABEL
wx.stc.STC_B_NUMBER = wx.stc.wxSTC_B_NUMBER
wx.stc.STC_B_OPERATOR = wx.stc.wxSTC_B_OPERATOR
wx.stc.STC_B_PREPROCESSOR = wx.stc.wxSTC_B_PREPROCESSOR
wx.stc.STC_B_STRING = wx.stc.wxSTC_B_STRING
wx.stc.STC_B_STRINGEOL = wx.stc.wxSTC_B_STRINGEOL
wx.stc.STC_BAT_COMMAND = wx.stc.wxSTC_BAT_COMMAND
wx.stc.STC_BAT_COMMENT = wx.stc.wxSTC_BAT_COMMENT
wx.stc.STC_BAT_DEFAULT = wx.stc.wxSTC_BAT_DEFAULT
wx.stc.STC_BAT_HIDE = wx.stc.wxSTC_BAT_HIDE
wx.stc.STC_BAT_IDENTIFIER = wx.stc.wxSTC_BAT_IDENTIFIER
wx.stc.STC_BAT_LABEL = wx.stc.wxSTC_BAT_LABEL
wx.stc.STC_BAT_OPERATOR  =wx.stc.wxSTC_BAT_OPERATOR
wx.stc.STC_BAT_WORD = wx.stc.wxSTC_BAT_WORD
wx.stc.STC_C_CHARACTER = wx.stc.wxSTC_C_CHARACTER
wx.stc.STC_C_COMMENT = wx.stc.wxSTC_C_COMMENT
wx.stc.STC_C_COMMENTDOC = wx.stc.wxSTC_C_COMMENTDOC
wx.stc.STC_C_COMMENTDOCKEYWORD = wx.stc.wxSTC_C_COMMENTDOCKEYWORD
wx.stc.STC_C_COMMENTDOCKEYWORDERROR = wx.stc.wxSTC_C_COMMENTDOCKEYWORDERROR
wx.stc.STC_C_COMMENTLINE = wx.stc.wxSTC_C_COMMENTLINE
wx.stc.STC_C_COMMENTLINEDOC = wx.stc.wxSTC_C_COMMENTLINEDOC
wx.stc.STC_C_DEFAULT = wx.stc.wxSTC_C_DEFAULT
wx.stc.STC_C_GLOBALCLASS = wx.stc.wxSTC_C_GLOBALCLASS
wx.stc.STC_C_IDENTIFIER = wx.stc.wxSTC_C_IDENTIFIER
wx.stc.STC_C_NUMBER = wx.stc.wxSTC_C_NUMBER
wx.stc.STC_C_OPERATOR = wx.stc.wxSTC_C_OPERATOR
wx.stc.STC_C_PREPROCESSOR = wx.stc.wxSTC_C_PREPROCESSOR
wx.stc.STC_C_REGEX = wx.stc.wxSTC_C_REGEX
wx.stc.STC_C_STRING = wx.stc.wxSTC_C_STRING
wx.stc.STC_C_STRINGEOL = wx.stc.wxSTC_C_STRINGEOL
wx.stc.STC_C_UUID = wx.stc.wxSTC_C_UUID
wx.stc.STC_C_VERBATIM = wx.stc.wxSTC_C_VERBATIM
wx.stc.STC_C_WORD = wx.stc.wxSTC_C_WORD
wx.stc.STC_C_WORD2 = wx.stc.wxSTC_C_WORD2
wx.stc.STC_CAML_CHAR = wx.stc.wxSTC_CAML_CHAR
wx.stc.STC_CAML_COMMENT = wx.stc.wxSTC_CAML_COMMENT
wx.stc.STC_CAML_COMMENT1 = wx.stc.wxSTC_CAML_COMMENT1
wx.stc.STC_CAML_COMMENT2 = wx.stc.wxSTC_CAML_COMMENT2
wx.stc.STC_CAML_COMMENT3 = wx.stc.wxSTC_CAML_COMMENT3
wx.stc.STC_CAML_DEFAULT = wx.stc.wxSTC_CAML_DEFAULT
wx.stc.STC_CAML_IDENTIFIER = wx.stc.wxSTC_CAML_IDENTIFIER
wx.stc.STC_CAML_KEYWORD = wx.stc.wxSTC_CAML_KEYWORD
wx.stc.STC_CAML_KEYWORD2 = wx.stc.wxSTC_CAML_KEYWORD2
wx.stc.STC_CAML_KEYWORD3 = wx.stc.wxSTC_CAML_KEYWORD3
wx.stc.STC_CAML_LINENUM = wx.stc.wxSTC_CAML_LINENUM
wx.stc.STC_CAML_NUMBER = wx.stc.wxSTC_CAML_NUMBER
wx.stc.STC_CAML_OPERATOR = wx.stc.wxSTC_CAML_OPERATOR
wx.stc.STC_CAML_STRING = wx.stc.wxSTC_CAML_STRING
wx.stc.STC_CAML_TAGNAME = wx.stc.wxSTC_CAML_TAGNAME
wx.stc.STC_CAML_WHITE = wx.stc.wxSTC_CAML_WHITE
wx.stc.STC_CSS_ATTRIBUTE = wx.stc.wxSTC_CSS_ATTRIBUTE
wx.stc.STC_CSS_CLASS = wx.stc.wxSTC_CSS_CLASS
wx.stc.STC_CSS_COMMENT = wx.stc.wxSTC_CSS_COMMENT
wx.stc.STC_CSS_DEFAULT = wx.stc.wxSTC_CSS_DEFAULT
wx.stc.STC_CSS_DIRECTIVE = wx.stc.wxSTC_CSS_DIRECTIVE
wx.stc.STC_CSS_DOUBLESTRING = wx.stc.wxSTC_CSS_DOUBLESTRING
wx.stc.STC_CSS_EXTENDED_IDENTIFIER = wx.stc.wxSTC_CSS_EXTENDED_IDENTIFIER
wx.stc.STC_CSS_EXTENDED_PSEUDOCLASS = wx.stc.wxSTC_CSS_EXTENDED_PSEUDOCLASS
wx.stc.STC_CSS_EXTENDED_PSEUDOELEMENT = wx.stc.wxSTC_CSS_EXTENDED_PSEUDOELEMENT
wx.stc.STC_CSS_ID = wx.stc.wxSTC_CSS_ID
wx.stc.STC_CSS_IDENTIFIER = wx.stc.wxSTC_CSS_IDENTIFIER
wx.stc.STC_CSS_IDENTIFIER2 = wx.stc.wxSTC_CSS_IDENTIFIER2
wx.stc.STC_CSS_IDENTIFIER3 = wx.stc.wxSTC_CSS_IDENTIFIER3
wx.stc.STC_CSS_IMPORTANT = wx.stc.wxSTC_CSS_IMPORTANT
wx.stc.STC_CSS_OPERATOR = wx.stc.wxSTC_CSS_OPERATOR
wx.stc.STC_CSS_PSEUDOCLASS = wx.stc.wxSTC_CSS_PSEUDOCLASS
wx.stc.STC_CSS_PSEUDOELEMENT = wx.stc.wxSTC_CSS_PSEUDOELEMENT
wx.stc.STC_CSS_SINGLESTRING = wx.stc.wxSTC_CSS_SINGLESTRING
wx.stc.STC_CSS_TAG = wx.stc.wxSTC_CSS_TAG
wx.stc.STC_CSS_UNKNOWN_IDENTIFIER = wx.stc.wxSTC_CSS_UNKNOWN_IDENTIFIER
wx.stc.STC_CSS_UNKNOWN_PSEUDOCLASS = wx.stc.wxSTC_CSS_UNKNOWN_PSEUDOCLASS
wx.stc.STC_CSS_VALUE = wx.stc.wxSTC_CSS_VALUE
wx.stc.STC_CONF_COMMENT = wx.stc.wxSTC_CONF_COMMENT
wx.stc.STC_CONF_DEFAULT = wx.stc.wxSTC_CONF_DEFAULT
wx.stc.STC_CONF_DIRECTIVE = wx.stc.wxSTC_CONF_DIRECTIVE
wx.stc.STC_CONF_EXTENSION = wx.stc.wxSTC_CONF_EXTENSION
wx.stc.STC_CONF_IDENTIFIER = wx.stc.wxSTC_CONF_IDENTIFIER
wx.stc.STC_CONF_IP = wx.stc.wxSTC_CONF_IP
wx.stc.STC_CONF_NUMBER = wx.stc.wxSTC_CONF_NUMBER
wx.stc.STC_CONF_OPERATOR = wx.stc.wxSTC_CONF_OPERATOR
wx.stc.STC_CONF_PARAMETER = wx.stc.wxSTC_CONF_PARAMETER
wx.stc.STC_CONF_STRING = wx.stc.wxSTC_CONF_STRING
wx.stc.STC_D_CHARACTER = wx.stc.wxSTC_D_CHARACTER
wx.stc.STC_D_COMMENT = wx.stc.wxSTC_D_COMMENT
wx.stc.STC_D_COMMENTDOC = wx.stc.wxSTC_D_COMMENTDOC
wx.stc.STC_D_COMMENTDOCKEYWORD = wx.stc.wxSTC_D_COMMENTDOCKEYWORD
wx.stc.STC_D_COMMENTDOCKEYWORDERROR = wx.stc.wxSTC_D_COMMENTDOCKEYWORDERROR
wx.stc.STC_D_COMMENTLINE = wx.stc.wxSTC_D_COMMENTLINE
wx.stc.STC_D_COMMENTLINEDOC = wx.stc.wxSTC_D_COMMENTLINEDOC
wx.stc.STC_D_COMMENTNESTED = wx.stc.wxSTC_D_COMMENTNESTED
wx.stc.STC_D_DEFAULT = wx.stc.wxSTC_D_DEFAULT
wx.stc.STC_D_IDENTIFIER = wx.stc.wxSTC_D_IDENTIFIER
wx.stc.STC_D_NUMBER = wx.stc.wxSTC_D_NUMBER
wx.stc.STC_D_OPERATOR = wx.stc.wxSTC_D_OPERATOR
wx.stc.STC_D_STRING = wx.stc.wxSTC_D_STRING
wx.stc.STC_D_STRINGB = wx.stc.wxSTC_D_STRINGB
wx.stc.STC_D_STRINGEOL = wx.stc.wxSTC_D_STRINGEOL
wx.stc.STC_D_STRINGR = wx.stc.wxSTC_D_STRINGR
wx.stc.STC_D_TYPEDEF = wx.stc.wxSTC_D_TYPEDEF
wx.stc.STC_D_WORD = wx.stc.wxSTC_D_WORD
wx.stc.STC_D_WORD2 = wx.stc.wxSTC_D_WORD2
wx.stc.STC_D_WORD3 = wx.stc.wxSTC_D_WORD3
wx.stc.STC_D_WORD5 = wx.stc.wxSTC_D_WORD5
wx.stc.STC_D_WORD6 = wx.stc.wxSTC_D_WORD6
wx.stc.STC_D_WORD7 = wx.stc.wxSTC_D_WORD7
wx.stc.STC_DIFF_ADDED = wx.stc.wxSTC_DIFF_ADDED
wx.stc.STC_DIFF_CHANGED = wx.stc.wxSTC_DIFF_CHANGED
wx.stc.STC_DIFF_COMMAND = wx.stc.wxSTC_DIFF_COMMAND
wx.stc.STC_DIFF_COMMENT = wx.stc.wxSTC_DIFF_COMMENT
wx.stc.STC_DIFF_DEFAULT = wx.stc.wxSTC_DIFF_DEFAULT
wx.stc.STC_DIFF_DELETED = wx.stc.wxSTC_DIFF_DELETED
wx.stc.STC_DIFF_HEADER = wx.stc.wxSTC_DIFF_HEADER
wx.stc.STC_DIFF_POSITION = wx.stc.wxSTC_DIFF_POSITION
wx.stc.STC_EDGE_NONE = wx.stc.wxSTC_EDGE_NONE
wx.stc.STC_EIFFEL_CHARACTER = wx.stc.wxSTC_EIFFEL_CHARACTER
wx.stc.STC_EIFFEL_COMMENTLINE = wx.stc.wxSTC_EIFFEL_COMMENTLINE
wx.stc.STC_EIFFEL_DEFAULT = wx.stc.wxSTC_EIFFEL_DEFAULT
wx.stc.STC_EIFFEL_IDENTIFIER = wx.stc.wxSTC_EIFFEL_IDENTIFIER
wx.stc.STC_EIFFEL_NUMBER = wx.stc.wxSTC_EIFFEL_NUMBER
wx.stc.STC_EIFFEL_OPERATOR = wx.stc.wxSTC_EIFFEL_OPERATOR
wx.stc.STC_EIFFEL_STRING = wx.stc.wxSTC_EIFFEL_STRING
wx.stc.STC_EIFFEL_STRINGEOL = wx.stc.wxSTC_EIFFEL_STRINGEOL
wx.stc.STC_EIFFEL_WORD = wx.stc.wxSTC_EIFFEL_WORD
wx.stc.STC_ERLANG_ATOM = wx.stc.wxSTC_ERLANG_ATOM
wx.stc.STC_ERLANG_ATOM_QUOTED = wx.stc.wxSTC_ERLANG_ATOM_QUOTED
wx.stc.STC_ERLANG_BIFS = wx.stc.wxSTC_ERLANG_BIFS
wx.stc.STC_ERLANG_CHARACTER = wx.stc.wxSTC_ERLANG_CHARACTER
wx.stc.STC_ERLANG_COMMENT = wx.stc.wxSTC_ERLANG_COMMENT
wx.stc.STC_ERLANG_COMMENT_DOC = wx.stc.wxSTC_ERLANG_COMMENT_DOC
wx.stc.STC_ERLANG_COMMENT_DOC_MACRO = wx.stc.wxSTC_ERLANG_COMMENT_DOC_MACRO
wx.stc.STC_ERLANG_COMMENT_FUNCTION = wx.stc.wxSTC_ERLANG_COMMENT_FUNCTION
wx.stc.STC_ERLANG_COMMENT_MODULE = wx.stc.wxSTC_ERLANG_COMMENT_MODULE
wx.stc.STC_ERLANG_DEFAULT = wx.stc.wxSTC_ERLANG_DEFAULT
wx.stc.STC_ERLANG_FUNCTION_NAME = wx.stc.wxSTC_ERLANG_FUNCTION_NAME
wx.stc.STC_ERLANG_KEYWORD = wx.stc.wxSTC_ERLANG_KEYWORD
wx.stc.STC_ERLANG_MACRO = wx.stc.wxSTC_ERLANG_MACRO
wx.stc.STC_ERLANG_MACRO_QUOTED = wx.stc.wxSTC_ERLANG_MACRO_QUOTED
wx.stc.STC_ERLANG_MODULES = wx.stc.wxSTC_ERLANG_MODULES
wx.stc.STC_ERLANG_MODULES_ATT = wx.stc.wxSTC_ERLANG_MODULES_ATT
wx.stc.STC_ERLANG_NODE_NAME = wx.stc.wxSTC_ERLANG_NODE_NAME
wx.stc.STC_ERLANG_NODE_NAME_QUOTED = wx.stc.wxSTC_ERLANG_NODE_NAME_QUOTED
wx.stc.STC_ERLANG_NUMBER = wx.stc.wxSTC_ERLANG_NUMBER
wx.stc.STC_ERLANG_OPERATOR = wx.stc.wxSTC_ERLANG_OPERATOR
wx.stc.STC_ERLANG_PREPROC = wx.stc.wxSTC_ERLANG_PREPROC
wx.stc.STC_ERLANG_RECORD = wx.stc.wxSTC_ERLANG_RECORD
wx.stc.STC_ERLANG_RECORD_QUOTED = wx.stc.wxSTC_ERLANG_RECORD_QUOTED
wx.stc.STC_ERLANG_STRING = wx.stc.wxSTC_ERLANG_STRING
wx.stc.STC_ERLANG_UNKNOWN = wx.stc.wxSTC_ERLANG_UNKNOWN
wx.stc.STC_ERLANG_VARIABLE = wx.stc.wxSTC_ERLANG_VARIABLE
wx.stc.STC_F_COMMENT = wx.stc.wxSTC_F_COMMENT
wx.stc.STC_F_CONTINUATION = wx.stc.wxSTC_F_CONTINUATION
wx.stc.STC_F_DEFAULT = wx.stc.wxSTC_F_DEFAULT
wx.stc.STC_F_IDENTIFIER = wx.stc.wxSTC_F_IDENTIFIER
wx.stc.STC_F_LABEL = wx.stc.wxSTC_F_LABEL
wx.stc.STC_F_NUMBER = wx.stc.wxSTC_F_NUMBER
wx.stc.STC_F_OPERATOR = wx.stc.wxSTC_F_OPERATOR
wx.stc.STC_F_OPERATOR2 = wx.stc.wxSTC_F_OPERATOR2
wx.stc.STC_F_PREPROCESSOR = wx.stc.wxSTC_F_PREPROCESSOR
wx.stc.STC_F_STRING1 = wx.stc.wxSTC_F_STRING1
wx.stc.STC_F_STRING2 = wx.stc.wxSTC_F_STRING2
wx.stc.STC_F_STRINGEOL = wx.stc.wxSTC_F_STRINGEOL
wx.stc.STC_F_WORD = wx.stc.wxSTC_F_WORD
wx.stc.STC_F_WORD2 = wx.stc.wxSTC_F_WORD2
wx.stc.STC_F_WORD3 = wx.stc.wxSTC_F_WORD3
wx.stc.STC_FORTH_COMMENT = wx.stc.wxSTC_FORTH_COMMENT
wx.stc.STC_FORTH_COMMENT_ML = wx.stc.wxSTC_FORTH_COMMENT_ML
wx.stc.STC_FORTH_DEFAULT = wx.stc.wxSTC_FORTH_DEFAULT
wx.stc.STC_FORTH_KEYWORD = wx.stc.wxSTC_FORTH_KEYWORD
wx.stc.STC_FORTH_NUMBER = wx.stc.wxSTC_FORTH_NUMBER
wx.stc.STC_FORTH_PREWORD1 = wx.stc.wxSTC_FORTH_PREWORD1
wx.stc.STC_FORTH_PREWORD2 = wx.stc.wxSTC_FORTH_PREWORD2
wx.stc.STC_FORTH_STRING = wx.stc.wxSTC_FORTH_STRING
wx.stc.STC_FS_ASM = 19
wx.stc.STC_FS_BINNUMBER = 23
wx.stc.STC_FS_COMMENT = wx.stc.wxSTC_FS_COMMENT
wx.stc.STC_FS_COMMENTDOC = wx.stc.wxSTC_FS_COMMENTDOC
wx.stc.STC_FS_COMMENTDOCKEYWORD = wx.stc.wxSTC_FS_COMMENTDOCKEYWORD
wx.stc.STC_FS_COMMENTDOCKEYWORDERROR = wx.stc.wxSTC_FS_COMMENTDOCKEYWORDERROR
wx.stc.STC_FS_COMMENTLINE = wx.stc.wxSTC_FS_COMMENTLINE
wx.stc.STC_FS_COMMENTLINEDOC = wx.stc.wxSTC_FS_COMMENTLINEDOC
wx.stc.STC_FS_CONSTANT = wx.stc.wxSTC_FS_CONSTANT
wx.stc.STC_FS_DATE = wx.stc.wxSTC_FS_DATE
wx.stc.STC_FS_DEFAULT = wx.stc.wxSTC_FS_DEFAULT
wx.stc.STC_FS_ERROR = 21
wx.stc.STC_FS_HEXNUMBER = 22
wx.stc.STC_FS_IDENTIFIER = wx.stc.wxSTC_FS_IDENTIFIER
wx.stc.STC_FS_KEYWORD = wx.stc.wxSTC_FS_KEYWORD
wx.stc.STC_FS_KEYWORD2 = wx.stc.wxSTC_FS_KEYWORD2
wx.stc.STC_FS_KEYWORD3 = wx.stc.wxSTC_FS_KEYWORD3
wx.stc.STC_FS_KEYWORD4 = wx.stc.wxSTC_FS_KEYWORD4
wx.stc.STC_FS_LABEL = 20
wx.stc.STC_FS_NUMBER = wx.stc.wxSTC_FS_NUMBER
wx.stc.STC_FS_OPERATOR = wx.stc.wxSTC_FS_OPERATOR
wx.stc.STC_FS_PREPROCESSOR = wx.stc.wxSTC_FS_PREPROCESSOR
wx.stc.STC_FS_STRING = wx.stc.wxSTC_FS_STRING
wx.stc.STC_FS_STRINGEOL = wx.stc.wxSTC_FS_STRINGEOL
wx.stc.STC_GC_ATTRIBUTE = wx.stc.wxSTC_GC_ATTRIBUTE
wx.stc.STC_GC_COMMAND = wx.stc.wxSTC_GC_COMMAND
wx.stc.STC_GC_COMMENTBLOCK = wx.stc.wxSTC_GC_COMMENTBLOCK
wx.stc.STC_GC_COMMENTLINE = wx.stc.wxSTC_GC_COMMENTLINE
wx.stc.STC_GC_CONTROL = wx.stc.wxSTC_GC_CONTROL
wx.stc.STC_GC_DEFAULT = wx.stc.wxSTC_GC_DEFAULT
wx.stc.STC_GC_EVENT = wx.stc.wxSTC_GC_EVENT
wx.stc.STC_GC_GLOBAL = wx.stc.wxSTC_GC_GLOBAL
wx.stc.STC_GC_OPERATOR = wx.stc.wxSTC_GC_OPERATOR
wx.stc.STC_GC_STRING = wx.stc.wxSTC_GC_STRING
wx.stc.STC_H_ASP = wx.stc.wxSTC_H_ASP
wx.stc.STC_H_ASPAT = wx.stc.wxSTC_H_ASPAT
wx.stc.STC_H_ATTRIBUTE = wx.stc.wxSTC_H_ATTRIBUTE
wx.stc.STC_H_ATTRIBUTEUNKNOWN = wx.stc.wxSTC_H_ATTRIBUTEUNKNOWN
wx.stc.STC_H_CDATA = wx.stc.wxSTC_H_CDATA
wx.stc.STC_H_COMMENT = wx.stc.wxSTC_H_COMMENT
wx.stc.STC_H_DEFAULT = wx.stc.wxSTC_H_DEFAULT
wx.stc.STC_H_DOUBLESTRING = wx.stc.wxSTC_H_DOUBLESTRING
wx.stc.STC_H_ENTITY = wx.stc.wxSTC_H_ENTITY
wx.stc.STC_H_NUMBER = wx.stc.wxSTC_H_NUMBER
wx.stc.STC_H_OTHER = wx.stc.wxSTC_H_OTHER
wx.stc.STC_H_QUESTION  =wx.stc.wxSTC_H_QUESTION
wx.stc.STC_H_SCRIPT = wx.stc.wxSTC_H_SCRIPT
wx.stc.STC_H_SGML_1ST_PARAM = wx.stc.wxSTC_H_SGML_1ST_PARAM
wx.stc.STC_H_SGML_1ST_PARAM_COMMENT = wx.stc.wxSTC_H_SGML_1ST_PARAM_COMMENT
wx.stc.STC_H_SGML_BLOCK_DEFAULT = wx.stc.wxSTC_H_SGML_BLOCK_DEFAULT
wx.stc.STC_H_SGML_COMMAND = wx.stc.wxSTC_H_SGML_COMMAND
wx.stc.STC_H_SGML_COMMENT = wx.stc.wxSTC_H_SGML_COMMENT
wx.stc.STC_H_SGML_DEFAULT = wx.stc.wxSTC_H_SGML_DEFAULT
wx.stc.STC_H_SGML_DOUBLESTRING = wx.stc.wxSTC_H_SGML_DOUBLESTRING
wx.stc.STC_H_SGML_ENTITY = wx.stc.wxSTC_H_SGML_ENTITY
wx.stc.STC_H_SGML_ERROR = wx.stc.wxSTC_H_SGML_ERROR
wx.stc.STC_H_SGML_SIMPLESTRING = wx.stc.wxSTC_H_SGML_SIMPLESTRING
wx.stc.STC_H_SGML_SPECIAL = wx.stc.wxSTC_H_SGML_SPECIAL
wx.stc.STC_H_SINGLESTRING =  wx.stc.wxSTC_H_SINGLESTRING
wx.stc.STC_H_TAG = wx.stc.wxSTC_H_TAG
wx.stc.STC_H_TAGEND = wx.stc.wxSTC_H_TAGEND
wx.stc.STC_H_TAGUNKNOWN = wx.stc.wxSTC_H_TAGUNKNOWN
wx.stc.STC_H_VALUE = wx.stc.wxSTC_H_VALUE
wx.stc.STC_H_XCCOMMENT = wx.stc.wxSTC_H_XCCOMMENT
wx.stc.STC_H_XMLEND = wx.stc.wxSTC_H_XMLEND
wx.stc.STC_H_XMLSTART = wx.stc.wxSTC_H_XMLSTART
wx.stc.STC_HA_CAPITAL = wx.stc.wxSTC_HA_CAPITAL
wx.stc.STC_HA_CHARACTER = wx.stc.wxSTC_HA_CHARACTER
wx.stc.STC_HA_CLASS = wx.stc.wxSTC_HA_CLASS
wx.stc.STC_HA_COMMENTBLOCK = wx.stc.wxSTC_HA_COMMENTBLOCK
wx.stc.STC_HA_COMMENTBLOCK2 = wx.stc.wxSTC_HA_COMMENTBLOCK2
wx.stc.STC_HA_COMMENTBLOCK3 = wx.stc.wxSTC_HA_COMMENTBLOCK3
wx.stc.STC_HA_COMMENTLINE = wx.stc.wxSTC_HA_COMMENTLINE
wx.stc.STC_HA_DATA = wx.stc.wxSTC_HA_DATA
wx.stc.STC_HA_DEFAULT = wx.stc.wxSTC_HA_DEFAULT
wx.stc.STC_HA_IDENTIFIER = wx.stc.wxSTC_HA_IDENTIFIER
wx.stc.STC_HA_IMPORT = wx.stc.wxSTC_HA_IMPORT
wx.stc.STC_HA_INSTANCE = wx.stc.wxSTC_HA_INSTANCE
wx.stc.STC_HA_KEYWORD = wx.stc.wxSTC_HA_KEYWORD
wx.stc.STC_HA_MODULE = wx.stc.wxSTC_HA_MODULE
wx.stc.STC_HA_NUMBER = wx.stc.wxSTC_HA_NUMBER
wx.stc.STC_HA_OPERATOR = wx.stc.wxSTC_HA_OPERATOR
wx.stc.STC_HA_STRING = wx.stc.wxSTC_HA_STRING
wx.stc.STC_HBA_COMMENTLINE = wx.stc.wxSTC_HBA_COMMENTLINE
wx.stc.STC_HBA_DEFAULT = wx.stc.wxSTC_HBA_DEFAULT
wx.stc.STC_HBA_IDENTIFIER = wx.stc.wxSTC_HBA_IDENTIFIER
wx.stc.STC_HBA_NUMBER = wx.stc.wxSTC_HBA_NUMBER
wx.stc.STC_HBA_START = wx.stc.wxSTC_HBA_START
wx.stc.STC_HBA_STRING = wx.stc.wxSTC_HBA_STRING
wx.stc.STC_HBA_STRINGEOL = wx.stc.wxSTC_HBA_STRINGEOL
wx.stc.STC_HBA_WORD = wx.stc.wxSTC_HBA_WORD
wx.stc.STC_HJ_COMMENT = wx.stc.wxSTC_HJ_COMMENT
wx.stc.STC_HJ_COMMENTDOC = wx.stc.wxSTC_HJ_COMMENTDOC
wx.stc.STC_HJ_COMMENTLINE = wx.stc.wxSTC_HJ_COMMENTLINE
wx.stc.STC_HJ_DEFAULT = wx.stc.wxSTC_HJ_DEFAULT
wx.stc.STC_HJ_DOUBLESTRING = wx.stc.wxSTC_HJ_DOUBLESTRING
wx.stc.STC_HJ_KEYWORD = wx.stc.wxSTC_HJ_KEYWORD
wx.stc.STC_HJ_NUMBER = wx.stc.wxSTC_HJ_NUMBER
wx.stc.STC_HJ_REGEX = wx.stc.wxSTC_HJ_REGEX
wx.stc.STC_HJ_SINGLESTRING = wx.stc.wxSTC_HJ_SINGLESTRING
wx.stc.STC_HJ_START = wx.stc.wxSTC_HJ_START
wx.stc.STC_HJ_STRINGEOL = wx.stc.wxSTC_HJ_STRINGEOL
wx.stc.STC_HJ_SYMBOLS = wx.stc.wxSTC_HJ_SYMBOLS
wx.stc.STC_HJ_WORD = wx.stc.wxSTC_HJ_WORD
wx.stc.STC_HJA_COMMENT = wx.stc.wxSTC_HJA_COMMENT
wx.stc.STC_HJA_COMMENTDOC = wx.stc.wxSTC_HJA_COMMENTDOC
wx.stc.STC_HJA_COMMENTLINE = wx.stc.wxSTC_HJA_COMMENTLINE
wx.stc.STC_HJA_DEFAULT = wx.stc.wxSTC_HJA_DEFAULT
wx.stc.STC_HJA_DOUBLESTRING = wx.stc.wxSTC_HJA_DOUBLESTRING
wx.stc.STC_HJA_KEYWORD = wx.stc.wxSTC_HJA_KEYWORD
wx.stc.STC_HJA_NUMBER = wx.stc.wxSTC_HJA_NUMBER
wx.stc.STC_HJA_REGEX = wx.stc.wxSTC_HJA_REGEX
wx.stc.STC_HJA_SINGLESTRING = wx.stc.wxSTC_HJA_SINGLESTRING
wx.stc.STC_HJA_START = wx.stc.wxSTC_HJA_START
wx.stc.STC_HJA_STRINGEOL = wx.stc.wxSTC_HJA_STRINGEOL
wx.stc.STC_HJA_SYMBOLS = wx.stc.wxSTC_HJA_SYMBOLS
wx.stc.STC_HJA_WORD = wx.stc.wxSTC_HJA_WORD
wx.stc.STC_HPHP_COMMENT = wx.stc.wxSTC_HPHP_COMMENT
wx.stc.STC_HPHP_COMMENTLINE = wx.stc.wxSTC_HPHP_COMMENTLINE
wx.stc.STC_HPHP_COMPLEX_VARIABLE = wx.stc.wxSTC_HPHP_COMPLEX_VARIABLE
wx.stc.STC_HPHP_DEFAULT = wx.stc.wxSTC_HPHP_DEFAULT
wx.stc.STC_HPHP_HSTRING = wx.stc.wxSTC_HPHP_HSTRING
wx.stc.STC_HPHP_HSTRING_VARIABLE = wx.stc.wxSTC_HPHP_HSTRING_VARIABLE
wx.stc.STC_HPHP_NUMBER = wx.stc.wxSTC_HPHP_NUMBER
wx.stc.STC_HPHP_OPERATOR = wx.stc.wxSTC_HPHP_OPERATOR
wx.stc.STC_HPHP_SIMPLESTRING = wx.stc.wxSTC_HPHP_SIMPLESTRING
wx.stc.STC_HPHP_VARIABLE = wx.stc.wxSTC_HPHP_VARIABLE
wx.stc.STC_HPHP_WORD = wx.stc.wxSTC_HPHP_WORD
wx.stc.STC_INDIC_MAX = wx.stc.wxSTC_INDIC_MAX
wx.stc.STC_INDIC_SQUIGGLE = wx.stc.wxSTC_INDIC_SQUIGGLE
wx.stc.STC_INDIC0_MASK = wx.stc.wxSTC_INDIC0_MASK
wx.stc.STC_INDIC1_MASK = wx.stc.wxSTC_INDIC1_MASK
wx.stc.STC_INDIC2_MASK = wx.stc.wxSTC_INDIC2_MASK
wx.stc.STC_INNO_COMMENT = wx.stc.wxSTC_INNO_COMMENT
wx.stc.STC_INNO_COMMENT_PASCAL = wx.stc.wxSTC_INNO_COMMENT_PASCAL
wx.stc.STC_INNO_DEFAULT = wx.stc.wxSTC_INNO_DEFAULT
wx.stc.STC_INNO_IDENTIFIER = wx.stc.wxSTC_INNO_IDENTIFIER
wx.stc.STC_INNO_INLINE_EXPANSION = wx.stc.wxSTC_INNO_INLINE_EXPANSION
wx.stc.STC_INNO_KEYWORD = wx.stc.wxSTC_INNO_KEYWORD
wx.stc.STC_INNO_KEYWORD_PASCAL = wx.stc.wxSTC_INNO_KEYWORD_PASCAL
wx.stc.STC_INNO_KEYWORD_USER = wx.stc.wxSTC_INNO_KEYWORD_USER
wx.stc.STC_INNO_PARAMETER = wx.stc.wxSTC_INNO_PARAMETER
wx.stc.STC_INNO_PREPROC = wx.stc.wxSTC_INNO_PREPROC
wx.stc.STC_INNO_SECTION = wx.stc.wxSTC_INNO_SECTION
wx.stc.STC_INNO_STRING_DOUBLE  =wx.stc.wxSTC_INNO_STRING_DOUBLE
wx.stc.STC_INNO_STRING_SINGLE = wx.stc.wxSTC_INNO_STRING_SINGLE
wx.stc.STC_KIX_COMMENT = wx.stc.wxSTC_KIX_COMMENT
wx.stc.STC_KIX_DEFAULT = wx.stc.wxSTC_KIX_DEFAULT
wx.stc.STC_KIX_FUNCTIONS = wx.stc.wxSTC_KIX_FUNCTIONS
wx.stc.STC_KIX_IDENTIFIER = wx.stc.wxSTC_KIX_IDENTIFIER
wx.stc.STC_KIX_KEYWORD = wx.stc.wxSTC_KIX_KEYWORD
wx.stc.STC_KIX_MACRO = wx.stc.wxSTC_KIX_MACRO
wx.stc.STC_KIX_NUMBER = wx.stc.wxSTC_KIX_NUMBER
wx.stc.STC_KIX_OPERATOR = wx.stc.wxSTC_KIX_OPERATOR
wx.stc.STC_KIX_STRING1 = wx.stc.wxSTC_KIX_STRING1
wx.stc.STC_KIX_STRING2 = wx.stc.wxSTC_KIX_STRING2
wx.stc.STC_KIX_VAR = wx.stc.wxSTC_KIX_VAR
wx.stc.STC_L_COMMAND = wx.stc.wxSTC_L_COMMAND
wx.stc.STC_L_COMMENT = wx.stc.wxSTC_L_COMMENT
wx.stc.STC_L_DEFAULT = wx.stc.wxSTC_L_DEFAULT
wx.stc.STC_L_MATH = wx.stc.wxSTC_L_MATH
wx.stc.STC_L_TAG = wx.stc.wxSTC_L_TAG
wx.stc.STC_LEX_PYTHON = wx.stc.wxSTC_LEX_PYTHON
wx.stc.STC_LISP_COMMENT = wx.stc.wxSTC_LISP_COMMENT
wx.stc.STC_LISP_DEFAULT = wx.stc.wxSTC_LISP_DEFAULT
wx.stc.STC_LISP_IDENTIFIER = wx.stc.wxSTC_LISP_IDENTIFIER
wx.stc.STC_LISP_KEYWORD = wx.stc.wxSTC_LISP_KEYWORD
wx.stc.STC_LISP_KEYWORD_KW = wx.stc.wxSTC_LISP_KEYWORD_KW
wx.stc.STC_LISP_MULTI_COMMENT = wx.stc.wxSTC_LISP_MULTI_COMMENT
wx.stc.STC_LISP_NUMBER = wx.stc.wxSTC_LISP_NUMBER
wx.stc.STC_LISP_OPERATOR = wx.stc.wxSTC_LISP_OPERATOR
wx.stc.STC_LISP_SPECIAL = wx.stc.wxSTC_LISP_SPECIAL
wx.stc.STC_LISP_STRING = wx.stc.wxSTC_LISP_STRING
wx.stc.STC_LISP_STRINGEOL = wx.stc.wxSTC_LISP_STRINGEOL
wx.stc.STC_LISP_SYMBOL = wx.stc.wxSTC_LISP_SYMBOL
wx.stc.STC_LOUT_COMMENT = wx.stc.wxSTC_LOUT_COMMENT
wx.stc.STC_LOUT_DEFAULT = wx.stc.wxSTC_LOUT_DEFAULT
wx.stc.STC_LOUT_IDENTIFIER = wx.stc.wxSTC_LOUT_IDENTIFIER
wx.stc.STC_LOUT_NUMBER = wx.stc.wxSTC_LOUT_NUMBER
wx.stc.STC_LOUT_OPERATOR = wx.stc.wxSTC_LOUT_OPERATOR
wx.stc.STC_LOUT_STRING = wx.stc.wxSTC_LOUT_STRING
wx.stc.STC_LOUT_STRINGEOL = wx.stc.wxSTC_LOUT_STRINGEOL
wx.stc.STC_LOUT_WORD = wx.stc.wxSTC_LOUT_WORD
wx.stc.STC_LOUT_WORD2 = wx.stc.wxSTC_LOUT_WORD2
wx.stc.STC_LOUT_WORD3 = wx.stc.wxSTC_LOUT_WORD3
wx.stc.STC_LOUT_WORD4 = wx.stc.wxSTC_LOUT_WORD4
wx.stc.STC_LUA_CHARACTER = wx.stc.wxSTC_LUA_CHARACTER
wx.stc.STC_LUA_COMMENT = wx.stc.wxSTC_LUA_COMMENT
wx.stc.STC_LUA_COMMENTDOC = wx.stc.wxSTC_LUA_COMMENTDOC
wx.stc.STC_LUA_COMMENTLINE = wx.stc.wxSTC_LUA_COMMENTLINE
wx.stc.STC_LUA_DEFAULT = wx.stc.wxSTC_LUA_DEFAULT
wx.stc.STC_LUA_IDENTIFIER = wx.stc.wxSTC_LUA_IDENTIFIER
wx.stc.STC_LUA_LITERALSTRING = wx.stc.wxSTC_LUA_LITERALSTRING
wx.stc.STC_LUA_NUMBER = wx.stc.wxSTC_LUA_NUMBER
wx.stc.STC_LUA_OPERATOR = wx.stc.wxSTC_LUA_OPERATOR
wx.stc.STC_LUA_PREPROCESSOR = wx.stc.wxSTC_LUA_PREPROCESSOR
wx.stc.STC_LUA_STRING = wx.stc.wxSTC_LUA_STRING
wx.stc.STC_LUA_STRINGEOL = wx.stc.wxSTC_LUA_STRINGEOL
wx.stc.STC_LUA_WORD = wx.stc.wxSTC_LUA_WORD
wx.stc.STC_LUA_WORD2 = wx.stc.wxSTC_LUA_WORD2
wx.stc.STC_LUA_WORD3 = wx.stc.wxSTC_LUA_WORD3
wx.stc.STC_LUA_WORD4 = wx.stc.wxSTC_LUA_WORD4
wx.stc.STC_LUA_WORD5 = wx.stc.wxSTC_LUA_WORD5
wx.stc.STC_LUA_WORD6 = wx.stc.wxSTC_LUA_WORD6
wx.stc.STC_LUA_WORD7 = wx.stc.wxSTC_LUA_WORD7
wx.stc.STC_LUA_WORD8 = wx.stc.wxSTC_LUA_WORD8
wx.stc.STC_MAKE_COMMENT = wx.stc.wxSTC_MAKE_COMMENT
wx.stc.STC_MAKE_DEFAULT = wx.stc.wxSTC_MAKE_DEFAULT
wx.stc.STC_MAKE_IDENTIFIER = wx.stc.wxSTC_MAKE_IDENTIFIER
wx.stc.STC_MAKE_IDEOL = wx.stc.wxSTC_MAKE_IDEOL
wx.stc.STC_MAKE_OPERATOR = wx.stc.wxSTC_MAKE_OPERATOR
wx.stc.STC_MAKE_PREPROCESSOR = wx.stc.wxSTC_MAKE_PREPROCESSOR
wx.stc.STC_MAKE_TARGET = wx.stc.wxSTC_MAKE_TARGET
wx.stc.STC_MARGIN_NUMBER = wx.stc.wxSTC_MARGIN_NUMBER
wx.stc.STC_MARGIN_SYMBOL = wx.stc.wxSTC_MARGIN_SYMBOL
wx.stc.STC_MARK_BACKGROUND = wx.stc.wxSTC_MARK_BACKGROUND
wx.stc.STC_MARK_BOXMINUS = wx.stc.wxSTC_MARK_BOXMINUS
wx.stc.STC_MARK_BOXMINUSCONNECTED = wx.stc.wxSTC_MARK_BOXMINUSCONNECTED
wx.stc.STC_MARK_BOXPLUS = wx.stc.wxSTC_MARK_BOXPLUS
wx.stc.STC_MARK_BOXPLUSCONNECTED = wx.stc.wxSTC_MARK_BOXPLUSCONNECTED
wx.stc.STC_MARK_CHARACTER = wx.stc.wxSTC_MARK_CHARACTER
wx.stc.STC_MARK_FULLRECT = wx.stc.wxSTC_MARK_FULLRECT
wx.stc.STC_MARK_LCORNER = wx.stc.wxSTC_MARK_LCORNER
wx.stc.STC_MARK_ROUNDRECT = wx.stc.wxSTC_MARK_ROUNDRECT
wx.stc.STC_MARK_TCORNER = wx.stc.wxSTC_MARK_TCORNER
wx.stc.STC_MARK_VLINE = wx.stc.wxSTC_MARK_VLINE
wx.stc.STC_MARKNUM_FOLDER = wx.stc.wxSTC_MARKNUM_FOLDER
wx.stc.STC_MARKNUM_FOLDEREND = wx.stc.wxSTC_MARKNUM_FOLDEREND
wx.stc.STC_MARKNUM_FOLDERMIDTAIL = wx.stc.wxSTC_MARKNUM_FOLDERMIDTAIL
wx.stc.STC_MARKNUM_FOLDEROPEN = wx.stc.wxSTC_MARKNUM_FOLDEROPEN
wx.stc.STC_MARKNUM_FOLDEROPENMID = wx.stc.wxSTC_MARKNUM_FOLDEROPENMID
wx.stc.STC_MARKNUM_FOLDERSUB = wx.stc.wxSTC_MARKNUM_FOLDERSUB
wx.stc.STC_MARKNUM_FOLDERTAIL = wx.stc.wxSTC_MARKNUM_FOLDERTAIL
wx.stc.STC_MASK_FOLDERS = wx.stc.wxSTC_MASK_FOLDERS
wx.stc.STC_MATLAB_COMMAND = wx.stc.wxSTC_MATLAB_COMMAND
wx.stc.STC_MATLAB_COMMENT = wx.stc.wxSTC_MATLAB_COMMENT
wx.stc.STC_MATLAB_DEFAULT = wx.stc.wxSTC_MATLAB_DEFAULT
wx.stc.STC_MATLAB_DOUBLEQUOTESTRING = wx.stc.wxSTC_MATLAB_DOUBLEQUOTESTRING
wx.stc.STC_MATLAB_IDENTIFIER = wx.stc.wxSTC_MATLAB_IDENTIFIER
wx.stc.STC_MATLAB_KEYWORD = wx.stc.wxSTC_MATLAB_KEYWORD
wx.stc.STC_MATLAB_NUMBER = wx.stc.wxSTC_MATLAB_NUMBER
wx.stc.STC_MATLAB_OPERATOR = wx.stc.wxSTC_MATLAB_OPERATOR
wx.stc.STC_MATLAB_STRING = wx.stc.wxSTC_MATLAB_STRING
wx.stc.STC_MOD_BEFOREDELETE = wx.stc.wxSTC_MOD_BEFOREDELETE
wx.stc.STC_MOD_DELETETEXT = wx.stc.wxSTC_MOD_DELETETEXT
wx.stc.STC_MOD_INSERTTEXT = wx.stc.wxSTC_MOD_INSERTTEXT
wx.stc.STC_MSSQL_COLUMN_NAME = wx.stc.wxSTC_MSSQL_COLUMN_NAME
wx.stc.STC_MSSQL_COLUMN_NAME_2 = wx.stc.wxSTC_MSSQL_COLUMN_NAME_2
wx.stc.STC_MSSQL_COMMENT = wx.stc.wxSTC_MSSQL_COMMENT
wx.stc.STC_MSSQL_DATATYPE = wx.stc.wxSTC_MSSQL_DATATYPE
wx.stc.STC_MSSQL_DEFAULT = wx.stc.wxSTC_MSSQL_DEFAULT
wx.stc.STC_MSSQL_DEFAULT_PREF_DATATYPE = wx.stc.wxSTC_MSSQL_DEFAULT_PREF_DATATYPE
wx.stc.STC_MSSQL_FUNCTION = wx.stc.wxSTC_MSSQL_FUNCTION
wx.stc.STC_MSSQL_GLOBAL_VARIABLE = wx.stc.wxSTC_MSSQL_GLOBAL_VARIABLE
wx.stc.STC_MSSQL_IDENTIFIER = wx.stc.wxSTC_MSSQL_IDENTIFIER
wx.stc.STC_MSSQL_LINE_COMMENT = wx.stc.wxSTC_MSSQL_LINE_COMMENT
wx.stc.STC_MSSQL_NUMBER = wx.stc.wxSTC_MSSQL_NUMBER
wx.stc.STC_MSSQL_OPERATOR = wx.stc.wxSTC_MSSQL_OPERATOR
wx.stc.STC_MSSQL_STATEMENT = wx.stc.wxSTC_MSSQL_STATEMENT
wx.stc.STC_MSSQL_STORED_PROCEDURE = wx.stc.wxSTC_MSSQL_STORED_PROCEDURE
wx.stc.STC_MSSQL_STRING = wx.stc.wxSTC_MSSQL_STRING
wx.stc.STC_MSSQL_SYSTABLE = wx.stc.wxSTC_MSSQL_SYSTABLE
wx.stc.STC_MSSQL_VARIABLE = wx.stc.wxSTC_MSSQL_VARIABLE
wx.stc.STC_NSIS_COMMENT = wx.stc.wxSTC_NSIS_COMMENT
wx.stc.STC_NSIS_DEFAULT = wx.stc.wxSTC_NSIS_DEFAULT
wx.stc.STC_NSIS_FUNCTION = wx.stc.wxSTC_NSIS_FUNCTION
wx.stc.STC_NSIS_FUNCTIONDEF = wx.stc.wxSTC_NSIS_FUNCTIONDEF
wx.stc.STC_NSIS_IFDEFINEDEF = wx.stc.wxSTC_NSIS_IFDEFINEDEF
wx.stc.STC_NSIS_LABEL = wx.stc.wxSTC_NSIS_LABEL
wx.stc.STC_NSIS_MACRODEF = wx.stc.wxSTC_NSIS_MACRODEF
wx.stc.STC_NSIS_NUMBER = wx.stc.wxSTC_NSIS_NUMBER
wx.stc.STC_NSIS_SECTIONDEF = wx.stc.wxSTC_NSIS_SECTIONDEF
wx.stc.STC_NSIS_STRINGDQ = wx.stc.wxSTC_NSIS_STRINGDQ
wx.stc.STC_NSIS_STRINGLQ = wx.stc.wxSTC_NSIS_STRINGLQ
wx.stc.STC_NSIS_STRINGRQ = wx.stc.wxSTC_NSIS_STRINGRQ
wx.stc.STC_NSIS_STRINGVAR = wx.stc.wxSTC_NSIS_STRINGVAR
wx.stc.STC_NSIS_SUBSECTIONDEF = wx.stc.wxSTC_NSIS_SUBSECTIONDEF
wx.stc.STC_NSIS_USERDEFINED = wx.stc.wxSTC_NSIS_USERDEFINED
wx.stc.STC_NSIS_VARIABLE = wx.stc.wxSTC_NSIS_VARIABLE
wx.stc.STC_P_CHARACTER = wx.stc.wxSTC_P_CHARACTER
wx.stc.STC_P_CLASSNAME = wx.stc.wxSTC_P_CLASSNAME
wx.stc.STC_P_COMMENTBLOCK = wx.stc.wxSTC_P_COMMENTBLOCK
wx.stc.STC_P_COMMENTLINE = wx.stc.wxSTC_P_COMMENTLINE
wx.stc.STC_P_DECORATOR = wx.stc.wxSTC_P_DECORATOR
wx.stc.STC_P_DEFAULT = wx.stc.wxSTC_P_DEFAULT
wx.stc.STC_P_DEFNAME = wx.stc.wxSTC_P_DEFNAME
wx.stc.STC_P_IDENTIFIER = wx.stc.wxSTC_P_IDENTIFIER
wx.stc.STC_P_NUMBER = wx.stc.wxSTC_P_NUMBER
wx.stc.STC_P_OPERATOR = wx.stc.wxSTC_P_OPERATOR
wx.stc.STC_P_STRING = wx.stc.wxSTC_P_STRING
wx.stc.STC_P_STRINGEOL = wx.stc.wxSTC_P_STRINGEOL
wx.stc.STC_P_TRIPLE = wx.stc.wxSTC_P_TRIPLE
wx.stc.STC_P_TRIPLEDOUBLE = wx.stc.wxSTC_P_TRIPLEDOUBLE
wx.stc.STC_P_WORD = wx.stc.wxSTC_P_WORD
wx.stc.STC_P_WORD2 = wx.stc.wxSTC_P_WORD2
wx.stc.STC_PAS_ASM = wx.stc.wxSTC_PAS_ASM
wx.stc.STC_PAS_CHARACTER = wx.stc.wxSTC_PAS_CHARACTER
wx.stc.STC_PAS_COMMENT = wx.stc.wxSTC_PAS_COMMENT
wx.stc.STC_PAS_COMMENT2 = wx.stc.wxSTC_PAS_COMMENT2
wx.stc.STC_PAS_COMMENTLINE = wx.stc.wxSTC_PAS_COMMENTLINE
wx.stc.STC_PAS_DEFAULT = wx.stc.wxSTC_PAS_DEFAULT
wx.stc.STC_PAS_HEXNUMBER = wx.stc.wxSTC_PAS_HEXNUMBER
wx.stc.STC_PAS_IDENTIFIER = wx.stc.wxSTC_PAS_IDENTIFIER
wx.stc.STC_PAS_NUMBER = wx.stc.wxSTC_PAS_NUMBER
wx.stc.STC_PAS_OPERATOR = wx.stc.wxSTC_PAS_OPERATOR
wx.stc.STC_PAS_PREPROCESSOR = wx.stc.wxSTC_PAS_PREPROCESSOR
wx.stc.STC_PAS_PREPROCESSOR2 = wx.stc.wxSTC_PAS_PREPROCESSOR2
wx.stc.STC_PAS_STRING = wx.stc.wxSTC_PAS_STRING
wx.stc.STC_PAS_STRINGEOL = wx.stc.wxSTC_PAS_STRINGEOL
wx.stc.STC_PAS_WORD = wx.stc.wxSTC_PAS_WORD
wx.stc.STC_PERFORMED_USER = wx.stc.wxSTC_PERFORMED_USER
wx.stc.STC_PL_ARRAY = wx.stc.wxSTC_PL_ARRAY
wx.stc.STC_PL_BACKTICKS = wx.stc.wxSTC_PL_BACKTICKS
wx.stc.STC_PL_CHARACTER = wx.stc.wxSTC_PL_CHARACTER
wx.stc.STC_PL_COMMENTLINE = wx.stc.wxSTC_PL_COMMENTLINE
wx.stc.STC_PL_DATASECTION = wx.stc.wxSTC_PL_DATASECTION
wx.stc.STC_PL_DEFAULT = wx.stc.wxSTC_PL_DEFAULT
wx.stc.STC_PL_ERROR = wx.stc.wxSTC_PL_ERROR
wx.stc.STC_PL_FORMAT = wx.stc.wxSTC_PL_FORMAT
wx.stc.STC_PL_FORMAT_IDENT = wx.stc.wxSTC_PL_FORMAT_IDENT
wx.stc.STC_PL_HASH = wx.stc.wxSTC_PL_HASH
wx.stc.STC_PL_HERE_DELIM = wx.stc.wxSTC_PL_HERE_DELIM
wx.stc.STC_PL_HERE_Q = wx.stc.wxSTC_PL_HERE_Q
wx.stc.STC_PL_HERE_QQ = wx.stc.wxSTC_PL_HERE_QQ
wx.stc.STC_PL_HERE_QX = wx.stc.wxSTC_PL_HERE_QX
wx.stc.STC_PL_IDENTIFIER = wx.stc.wxSTC_PL_IDENTIFIER
wx.stc.STC_PL_LONGQUOTE = wx.stc.wxSTC_PL_LONGQUOTE
wx.stc.STC_PL_NUMBER = wx.stc.wxSTC_PL_NUMBER
wx.stc.STC_PL_OPERATOR = wx.stc.wxSTC_PL_OPERATOR
wx.stc.STC_PL_POD = wx.stc.wxSTC_PL_POD
wx.stc.STC_PL_PREPROCESSOR = wx.stc.wxSTC_PL_PREPROCESSOR
wx.stc.STC_PL_PUNCTUATION = wx.stc.wxSTC_PL_PUNCTUATION
wx.stc.STC_PL_REGEX = wx.stc.wxSTC_PL_REGEX
wx.stc.STC_PL_REGSUBST = wx.stc.wxSTC_PL_REGSUBST
wx.stc.STC_PL_SCALAR = wx.stc.wxSTC_PL_SCALAR
wx.stc.STC_PL_STRING = wx.stc.wxSTC_PL_STRING
wx.stc.STC_PL_STRING_Q = wx.stc.wxSTC_PL_STRING_Q
wx.stc.STC_PL_STRING_QQ = wx.stc.wxSTC_PL_STRING_QQ
wx.stc.STC_PL_STRING_QR = wx.stc.wxSTC_PL_STRING_QR
wx.stc.STC_PL_STRING_QW = wx.stc.wxSTC_PL_STRING_QW
wx.stc.STC_PL_STRING_QX = wx.stc.wxSTC_PL_STRING_QX
wx.stc.STC_PL_SUB_PROTOTYPE = wx.stc.wxSTC_PL_SUB_PROTOTYPE
wx.stc.STC_PL_SYMBOLTABLE = wx.stc.wxSTC_PL_SYMBOLTABLE
wx.stc.STC_PL_WORD = wx.stc.wxSTC_PL_WORD
wx.stc.STC_PRINT_BLACKONWHITE = wx.stc.wxSTC_PRINT_BLACKONWHITE
wx.stc.STC_PRINT_COLOURONWHITE = wx.stc.wxSTC_PRINT_COLOURONWHITE
wx.stc.STC_PRINT_COLOURONWHITEDEFAULTBG = wx.stc.wxSTC_PRINT_COLOURONWHITEDEFAULTBG
wx.stc.STC_PRINT_INVERTLIGHT = wx.stc.wxSTC_PRINT_INVERTLIGHT
wx.stc.STC_PRINT_NORMAL = wx.stc.wxSTC_PRINT_NORMAL
wx.stc.STC_PROPS_ASSIGNMENT = wx.stc.wxSTC_PROPS_ASSIGNMENT
wx.stc.STC_PROPS_COMMENT = wx.stc.wxSTC_PROPS_COMMENT
wx.stc.STC_PROPS_DEFAULT = wx.stc.wxSTC_PROPS_DEFAULT
wx.stc.STC_PROPS_DEFVAL = wx.stc.wxSTC_PROPS_DEFVAL
wx.stc.STC_PROPS_KEY = wx.stc.wxSTC_PROPS_KEY
wx.stc.STC_PROPS_SECTION = wx.stc.wxSTC_PROPS_SECTION
wx.stc.STC_PS_BADSTRINGCHAR = wx.stc.wxSTC_PS_BADSTRINGCHAR
wx.stc.STC_PS_BASE85STRING = wx.stc.wxSTC_PS_BASE85STRING
wx.stc.STC_PS_COMMENT = wx.stc.wxSTC_PS_COMMENT
wx.stc.STC_PS_DEFAULT = wx.stc.wxSTC_PS_DEFAULT
wx.stc.STC_PS_DSC_COMMENT = wx.stc.wxSTC_PS_DSC_COMMENT
wx.stc.STC_PS_DSC_VALUE = wx.stc.wxSTC_PS_DSC_VALUE
wx.stc.STC_PS_HEXSTRING = wx.stc.wxSTC_PS_HEXSTRING
wx.stc.STC_PS_IMMEVAL = wx.stc.wxSTC_PS_IMMEVAL
wx.stc.STC_PS_KEYWORD = wx.stc.wxSTC_PS_KEYWORD
wx.stc.STC_PS_LITERAL = wx.stc.wxSTC_PS_LITERAL
wx.stc.STC_PS_NAME = wx.stc.wxSTC_PS_NAME
wx.stc.STC_PS_NUMBER = wx.stc.wxSTC_PS_NUMBER
wx.stc.STC_PS_PAREN_ARRAY = wx.stc.wxSTC_PS_PAREN_ARRAY
wx.stc.STC_PS_PAREN_DICT = wx.stc.wxSTC_PS_PAREN_DICT
wx.stc.STC_PS_PAREN_PROC = wx.stc.wxSTC_PS_PAREN_PROC
wx.stc.STC_PS_TEXT = wx.stc.wxSTC_PS_TEXT
wx.stc.STC_R_BASEKWORD = wx.stc.wxSTC_R_BASEKWORD
wx.stc.STC_R_COMMENT = wx.stc.wxSTC_R_COMMENT
wx.stc.STC_R_DEFAULT = wx.stc.wxSTC_R_DEFAULT
wx.stc.STC_R_IDENTIFIER = wx.stc.wxSTC_R_IDENTIFIER
wx.stc.STC_R_INFIX = wx.stc.wxSTC_R_INFIX
wx.stc.STC_R_INFIXEOL = wx.stc.wxSTC_R_INFIXEOL
wx.stc.STC_R_KWORD = wx.stc.wxSTC_R_KWORD
wx.stc.STC_R_NUMBER = wx.stc.wxSTC_R_NUMBER
wx.stc.STC_R_OPERATOR = wx.stc.wxSTC_R_OPERATOR
wx.stc.STC_R_OTHERKWORD = wx.stc.wxSTC_R_OTHERKWORD
wx.stc.STC_R_STRING = wx.stc.wxSTC_R_STRING
wx.stc.STC_R_STRING2 = wx.stc.wxSTC_R_STRING2
wx.stc.STC_RB_BACKTICKS = wx.stc.wxSTC_RB_BACKTICKS
wx.stc.STC_RB_CHARACTER = wx.stc.wxSTC_RB_CHARACTER
wx.stc.STC_RB_CLASS_VAR = wx.stc.wxSTC_RB_CLASS_VAR
wx.stc.STC_RB_CLASSNAME = wx.stc.wxSTC_RB_CLASSNAME
wx.stc.STC_RB_COMMENTLINE = wx.stc.wxSTC_RB_COMMENTLINE
wx.stc.STC_RB_DATASECTION = wx.stc.wxSTC_RB_DATASECTION
wx.stc.STC_RB_DEFAULT = wx.stc.wxSTC_RB_DEFAULT
wx.stc.STC_RB_DEFNAME = wx.stc.wxSTC_RB_DEFNAME
wx.stc.STC_RB_ERROR = wx.stc.wxSTC_RB_ERROR
wx.stc.STC_RB_GLOBAL = wx.stc.wxSTC_RB_GLOBAL
wx.stc.STC_RB_HERE_DELIM = wx.stc.wxSTC_RB_HERE_DELIM
wx.stc.STC_RB_HERE_Q = wx.stc.wxSTC_RB_HERE_Q
wx.stc.STC_RB_HERE_QQ = wx.stc.wxSTC_RB_HERE_QQ
wx.stc.STC_RB_HERE_QX = wx.stc.wxSTC_RB_HERE_QX
wx.stc.STC_RB_IDENTIFIER = wx.stc.wxSTC_RB_IDENTIFIER
wx.stc.STC_RB_INSTANCE_VAR = wx.stc.wxSTC_RB_INSTANCE_VAR
wx.stc.STC_RB_MODULE_NAME = wx.stc.wxSTC_RB_MODULE_NAME
wx.stc.STC_RB_NUMBER = wx.stc.wxSTC_RB_NUMBER
wx.stc.STC_RB_OPERATOR = wx.stc.wxSTC_RB_OPERATOR
wx.stc.STC_RB_POD = wx.stc.wxSTC_RB_POD
wx.stc.STC_RB_REGEX = wx.stc.wxSTC_RB_REGEX
wx.stc.STC_RB_STDIN = wx.stc.wxSTC_RB_STDIN
wx.stc.STC_RB_STDOUT = wx.stc.wxSTC_RB_STDOUT
wx.stc.STC_RB_STRING = wx.stc.wxSTC_RB_STRING
wx.stc.STC_RB_STRING_Q = wx.stc.wxSTC_RB_STRING_Q
wx.stc.STC_RB_STRING_QQ = wx.stc.wxSTC_RB_STRING_QQ
wx.stc.STC_RB_STRING_QR = wx.stc.wxSTC_RB_STRING_QR
wx.stc.STC_RB_STRING_QW = wx.stc.wxSTC_RB_STRING_QW
wx.stc.STC_RB_STRING_QX = wx.stc.wxSTC_RB_STRING_QX
wx.stc.STC_RB_SYMBOL = wx.stc.wxSTC_RB_SYMBOL
wx.stc.STC_RB_UPPER_BOUND = wx.stc.wxSTC_RB_UPPER_BOUND
wx.stc.STC_RB_WORD = wx.stc.wxSTC_RB_WORD
wx.stc.STC_RB_WORD_DEMOTED = wx.stc.wxSTC_RB_WORD_DEMOTED
wx.stc.STC_SCMOD_ALT = wx.stc.wxSTC_SCMOD_ALT
wx.stc.STC_SCMOD_CTRL = wx.stc.wxSTC_SCMOD_CTRL
wx.stc.STC_SCMOD_SHIFT = wx.stc.wxSTC_SCMOD_SHIFT
wx.stc.STC_SH_BACKTICKS = wx.stc.wxSTC_SH_BACKTICKS
wx.stc.STC_SH_CHARACTER = wx.stc.wxSTC_SH_CHARACTER
wx.stc.STC_SH_COMMENTLINE = wx.stc.wxSTC_SH_COMMENTLINE
wx.stc.STC_SH_DEFAULT = wx.stc.wxSTC_SH_DEFAULT
wx.stc.STC_SH_ERROR = wx.stc.wxSTC_SH_ERROR
wx.stc.STC_SH_HERE_DELIM = wx.stc.wxSTC_SH_HERE_DELIM
wx.stc.STC_SH_HERE_Q = wx.stc.wxSTC_SH_HERE_Q
wx.stc.STC_SH_IDENTIFIER = wx.stc.wxSTC_SH_IDENTIFIER
wx.stc.STC_SH_NUMBER = wx.stc.wxSTC_SH_NUMBER
wx.stc.STC_SH_OPERATOR = wx.stc.wxSTC_SH_OPERATOR
wx.stc.STC_SH_PARAM = wx.stc.wxSTC_SH_PARAM
wx.stc.STC_SH_SCALAR = wx.stc.wxSTC_SH_SCALAR
wx.stc.STC_SH_STRING = wx.stc.wxSTC_SH_STRING
wx.stc.STC_SH_WORD = wx.stc.wxSTC_SH_WORD
wx.stc.STC_SQL_CHARACTER = wx.stc.wxSTC_SQL_CHARACTER
wx.stc.STC_SQL_COMMENT = wx.stc.wxSTC_SQL_COMMENT
wx.stc.STC_SQL_COMMENTDOC = wx.stc.wxSTC_SQL_COMMENTDOC
wx.stc.STC_SQL_COMMENTDOCKEYWORD = wx.stc.wxSTC_SQL_COMMENTDOCKEYWORD
wx.stc.STC_SQL_COMMENTDOCKEYWORDERROR = wx.stc.wxSTC_SQL_COMMENTDOCKEYWORDERROR
wx.stc.STC_SQL_COMMENTLINE = wx.stc.wxSTC_SQL_COMMENTLINE
wx.stc.STC_SQL_COMMENTLINEDOC = wx.stc.wxSTC_SQL_COMMENTLINEDOC
wx.stc.STC_SQL_DEFAULT = wx.stc.wxSTC_SQL_DEFAULT
wx.stc.STC_SQL_IDENTIFIER = wx.stc.wxSTC_SQL_IDENTIFIER
wx.stc.STC_SQL_NUMBER = wx.stc.wxSTC_SQL_NUMBER
wx.stc.STC_SQL_OPERATOR = wx.stc.wxSTC_SQL_OPERATOR
wx.stc.STC_SQL_QUOTEDIDENTIFIER = wx.stc.wxSTC_SQL_QUOTEDIDENTIFIER
wx.stc.STC_SQL_SQLPLUS = wx.stc.wxSTC_SQL_SQLPLUS
wx.stc.STC_SQL_SQLPLUS_COMMENT = wx.stc.wxSTC_SQL_SQLPLUS_COMMENT
wx.stc.STC_SQL_SQLPLUS_PROMPT = wx.stc.wxSTC_SQL_SQLPLUS_PROMPT
wx.stc.STC_SQL_STRING = wx.stc.wxSTC_SQL_STRING
wx.stc.STC_SQL_USER1 = wx.stc.wxSTC_SQL_USER1
wx.stc.STC_SQL_USER2 = wx.stc.wxSTC_SQL_USER2
wx.stc.STC_SQL_USER3 = wx.stc.wxSTC_SQL_USER3
wx.stc.STC_SQL_USER4 = wx.stc.wxSTC_SQL_USER4
wx.stc.STC_SQL_WORD = wx.stc.wxSTC_SQL_WORD
wx.stc.STC_SQL_WORD2 = wx.stc.wxSTC_SQL_WORD2
wx.stc.STC_ST_ASSIGN = wx.stc.wxSTC_ST_ASSIGN
wx.stc.STC_ST_BINARY = wx.stc.wxSTC_ST_BINARY
wx.stc.STC_ST_BOOL = wx.stc.wxSTC_ST_BOOL
wx.stc.STC_ST_CHARACTER = wx.stc.wxSTC_ST_CHARACTER
wx.stc.STC_ST_COMMENT = wx.stc.wxSTC_ST_COMMENT
wx.stc.STC_ST_DEFAULT = wx.stc.wxSTC_ST_DEFAULT
wx.stc.STC_ST_GLOBAL = wx.stc.wxSTC_ST_GLOBAL
wx.stc.STC_ST_KWSEND = wx.stc.wxSTC_ST_KWSEND
wx.stc.STC_ST_NIL = wx.stc.wxSTC_ST_NIL
wx.stc.STC_ST_NUMBER = wx.stc.wxSTC_ST_NUMBER
wx.stc.STC_ST_RETURN = wx.stc.wxSTC_ST_RETURN
wx.stc.STC_ST_SELF = wx.stc.wxSTC_ST_SELF
wx.stc.STC_ST_SPEC_SEL = wx.stc.wxSTC_ST_SPEC_SEL
wx.stc.STC_ST_SPECIAL = wx.stc.wxSTC_ST_SPECIAL
wx.stc.STC_ST_STRING = wx.stc.wxSTC_ST_STRING
wx.stc.STC_ST_SUPER = wx.stc.wxSTC_ST_SUPER
wx.stc.STC_ST_SYMBOL = wx.stc.wxSTC_ST_SYMBOL
wx.stc.STC_STYLE_BRACEBAD = wx.stc.wxSTC_STYLE_BRACEBAD
wx.stc.STC_STYLE_BRACELIGHT = wx.stc.wxSTC_STYLE_BRACELIGHT
wx.stc.STC_STYLE_CONTROLCHAR = wx.stc.wxSTC_STYLE_CONTROLCHAR
wx.stc.STC_STYLE_DEFAULT = wx.stc.wxSTC_STYLE_DEFAULT
wx.stc.STC_STYLE_LINENUMBER = wx.stc.wxSTC_STYLE_LINENUMBER
wx.stc.STC_TCL_BLOCK_COMMENT = wx.stc.wxSTC_TCL_BLOCK_COMMENT
wx.stc.STC_TCL_COMMENT = wx.stc.wxSTC_TCL_COMMENT
wx.stc.STC_TCL_COMMENT_BOX = wx.stc.wxSTC_TCL_COMMENT_BOX
wx.stc.STC_TCL_COMMENTLINE = wx.stc.wxSTC_TCL_COMMENTLINE
wx.stc.STC_TCL_DEFAULT = wx.stc.wxSTC_TCL_DEFAULT
wx.stc.STC_TCL_EXPAND = wx.stc.wxSTC_TCL_EXPAND
wx.stc.STC_TCL_IDENTIFIER = wx.stc.wxSTC_TCL_IDENTIFIER
wx.stc.STC_TCL_IN_QUOTE = wx.stc.wxSTC_TCL_IN_QUOTE
wx.stc.STC_TCL_MODIFIER = wx.stc.wxSTC_TCL_MODIFIER
wx.stc.STC_TCL_NUMBER = wx.stc.wxSTC_TCL_NUMBER
wx.stc.STC_TCL_OPERATOR = wx.stc.wxSTC_TCL_OPERATOR
wx.stc.STC_TCL_SUB_BRACE = wx.stc.wxSTC_TCL_SUB_BRACE
wx.stc.STC_TCL_SUBSTITUTION = wx.stc.wxSTC_TCL_SUBSTITUTION
wx.stc.STC_TCL_WORD = wx.stc.wxSTC_TCL_WORD
wx.stc.STC_TCL_WORD_IN_QUOTE = wx.stc.wxSTC_TCL_WORD_IN_QUOTE
wx.stc.STC_TCL_WORD2 = wx.stc.wxSTC_TCL_WORD2
wx.stc.STC_TCL_WORD3 = wx.stc.wxSTC_TCL_WORD3
wx.stc.STC_TCL_WORD4 = wx.stc.wxSTC_TCL_WORD4
wx.stc.STC_TCL_WORD5 = wx.stc.wxSTC_TCL_WORD5
wx.stc.STC_TCL_WORD6 = wx.stc.wxSTC_TCL_WORD6
wx.stc.STC_TCL_WORD7 = wx.stc.wxSTC_TCL_WORD7
wx.stc.STC_TCL_WORD8 = wx.stc.wxSTC_TCL_WORD8
wx.stc.STC_TEX_COMMAND = wx.stc.wxSTC_TEX_COMMAND
wx.stc.STC_TEX_DEFAULT = wx.stc.wxSTC_TEX_DEFAULT
wx.stc.STC_TEX_GROUP = wx.stc.wxSTC_TEX_GROUP
wx.stc.STC_TEX_SPECIAL = wx.stc.wxSTC_TEX_SPECIAL
wx.stc.STC_TEX_SYMBOL = wx.stc.wxSTC_TEX_SYMBOL
wx.stc.STC_TEX_TEXT = wx.stc.wxSTC_TEX_TEXT
wx.stc.STC_V_COMMENT = wx.stc.wxSTC_V_COMMENT
wx.stc.STC_V_COMMENTLINE = wx.stc.wxSTC_V_COMMENTLINE
wx.stc.STC_V_COMMENTLINEBANG = wx.stc.wxSTC_V_COMMENTLINEBANG
wx.stc.STC_V_DEFAULT = wx.stc.wxSTC_V_DEFAULT
wx.stc.STC_V_IDENTIFIER = wx.stc.wxSTC_V_IDENTIFIER
wx.stc.STC_V_NUMBER = wx.stc.wxSTC_V_NUMBER
wx.stc.STC_V_OPERATOR = wx.stc.wxSTC_V_OPERATOR
wx.stc.STC_V_PREPROCESSOR = wx.stc.wxSTC_V_PREPROCESSOR
wx.stc.STC_V_STRING = wx.stc.wxSTC_V_STRING
wx.stc.STC_V_STRINGEOL = wx.stc.wxSTC_V_STRINGEOL
wx.stc.STC_V_USER = wx.stc.wxSTC_V_USER
wx.stc.STC_V_WORD = wx.stc.wxSTC_V_WORD
wx.stc.STC_V_WORD2 = wx.stc.wxSTC_V_WORD2
wx.stc.STC_V_WORD3 = wx.stc.wxSTC_V_WORD3
wx.stc.STC_VHDL_ATTRIBUTE = wx.stc.wxSTC_VHDL_ATTRIBUTE
wx.stc.STC_VHDL_COMMENT = wx.stc.wxSTC_VHDL_COMMENT
wx.stc.STC_VHDL_COMMENTLINEBANG = wx.stc.wxSTC_VHDL_COMMENTLINEBANG
wx.stc.STC_VHDL_DEFAULT = wx.stc.wxSTC_VHDL_DEFAULT
wx.stc.STC_VHDL_IDENTIFIER = wx.stc.wxSTC_VHDL_IDENTIFIER
wx.stc.STC_VHDL_KEYWORD = wx.stc.wxSTC_VHDL_KEYWORD
wx.stc.STC_VHDL_NUMBER = wx.stc.wxSTC_VHDL_NUMBER
wx.stc.STC_VHDL_OPERATOR = wx.stc.wxSTC_VHDL_OPERATOR
wx.stc.STC_VHDL_STDFUNCTION = wx.stc.wxSTC_VHDL_STDFUNCTION
wx.stc.STC_VHDL_STDOPERATOR = wx.stc.wxSTC_VHDL_STDOPERATOR
wx.stc.STC_VHDL_STDPACKAGE = wx.stc.wxSTC_VHDL_STDPACKAGE
wx.stc.STC_VHDL_STDTYPE = wx.stc.wxSTC_VHDL_STDTYPE
wx.stc.STC_VHDL_STRING = wx.stc.wxSTC_VHDL_STRING
wx.stc.STC_VHDL_STRINGEOL = wx.stc.wxSTC_VHDL_STRINGEOL
wx.stc.STC_VHDL_USERWORD = wx.stc.wxSTC_VHDL_USERWORD
wx.stc.STC_YAML_COMMENT = wx.stc.wxSTC_YAML_COMMENT
wx.stc.STC_YAML_DEFAULT = wx.stc.wxSTC_YAML_DEFAULT
wx.stc.STC_YAML_DOCUMENT = wx.stc.wxSTC_YAML_DOCUMENT
wx.stc.STC_YAML_ERROR = wx.stc.wxSTC_YAML_ERROR
wx.stc.STC_YAML_IDENTIFIER = wx.stc.wxSTC_YAML_IDENTIFIER
wx.stc.STC_YAML_KEYWORD = wx.stc.wxSTC_YAML_KEYWORD
wx.stc.STC_YAML_NUMBER = wx.stc.wxSTC_YAML_NUMBER
wx.stc.STC_YAML_OPERATOR = wx.stc.wxSTC_YAML_OPERATOR
wx.stc.STC_YAML_REFERENCE = wx.stc.wxSTC_YAML_REFERENCE
wx.stc.STC_YAML_TEXT = wx.stc.wxSTC_YAML_TEXT
wx.stc.StyledTextCtrl = wx.stc.wxStyledTextCtrl

#----------------------------------------------------------------------------

