# This file was automatically generated by SWIG (http://www.swig.org).
# Version 3.0.7
#
# Do not make changes to this file unless you know what you are doing--modify
# the SWIG interface file instead.




"""
The wx.aui module is an Advanced User Interface library that aims to
implement "cutting-edge" interface usability and design features so
developers can quickly and easily create beautiful and usable
application interfaces.

**Vision and Design Principles**

wx.aui attempts to encapsulate the following aspects of the user
interface:

  * Frame Management: Frame management provides the means to open,
    move and hide common controls that are needed to interact with the
    document, and allow these configurations to be saved into
    different perspectives and loaded at a later time.

  * Toolbars: Toolbars are a specialized subset of the frame
    management system and should behave similarly to other docked
    components. However, they also require additional functionality,
    such as "spring-loaded" rebar support, "chevron" buttons and
    end-user customizability.

  * Modeless Controls: Modeless controls expose a tool palette or set
    of options that float above the application content while allowing
    it to be accessed. Usually accessed by the toolbar, these controls
    disappear when an option is selected, but may also be "torn off"
    the toolbar into a floating frame of their own.

  * Look and Feel: Look and feel encompasses the way controls are
    drawn, both when shown statically as well as when they are being
    moved. This aspect of user interface design incorporates "special
    effects" such as transparent window dragging as well as frame
    animation.

**wx.aui adheres to the following principles**

  - Use native floating frames to obtain a native look and feel for
    all platforms;

  - Use existing wxPython code where possible, such as sizer
    implementation for frame management;

  - Use standard wxPython coding conventions.


**Usage**

The following example shows a simple implementation that utilizes
`wx.aui.AuiManager` to manage three text controls in a frame window::

    import wx
    import wx.aui

    class MyFrame(wx.wxFrame):

        def __init__(self, parent, id=-1, title='wx.aui Test',
                     pos=wx.wxDefaultPosition, size=(800, 600),
                     style=wx.wxDEFAULT_FRAME_STYLE):
            wx.wxFrame.__init__(self, parent, id, title, pos, size, style)

            self._mgr = wx.aui.AuiManager(self)

            # create several text controls
            text1 = wx.TextCtrl(self, -1, 'Pane 1 - sample text',
                                wx.wxDefaultPosition, wx.wxSize(200,150),
                                wx.wxNO_BORDER | wx.wxTE_MULTILINE)

            text2 = wx.TextCtrl(self, -1, 'Pane 2 - sample text',
                                wx.wxDefaultPosition, wx.wxSize(200,150),
                                wx.wxNO_BORDER | wx.wxTE_MULTILINE)

            text3 = wx.TextCtrl(self, -1, 'Main content window',
                                wx.wxDefaultPosition, wx.wxSize(200,150),
                                wx.wxNO_BORDER | wx.wxTE_MULTILINE)

            # add the panes to the manager
            self._mgr.AddPane(text1, wx.LEFT, 'Pane Number One')
            self._mgr.AddPane(text2, wx.BOTTOM, 'Pane Number Two')
            self._mgr.AddPane(text3, wx.CENTER)

            # tell the manager to 'commit' all the changes just made
            self._mgr.Update()

            self.Bind(wx.EVT_CLOSE, self.OnClose)


        def OnClose(self, event):
            # deinitialize the frame manager
            self._mgr.UnInit()
            # delete the frame
            self.Destroy()


    app = wx.App()
    frame = MyFrame(None)
    frame.Show()
    app.MainLoop()

"""


from sys import version_info
if version_info >= (2, 6, 0):
    def swig_import_helper():
        from os.path import dirname
        import imp
        fp = None
        try:
            fp, pathname, description = imp.find_module('_aui', [dirname(__file__)])
        except ImportError:
            import _aui
            return _aui
        if fp is not None:
            try:
                _mod = imp.load_module('_aui', fp, pathname, description)
            finally:
                fp.close()
            return _mod
    _aui = swig_import_helper()
    del swig_import_helper
else:
    import _aui
del version_info
try:
    _swig_property = property
except NameError:
    pass  # Python < 2.2 doesn't have 'property'.


def _swig_setattr_nondynamic(self, class_type, name, value, static=1):
    if (name == "thisown"):
        return self.this.own(value)
    if (name == "this"):
        if type(value).__name__ == 'SwigPyObject':
            self.__dict__[name] = value
            return
    method = class_type.__swig_setmethods__.get(name, None)
    if method:
        return method(self, value)
    if (not static):
        object.__setattr__(self, name, value)
    else:
        raise AttributeError("You cannot add attributes to %s" % self)


def _swig_setattr(self, class_type, name, value):
    return _swig_setattr_nondynamic(self, class_type, name, value, 0)


def _swig_getattr_nondynamic(self, class_type, name, static=1):
    if (name == "thisown"):
        return self.this.own()
    method = class_type.__swig_getmethods__.get(name, None)
    if method:
        return method(self)
    if (not static):
        return object.__getattr__(self, name)
    else:
        raise AttributeError(name)

def _swig_getattr(self, class_type, name):
    return _swig_getattr_nondynamic(self, class_type, name, 0)


def _swig_repr(self):
    try:
        strthis = "proxy of " + self.this.__repr__()
    except:
        strthis = ""
    return "<%s.%s; %s >" % (self.__class__.__module__, self.__class__.__name__, strthis,)

try:
    _object = object
    _newclass = 1
except AttributeError:
    class _object:
        pass
    _newclass = 0



def _swig_setattr_nondynamic_method(set):
    def set_attr(self, name, value):
        if (name == "thisown"):
            return self.this.own(value)
        if hasattr(self, name) or (name == "this"):
            set(self, name, value)
        else:
            raise AttributeError("You cannot add attributes to %s" % self)
    return set_attr


import _core
import _windows
wx = _core 
__docfilter__ = wx.__DocFilter(globals()) 
class wxNavigationEnabled_BookCtrlBase(_core.wxBookCtrlBase):
    """Proxy of C++ wxNavigationEnabled<(wxBookCtrlBase)> class"""
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')

    def __init__(self, *args, **kwargs):
        raise AttributeError("No constructor defined")
    __repr__ = _swig_repr
wxNavigationEnabled_BookCtrlBase_swigregister = _aui.wxNavigationEnabled_BookCtrlBase_swigregister
wxNavigationEnabled_BookCtrlBase_swigregister(wxNavigationEnabled_BookCtrlBase)


_aui.wxAUI_DOCK_NONE_swigconstant(_aui)
wxAUI_DOCK_NONE = _aui.wxAUI_DOCK_NONE

_aui.wxAUI_DOCK_TOP_swigconstant(_aui)
wxAUI_DOCK_TOP = _aui.wxAUI_DOCK_TOP

_aui.wxAUI_DOCK_RIGHT_swigconstant(_aui)
wxAUI_DOCK_RIGHT = _aui.wxAUI_DOCK_RIGHT

_aui.wxAUI_DOCK_BOTTOM_swigconstant(_aui)
wxAUI_DOCK_BOTTOM = _aui.wxAUI_DOCK_BOTTOM

_aui.wxAUI_DOCK_LEFT_swigconstant(_aui)
wxAUI_DOCK_LEFT = _aui.wxAUI_DOCK_LEFT

_aui.wxAUI_DOCK_CENTER_swigconstant(_aui)
wxAUI_DOCK_CENTER = _aui.wxAUI_DOCK_CENTER

_aui.wxAUI_DOCK_CENTRE_swigconstant(_aui)
wxAUI_DOCK_CENTRE = _aui.wxAUI_DOCK_CENTRE

_aui.wxAUI_MGR_ALLOW_FLOATING_swigconstant(_aui)
wxAUI_MGR_ALLOW_FLOATING = _aui.wxAUI_MGR_ALLOW_FLOATING

_aui.wxAUI_MGR_ALLOW_ACTIVE_PANE_swigconstant(_aui)
wxAUI_MGR_ALLOW_ACTIVE_PANE = _aui.wxAUI_MGR_ALLOW_ACTIVE_PANE

_aui.wxAUI_MGR_TRANSPARENT_DRAG_swigconstant(_aui)
wxAUI_MGR_TRANSPARENT_DRAG = _aui.wxAUI_MGR_TRANSPARENT_DRAG

_aui.wxAUI_MGR_TRANSPARENT_HINT_swigconstant(_aui)
wxAUI_MGR_TRANSPARENT_HINT = _aui.wxAUI_MGR_TRANSPARENT_HINT

_aui.wxAUI_MGR_VENETIAN_BLINDS_HINT_swigconstant(_aui)
wxAUI_MGR_VENETIAN_BLINDS_HINT = _aui.wxAUI_MGR_VENETIAN_BLINDS_HINT

_aui.wxAUI_MGR_RECTANGLE_HINT_swigconstant(_aui)
wxAUI_MGR_RECTANGLE_HINT = _aui.wxAUI_MGR_RECTANGLE_HINT

_aui.wxAUI_MGR_HINT_FADE_swigconstant(_aui)
wxAUI_MGR_HINT_FADE = _aui.wxAUI_MGR_HINT_FADE

_aui.wxAUI_MGR_NO_VENETIAN_BLINDS_FADE_swigconstant(_aui)
wxAUI_MGR_NO_VENETIAN_BLINDS_FADE = _aui.wxAUI_MGR_NO_VENETIAN_BLINDS_FADE

_aui.wxAUI_MGR_LIVE_RESIZE_swigconstant(_aui)
wxAUI_MGR_LIVE_RESIZE = _aui.wxAUI_MGR_LIVE_RESIZE

_aui.wxAUI_MGR_DEFAULT_swigconstant(_aui)
wxAUI_MGR_DEFAULT = _aui.wxAUI_MGR_DEFAULT

_aui.wxAUI_DOCKART_SASH_SIZE_swigconstant(_aui)
wxAUI_DOCKART_SASH_SIZE = _aui.wxAUI_DOCKART_SASH_SIZE

_aui.wxAUI_DOCKART_CAPTION_SIZE_swigconstant(_aui)
wxAUI_DOCKART_CAPTION_SIZE = _aui.wxAUI_DOCKART_CAPTION_SIZE

_aui.wxAUI_DOCKART_GRIPPER_SIZE_swigconstant(_aui)
wxAUI_DOCKART_GRIPPER_SIZE = _aui.wxAUI_DOCKART_GRIPPER_SIZE

_aui.wxAUI_DOCKART_PANE_BORDER_SIZE_swigconstant(_aui)
wxAUI_DOCKART_PANE_BORDER_SIZE = _aui.wxAUI_DOCKART_PANE_BORDER_SIZE

_aui.wxAUI_DOCKART_PANE_BUTTON_SIZE_swigconstant(_aui)
wxAUI_DOCKART_PANE_BUTTON_SIZE = _aui.wxAUI_DOCKART_PANE_BUTTON_SIZE

_aui.wxAUI_DOCKART_BACKGROUND_COLOUR_swigconstant(_aui)
wxAUI_DOCKART_BACKGROUND_COLOUR = _aui.wxAUI_DOCKART_BACKGROUND_COLOUR

_aui.wxAUI_DOCKART_SASH_COLOUR_swigconstant(_aui)
wxAUI_DOCKART_SASH_COLOUR = _aui.wxAUI_DOCKART_SASH_COLOUR

_aui.wxAUI_DOCKART_ACTIVE_CAPTION_COLOUR_swigconstant(_aui)
wxAUI_DOCKART_ACTIVE_CAPTION_COLOUR = _aui.wxAUI_DOCKART_ACTIVE_CAPTION_COLOUR

_aui.wxAUI_DOCKART_ACTIVE_CAPTION_GRADIENT_COLOUR_swigconstant(_aui)
wxAUI_DOCKART_ACTIVE_CAPTION_GRADIENT_COLOUR = _aui.wxAUI_DOCKART_ACTIVE_CAPTION_GRADIENT_COLOUR

_aui.wxAUI_DOCKART_INACTIVE_CAPTION_COLOUR_swigconstant(_aui)
wxAUI_DOCKART_INACTIVE_CAPTION_COLOUR = _aui.wxAUI_DOCKART_INACTIVE_CAPTION_COLOUR

_aui.wxAUI_DOCKART_INACTIVE_CAPTION_GRADIENT_COLOUR_swigconstant(_aui)
wxAUI_DOCKART_INACTIVE_CAPTION_GRADIENT_COLOUR = _aui.wxAUI_DOCKART_INACTIVE_CAPTION_GRADIENT_COLOUR

_aui.wxAUI_DOCKART_ACTIVE_CAPTION_TEXT_COLOUR_swigconstant(_aui)
wxAUI_DOCKART_ACTIVE_CAPTION_TEXT_COLOUR = _aui.wxAUI_DOCKART_ACTIVE_CAPTION_TEXT_COLOUR

_aui.wxAUI_DOCKART_INACTIVE_CAPTION_TEXT_COLOUR_swigconstant(_aui)
wxAUI_DOCKART_INACTIVE_CAPTION_TEXT_COLOUR = _aui.wxAUI_DOCKART_INACTIVE_CAPTION_TEXT_COLOUR

_aui.wxAUI_DOCKART_BORDER_COLOUR_swigconstant(_aui)
wxAUI_DOCKART_BORDER_COLOUR = _aui.wxAUI_DOCKART_BORDER_COLOUR

_aui.wxAUI_DOCKART_GRIPPER_COLOUR_swigconstant(_aui)
wxAUI_DOCKART_GRIPPER_COLOUR = _aui.wxAUI_DOCKART_GRIPPER_COLOUR

_aui.wxAUI_DOCKART_CAPTION_FONT_swigconstant(_aui)
wxAUI_DOCKART_CAPTION_FONT = _aui.wxAUI_DOCKART_CAPTION_FONT

_aui.wxAUI_DOCKART_GRADIENT_TYPE_swigconstant(_aui)
wxAUI_DOCKART_GRADIENT_TYPE = _aui.wxAUI_DOCKART_GRADIENT_TYPE

_aui.wxAUI_GRADIENT_NONE_swigconstant(_aui)
wxAUI_GRADIENT_NONE = _aui.wxAUI_GRADIENT_NONE

_aui.wxAUI_GRADIENT_VERTICAL_swigconstant(_aui)
wxAUI_GRADIENT_VERTICAL = _aui.wxAUI_GRADIENT_VERTICAL

_aui.wxAUI_GRADIENT_HORIZONTAL_swigconstant(_aui)
wxAUI_GRADIENT_HORIZONTAL = _aui.wxAUI_GRADIENT_HORIZONTAL

_aui.wxAUI_BUTTON_STATE_NORMAL_swigconstant(_aui)
wxAUI_BUTTON_STATE_NORMAL = _aui.wxAUI_BUTTON_STATE_NORMAL

_aui.wxAUI_BUTTON_STATE_HOVER_swigconstant(_aui)
wxAUI_BUTTON_STATE_HOVER = _aui.wxAUI_BUTTON_STATE_HOVER

_aui.wxAUI_BUTTON_STATE_PRESSED_swigconstant(_aui)
wxAUI_BUTTON_STATE_PRESSED = _aui.wxAUI_BUTTON_STATE_PRESSED

_aui.wxAUI_BUTTON_STATE_DISABLED_swigconstant(_aui)
wxAUI_BUTTON_STATE_DISABLED = _aui.wxAUI_BUTTON_STATE_DISABLED

_aui.wxAUI_BUTTON_STATE_HIDDEN_swigconstant(_aui)
wxAUI_BUTTON_STATE_HIDDEN = _aui.wxAUI_BUTTON_STATE_HIDDEN

_aui.wxAUI_BUTTON_STATE_CHECKED_swigconstant(_aui)
wxAUI_BUTTON_STATE_CHECKED = _aui.wxAUI_BUTTON_STATE_CHECKED

_aui.wxAUI_BUTTON_CLOSE_swigconstant(_aui)
wxAUI_BUTTON_CLOSE = _aui.wxAUI_BUTTON_CLOSE

_aui.wxAUI_BUTTON_MAXIMIZE_RESTORE_swigconstant(_aui)
wxAUI_BUTTON_MAXIMIZE_RESTORE = _aui.wxAUI_BUTTON_MAXIMIZE_RESTORE

_aui.wxAUI_BUTTON_MINIMIZE_swigconstant(_aui)
wxAUI_BUTTON_MINIMIZE = _aui.wxAUI_BUTTON_MINIMIZE

_aui.wxAUI_BUTTON_PIN_swigconstant(_aui)
wxAUI_BUTTON_PIN = _aui.wxAUI_BUTTON_PIN

_aui.wxAUI_BUTTON_OPTIONS_swigconstant(_aui)
wxAUI_BUTTON_OPTIONS = _aui.wxAUI_BUTTON_OPTIONS

_aui.wxAUI_BUTTON_WINDOWLIST_swigconstant(_aui)
wxAUI_BUTTON_WINDOWLIST = _aui.wxAUI_BUTTON_WINDOWLIST

_aui.wxAUI_BUTTON_LEFT_swigconstant(_aui)
wxAUI_BUTTON_LEFT = _aui.wxAUI_BUTTON_LEFT

_aui.wxAUI_BUTTON_RIGHT_swigconstant(_aui)
wxAUI_BUTTON_RIGHT = _aui.wxAUI_BUTTON_RIGHT

_aui.wxAUI_BUTTON_UP_swigconstant(_aui)
wxAUI_BUTTON_UP = _aui.wxAUI_BUTTON_UP

_aui.wxAUI_BUTTON_DOWN_swigconstant(_aui)
wxAUI_BUTTON_DOWN = _aui.wxAUI_BUTTON_DOWN

_aui.wxAUI_BUTTON_CUSTOM1_swigconstant(_aui)
wxAUI_BUTTON_CUSTOM1 = _aui.wxAUI_BUTTON_CUSTOM1

_aui.wxAUI_BUTTON_CUSTOM2_swigconstant(_aui)
wxAUI_BUTTON_CUSTOM2 = _aui.wxAUI_BUTTON_CUSTOM2

_aui.wxAUI_BUTTON_CUSTOM3_swigconstant(_aui)
wxAUI_BUTTON_CUSTOM3 = _aui.wxAUI_BUTTON_CUSTOM3

_aui.wxAUI_INSERT_PANE_swigconstant(_aui)
wxAUI_INSERT_PANE = _aui.wxAUI_INSERT_PANE

_aui.wxAUI_INSERT_ROW_swigconstant(_aui)
wxAUI_INSERT_ROW = _aui.wxAUI_INSERT_ROW

_aui.wxAUI_INSERT_DOCK_swigconstant(_aui)
wxAUI_INSERT_DOCK = _aui.wxAUI_INSERT_DOCK
class wxAuiPaneInfo(object):
    """Proxy of C++ wxAuiPaneInfo class"""
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    __repr__ = _swig_repr

    def __init__(self, *args, **kwargs):
        """__init__(wxAuiPaneInfo self) -> wxAuiPaneInfo"""
        _aui.wxAuiPaneInfo_swiginit(self, _aui.new_wxAuiPaneInfo(*args, **kwargs))
    __swig_destroy__ = _aui.delete_wxAuiPaneInfo
    __del__ = lambda self: None

    def SafeSet(self, *args, **kwargs):
        """SafeSet(wxAuiPaneInfo self, wxAuiPaneInfo source)"""
        return _aui.wxAuiPaneInfo_SafeSet(self, *args, **kwargs)


    def IsOk(self, *args, **kwargs):
        """IsOk(wxAuiPaneInfo self) -> bool"""
        return _aui.wxAuiPaneInfo_IsOk(self, *args, **kwargs)


    def IsFixed(self, *args, **kwargs):
        """IsFixed(wxAuiPaneInfo self) -> bool"""
        return _aui.wxAuiPaneInfo_IsFixed(self, *args, **kwargs)


    def IsResizable(self, *args, **kwargs):
        """IsResizable(wxAuiPaneInfo self) -> bool"""
        return _aui.wxAuiPaneInfo_IsResizable(self, *args, **kwargs)


    def IsShown(self, *args, **kwargs):
        """IsShown(wxAuiPaneInfo self) -> bool"""
        return _aui.wxAuiPaneInfo_IsShown(self, *args, **kwargs)


    def IsFloating(self, *args, **kwargs):
        """IsFloating(wxAuiPaneInfo self) -> bool"""
        return _aui.wxAuiPaneInfo_IsFloating(self, *args, **kwargs)


    def IsDocked(self, *args, **kwargs):
        """IsDocked(wxAuiPaneInfo self) -> bool"""
        return _aui.wxAuiPaneInfo_IsDocked(self, *args, **kwargs)


    def IsToolbar(self, *args, **kwargs):
        """IsToolbar(wxAuiPaneInfo self) -> bool"""
        return _aui.wxAuiPaneInfo_IsToolbar(self, *args, **kwargs)


    def IsTopDockable(self, *args, **kwargs):
        """IsTopDockable(wxAuiPaneInfo self) -> bool"""
        return _aui.wxAuiPaneInfo_IsTopDockable(self, *args, **kwargs)


    def IsBottomDockable(self, *args, **kwargs):
        """IsBottomDockable(wxAuiPaneInfo self) -> bool"""
        return _aui.wxAuiPaneInfo_IsBottomDockable(self, *args, **kwargs)


    def IsLeftDockable(self, *args, **kwargs):
        """IsLeftDockable(wxAuiPaneInfo self) -> bool"""
        return _aui.wxAuiPaneInfo_IsLeftDockable(self, *args, **kwargs)


    def IsRightDockable(self, *args, **kwargs):
        """IsRightDockable(wxAuiPaneInfo self) -> bool"""
        return _aui.wxAuiPaneInfo_IsRightDockable(self, *args, **kwargs)


    def IsDockable(self, *args, **kwargs):
        """IsDockable(wxAuiPaneInfo self) -> bool"""
        return _aui.wxAuiPaneInfo_IsDockable(self, *args, **kwargs)


    def IsFloatable(self, *args, **kwargs):
        """IsFloatable(wxAuiPaneInfo self) -> bool"""
        return _aui.wxAuiPaneInfo_IsFloatable(self, *args, **kwargs)


    def IsMovable(self, *args, **kwargs):
        """IsMovable(wxAuiPaneInfo self) -> bool"""
        return _aui.wxAuiPaneInfo_IsMovable(self, *args, **kwargs)


    def IsDestroyOnClose(self, *args, **kwargs):
        """IsDestroyOnClose(wxAuiPaneInfo self) -> bool"""
        return _aui.wxAuiPaneInfo_IsDestroyOnClose(self, *args, **kwargs)


    def IsMaximized(self, *args, **kwargs):
        """IsMaximized(wxAuiPaneInfo self) -> bool"""
        return _aui.wxAuiPaneInfo_IsMaximized(self, *args, **kwargs)


    def HasCaption(self, *args, **kwargs):
        """HasCaption(wxAuiPaneInfo self) -> bool"""
        return _aui.wxAuiPaneInfo_HasCaption(self, *args, **kwargs)


    def HasGripper(self, *args, **kwargs):
        """HasGripper(wxAuiPaneInfo self) -> bool"""
        return _aui.wxAuiPaneInfo_HasGripper(self, *args, **kwargs)


    def HasBorder(self, *args, **kwargs):
        """HasBorder(wxAuiPaneInfo self) -> bool"""
        return _aui.wxAuiPaneInfo_HasBorder(self, *args, **kwargs)


    def HasCloseButton(self, *args, **kwargs):
        """HasCloseButton(wxAuiPaneInfo self) -> bool"""
        return _aui.wxAuiPaneInfo_HasCloseButton(self, *args, **kwargs)


    def HasMaximizeButton(self, *args, **kwargs):
        """HasMaximizeButton(wxAuiPaneInfo self) -> bool"""
        return _aui.wxAuiPaneInfo_HasMaximizeButton(self, *args, **kwargs)


    def HasMinimizeButton(self, *args, **kwargs):
        """HasMinimizeButton(wxAuiPaneInfo self) -> bool"""
        return _aui.wxAuiPaneInfo_HasMinimizeButton(self, *args, **kwargs)


    def HasPinButton(self, *args, **kwargs):
        """HasPinButton(wxAuiPaneInfo self) -> bool"""
        return _aui.wxAuiPaneInfo_HasPinButton(self, *args, **kwargs)


    def HasGripperTop(self, *args, **kwargs):
        """HasGripperTop(wxAuiPaneInfo self) -> bool"""
        return _aui.wxAuiPaneInfo_HasGripperTop(self, *args, **kwargs)


    def Window(self, *args, **kwargs):
        """Window(wxAuiPaneInfo self, wxWindow w) -> wxAuiPaneInfo"""
        return _aui.wxAuiPaneInfo_Window(self, *args, **kwargs)


    def Name(self, *args, **kwargs):
        """Name(wxAuiPaneInfo self, wxString const & n) -> wxAuiPaneInfo"""
        return _aui.wxAuiPaneInfo_Name(self, *args, **kwargs)


    def Caption(self, *args, **kwargs):
        """Caption(wxAuiPaneInfo self, wxString const & c) -> wxAuiPaneInfo"""
        return _aui.wxAuiPaneInfo_Caption(self, *args, **kwargs)


    def Icon(self, *args, **kwargs):
        """Icon(wxAuiPaneInfo self, wxBitmap const & b) -> wxAuiPaneInfo"""
        return _aui.wxAuiPaneInfo_Icon(self, *args, **kwargs)


    def Left(self, *args, **kwargs):
        """Left(wxAuiPaneInfo self) -> wxAuiPaneInfo"""
        return _aui.wxAuiPaneInfo_Left(self, *args, **kwargs)


    def Right(self, *args, **kwargs):
        """Right(wxAuiPaneInfo self) -> wxAuiPaneInfo"""
        return _aui.wxAuiPaneInfo_Right(self, *args, **kwargs)


    def Top(self, *args, **kwargs):
        """Top(wxAuiPaneInfo self) -> wxAuiPaneInfo"""
        return _aui.wxAuiPaneInfo_Top(self, *args, **kwargs)


    def Bottom(self, *args, **kwargs):
        """Bottom(wxAuiPaneInfo self) -> wxAuiPaneInfo"""
        return _aui.wxAuiPaneInfo_Bottom(self, *args, **kwargs)


    def Center(self, *args, **kwargs):
        """Center(wxAuiPaneInfo self) -> wxAuiPaneInfo"""
        return _aui.wxAuiPaneInfo_Center(self, *args, **kwargs)


    def Centre(self, *args, **kwargs):
        """Centre(wxAuiPaneInfo self) -> wxAuiPaneInfo"""
        return _aui.wxAuiPaneInfo_Centre(self, *args, **kwargs)


    def Direction(self, *args, **kwargs):
        """Direction(wxAuiPaneInfo self, int direction) -> wxAuiPaneInfo"""
        return _aui.wxAuiPaneInfo_Direction(self, *args, **kwargs)


    def Layer(self, *args, **kwargs):
        """Layer(wxAuiPaneInfo self, int layer) -> wxAuiPaneInfo"""
        return _aui.wxAuiPaneInfo_Layer(self, *args, **kwargs)


    def Row(self, *args, **kwargs):
        """Row(wxAuiPaneInfo self, int row) -> wxAuiPaneInfo"""
        return _aui.wxAuiPaneInfo_Row(self, *args, **kwargs)


    def Position(self, *args, **kwargs):
        """Position(wxAuiPaneInfo self, int pos) -> wxAuiPaneInfo"""
        return _aui.wxAuiPaneInfo_Position(self, *args, **kwargs)


    def BestSize(self, *args, **kwargs):
        """BestSize(wxAuiPaneInfo self, wxSize size) -> wxAuiPaneInfo"""
        return _aui.wxAuiPaneInfo_BestSize(self, *args, **kwargs)


    def MinSize(self, *args, **kwargs):
        """MinSize(wxAuiPaneInfo self, wxSize size) -> wxAuiPaneInfo"""
        return _aui.wxAuiPaneInfo_MinSize(self, *args, **kwargs)


    def MaxSize(self, *args, **kwargs):
        """MaxSize(wxAuiPaneInfo self, wxSize size) -> wxAuiPaneInfo"""
        return _aui.wxAuiPaneInfo_MaxSize(self, *args, **kwargs)


    def FloatingPosition(self, *args, **kwargs):
        """FloatingPosition(wxAuiPaneInfo self, wxPoint pos) -> wxAuiPaneInfo"""
        return _aui.wxAuiPaneInfo_FloatingPosition(self, *args, **kwargs)


    def FloatingSize(self, *args, **kwargs):
        """FloatingSize(wxAuiPaneInfo self, wxSize size) -> wxAuiPaneInfo"""
        return _aui.wxAuiPaneInfo_FloatingSize(self, *args, **kwargs)


    def Fixed(self, *args, **kwargs):
        """Fixed(wxAuiPaneInfo self) -> wxAuiPaneInfo"""
        return _aui.wxAuiPaneInfo_Fixed(self, *args, **kwargs)


    def Resizable(self, *args, **kwargs):
        """Resizable(wxAuiPaneInfo self, bool resizable=True) -> wxAuiPaneInfo"""
        return _aui.wxAuiPaneInfo_Resizable(self, *args, **kwargs)


    def Dock(self, *args, **kwargs):
        """Dock(wxAuiPaneInfo self) -> wxAuiPaneInfo"""
        return _aui.wxAuiPaneInfo_Dock(self, *args, **kwargs)


    def Float(self, *args, **kwargs):
        """Float(wxAuiPaneInfo self) -> wxAuiPaneInfo"""
        return _aui.wxAuiPaneInfo_Float(self, *args, **kwargs)


    def Hide(self, *args, **kwargs):
        """Hide(wxAuiPaneInfo self) -> wxAuiPaneInfo"""
        return _aui.wxAuiPaneInfo_Hide(self, *args, **kwargs)


    def Show(self, *args, **kwargs):
        """Show(wxAuiPaneInfo self, bool show=True) -> wxAuiPaneInfo"""
        return _aui.wxAuiPaneInfo_Show(self, *args, **kwargs)


    def CaptionVisible(self, *args, **kwargs):
        """CaptionVisible(wxAuiPaneInfo self, bool visible=True) -> wxAuiPaneInfo"""
        return _aui.wxAuiPaneInfo_CaptionVisible(self, *args, **kwargs)


    def Maximize(self, *args, **kwargs):
        """Maximize(wxAuiPaneInfo self) -> wxAuiPaneInfo"""
        return _aui.wxAuiPaneInfo_Maximize(self, *args, **kwargs)


    def Restore(self, *args, **kwargs):
        """Restore(wxAuiPaneInfo self) -> wxAuiPaneInfo"""
        return _aui.wxAuiPaneInfo_Restore(self, *args, **kwargs)


    def PaneBorder(self, *args, **kwargs):
        """PaneBorder(wxAuiPaneInfo self, bool visible=True) -> wxAuiPaneInfo"""
        return _aui.wxAuiPaneInfo_PaneBorder(self, *args, **kwargs)


    def Gripper(self, *args, **kwargs):
        """Gripper(wxAuiPaneInfo self, bool visible=True) -> wxAuiPaneInfo"""
        return _aui.wxAuiPaneInfo_Gripper(self, *args, **kwargs)


    def GripperTop(self, *args, **kwargs):
        """GripperTop(wxAuiPaneInfo self, bool attop=True) -> wxAuiPaneInfo"""
        return _aui.wxAuiPaneInfo_GripperTop(self, *args, **kwargs)


    def CloseButton(self, *args, **kwargs):
        """CloseButton(wxAuiPaneInfo self, bool visible=True) -> wxAuiPaneInfo"""
        return _aui.wxAuiPaneInfo_CloseButton(self, *args, **kwargs)


    def MaximizeButton(self, *args, **kwargs):
        """MaximizeButton(wxAuiPaneInfo self, bool visible=True) -> wxAuiPaneInfo"""
        return _aui.wxAuiPaneInfo_MaximizeButton(self, *args, **kwargs)


    def MinimizeButton(self, *args, **kwargs):
        """MinimizeButton(wxAuiPaneInfo self, bool visible=True) -> wxAuiPaneInfo"""
        return _aui.wxAuiPaneInfo_MinimizeButton(self, *args, **kwargs)


    def PinButton(self, *args, **kwargs):
        """PinButton(wxAuiPaneInfo self, bool visible=True) -> wxAuiPaneInfo"""
        return _aui.wxAuiPaneInfo_PinButton(self, *args, **kwargs)


    def DestroyOnClose(self, *args, **kwargs):
        """DestroyOnClose(wxAuiPaneInfo self, bool b=True) -> wxAuiPaneInfo"""
        return _aui.wxAuiPaneInfo_DestroyOnClose(self, *args, **kwargs)


    def TopDockable(self, *args, **kwargs):
        """TopDockable(wxAuiPaneInfo self, bool b=True) -> wxAuiPaneInfo"""
        return _aui.wxAuiPaneInfo_TopDockable(self, *args, **kwargs)


    def BottomDockable(self, *args, **kwargs):
        """BottomDockable(wxAuiPaneInfo self, bool b=True) -> wxAuiPaneInfo"""
        return _aui.wxAuiPaneInfo_BottomDockable(self, *args, **kwargs)


    def LeftDockable(self, *args, **kwargs):
        """LeftDockable(wxAuiPaneInfo self, bool b=True) -> wxAuiPaneInfo"""
        return _aui.wxAuiPaneInfo_LeftDockable(self, *args, **kwargs)


    def RightDockable(self, *args, **kwargs):
        """RightDockable(wxAuiPaneInfo self, bool b=True) -> wxAuiPaneInfo"""
        return _aui.wxAuiPaneInfo_RightDockable(self, *args, **kwargs)


    def Floatable(self, *args, **kwargs):
        """Floatable(wxAuiPaneInfo self, bool b=True) -> wxAuiPaneInfo"""
        return _aui.wxAuiPaneInfo_Floatable(self, *args, **kwargs)


    def Movable(self, *args, **kwargs):
        """Movable(wxAuiPaneInfo self, bool b=True) -> wxAuiPaneInfo"""
        return _aui.wxAuiPaneInfo_Movable(self, *args, **kwargs)


    def DockFixed(self, *args, **kwargs):
        """DockFixed(wxAuiPaneInfo self, bool b=True) -> wxAuiPaneInfo"""
        return _aui.wxAuiPaneInfo_DockFixed(self, *args, **kwargs)


    def Dockable(self, *args, **kwargs):
        """Dockable(wxAuiPaneInfo self, bool b=True) -> wxAuiPaneInfo"""
        return _aui.wxAuiPaneInfo_Dockable(self, *args, **kwargs)


    def DefaultPane(self, *args, **kwargs):
        """DefaultPane(wxAuiPaneInfo self) -> wxAuiPaneInfo"""
        return _aui.wxAuiPaneInfo_DefaultPane(self, *args, **kwargs)


    def CentrePane(self, *args, **kwargs):
        """CentrePane(wxAuiPaneInfo self) -> wxAuiPaneInfo"""
        return _aui.wxAuiPaneInfo_CentrePane(self, *args, **kwargs)


    def CenterPane(self, *args, **kwargs):
        """CenterPane(wxAuiPaneInfo self) -> wxAuiPaneInfo"""
        return _aui.wxAuiPaneInfo_CenterPane(self, *args, **kwargs)


    def ToolbarPane(self, *args, **kwargs):
        """ToolbarPane(wxAuiPaneInfo self) -> wxAuiPaneInfo"""
        return _aui.wxAuiPaneInfo_ToolbarPane(self, *args, **kwargs)


    def SetFlag(self, *args, **kwargs):
        """SetFlag(wxAuiPaneInfo self, int flag, bool option_state) -> wxAuiPaneInfo"""
        return _aui.wxAuiPaneInfo_SetFlag(self, *args, **kwargs)


    def HasFlag(self, *args, **kwargs):
        """HasFlag(wxAuiPaneInfo self, int flag) -> bool"""
        return _aui.wxAuiPaneInfo_HasFlag(self, *args, **kwargs)

    optionFloating = _aui.wxAuiPaneInfo_optionFloating
    optionHidden = _aui.wxAuiPaneInfo_optionHidden
    optionLeftDockable = _aui.wxAuiPaneInfo_optionLeftDockable
    optionRightDockable = _aui.wxAuiPaneInfo_optionRightDockable
    optionTopDockable = _aui.wxAuiPaneInfo_optionTopDockable
    optionBottomDockable = _aui.wxAuiPaneInfo_optionBottomDockable
    optionFloatable = _aui.wxAuiPaneInfo_optionFloatable
    optionMovable = _aui.wxAuiPaneInfo_optionMovable
    optionResizable = _aui.wxAuiPaneInfo_optionResizable
    optionPaneBorder = _aui.wxAuiPaneInfo_optionPaneBorder
    optionCaption = _aui.wxAuiPaneInfo_optionCaption
    optionGripper = _aui.wxAuiPaneInfo_optionGripper
    optionDestroyOnClose = _aui.wxAuiPaneInfo_optionDestroyOnClose
    optionToolbar = _aui.wxAuiPaneInfo_optionToolbar
    optionActive = _aui.wxAuiPaneInfo_optionActive
    optionGripperTop = _aui.wxAuiPaneInfo_optionGripperTop
    optionMaximized = _aui.wxAuiPaneInfo_optionMaximized
    optionDockFixed = _aui.wxAuiPaneInfo_optionDockFixed
    buttonClose = _aui.wxAuiPaneInfo_buttonClose
    buttonMaximize = _aui.wxAuiPaneInfo_buttonMaximize
    buttonMinimize = _aui.wxAuiPaneInfo_buttonMinimize
    buttonPin = _aui.wxAuiPaneInfo_buttonPin
    buttonCustom1 = _aui.wxAuiPaneInfo_buttonCustom1
    buttonCustom2 = _aui.wxAuiPaneInfo_buttonCustom2
    buttonCustom3 = _aui.wxAuiPaneInfo_buttonCustom3
    savedHiddenState = _aui.wxAuiPaneInfo_savedHiddenState
    actionPane = _aui.wxAuiPaneInfo_actionPane
    name = _swig_property(_aui.wxAuiPaneInfo_name_get, _aui.wxAuiPaneInfo_name_set)
    caption = _swig_property(_aui.wxAuiPaneInfo_caption_get, _aui.wxAuiPaneInfo_caption_set)
    icon = _swig_property(_aui.wxAuiPaneInfo_icon_get, _aui.wxAuiPaneInfo_icon_set)
    window = _swig_property(_aui.wxAuiPaneInfo_window_get, _aui.wxAuiPaneInfo_window_set)
    frame = _swig_property(_aui.wxAuiPaneInfo_frame_get, _aui.wxAuiPaneInfo_frame_set)
    state = _swig_property(_aui.wxAuiPaneInfo_state_get, _aui.wxAuiPaneInfo_state_set)
    dock_direction = _swig_property(_aui.wxAuiPaneInfo_dock_direction_get, _aui.wxAuiPaneInfo_dock_direction_set)
    dock_layer = _swig_property(_aui.wxAuiPaneInfo_dock_layer_get, _aui.wxAuiPaneInfo_dock_layer_set)
    dock_row = _swig_property(_aui.wxAuiPaneInfo_dock_row_get, _aui.wxAuiPaneInfo_dock_row_set)
    dock_pos = _swig_property(_aui.wxAuiPaneInfo_dock_pos_get, _aui.wxAuiPaneInfo_dock_pos_set)
    best_size = _swig_property(_aui.wxAuiPaneInfo_best_size_get, _aui.wxAuiPaneInfo_best_size_set)
    min_size = _swig_property(_aui.wxAuiPaneInfo_min_size_get, _aui.wxAuiPaneInfo_min_size_set)
    max_size = _swig_property(_aui.wxAuiPaneInfo_max_size_get, _aui.wxAuiPaneInfo_max_size_set)
    floating_pos = _swig_property(_aui.wxAuiPaneInfo_floating_pos_get, _aui.wxAuiPaneInfo_floating_pos_set)
    floating_size = _swig_property(_aui.wxAuiPaneInfo_floating_size_get, _aui.wxAuiPaneInfo_floating_size_set)
    dock_proportion = _swig_property(_aui.wxAuiPaneInfo_dock_proportion_get, _aui.wxAuiPaneInfo_dock_proportion_set)
    buttons = _swig_property(_aui.wxAuiPaneInfo_buttons_get, _aui.wxAuiPaneInfo_buttons_set)
    rect = _swig_property(_aui.wxAuiPaneInfo_rect_get, _aui.wxAuiPaneInfo_rect_set)

    def IsValid(self, *args, **kwargs):
        """IsValid(wxAuiPaneInfo self) -> bool"""
        return _aui.wxAuiPaneInfo_IsValid(self, *args, **kwargs)

wxAuiPaneInfo_swigregister = _aui.wxAuiPaneInfo_swigregister
wxAuiPaneInfo_swigregister(wxAuiPaneInfo)
cvar = _aui.cvar

class wxAuiManager(_core.wxEvtHandler):
    """Proxy of C++ wxAuiManager class"""
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    __repr__ = _swig_repr

    def __init__(self, *args, **kwargs):
        """__init__(wxAuiManager self, wxWindow managedWnd=None, int flags=wxAUI_MGR_DEFAULT) -> wxAuiManager"""
        _aui.wxAuiManager_swiginit(self, _aui.new_wxAuiManager(*args, **kwargs))
    __swig_destroy__ = _aui.delete_wxAuiManager
    __del__ = lambda self: None

    def UnInit(self, *args, **kwargs):
        """UnInit(wxAuiManager self)"""
        return _aui.wxAuiManager_UnInit(self, *args, **kwargs)


    def SetFlags(self, *args, **kwargs):
        """SetFlags(wxAuiManager self, int flags)"""
        return _aui.wxAuiManager_SetFlags(self, *args, **kwargs)


    def GetFlags(self, *args, **kwargs):
        """GetFlags(wxAuiManager self) -> int"""
        return _aui.wxAuiManager_GetFlags(self, *args, **kwargs)


    def SetManagedWindow(self, *args, **kwargs):
        """SetManagedWindow(wxAuiManager self, wxWindow managedWnd)"""
        return _aui.wxAuiManager_SetManagedWindow(self, *args, **kwargs)


    def GetManagedWindow(self, *args, **kwargs):
        """GetManagedWindow(wxAuiManager self) -> wxWindow"""
        return _aui.wxAuiManager_GetManagedWindow(self, *args, **kwargs)


    def GetManager(*args, **kwargs):
        """GetManager(wxWindow window) -> wxAuiManager"""
        return _aui.wxAuiManager_GetManager(*args, **kwargs)

    GetManager = staticmethod(GetManager)

    def SetArtProvider(self, *args, **kwargs):
        """SetArtProvider(wxAuiManager self, wxAuiDockArt artProvider)"""
        return _aui.wxAuiManager_SetArtProvider(self, *args, **kwargs)


    def GetArtProvider(self, *args, **kwargs):
        """GetArtProvider(wxAuiManager self) -> wxAuiDockArt"""
        return _aui.wxAuiManager_GetArtProvider(self, *args, **kwargs)


    def _GetPaneByWidget(self, *args, **kwargs):
        """_GetPaneByWidget(wxAuiManager self, wxWindow window) -> wxAuiPaneInfo"""
        return _aui.wxAuiManager__GetPaneByWidget(self, *args, **kwargs)


    def _GetPaneByName(self, *args, **kwargs):
        """_GetPaneByName(wxAuiManager self, wxString const & name) -> wxAuiPaneInfo"""
        return _aui.wxAuiManager__GetPaneByName(self, *args, **kwargs)


    def GetAllPanes(self, *args, **kwargs):
        """GetAllPanes(wxAuiManager self) -> wxAuiPaneInfoArray &"""
        return _aui.wxAuiManager_GetAllPanes(self, *args, **kwargs)


    def _AddPane1(self, *args, **kwargs):
        """_AddPane1(wxAuiManager self, wxWindow window, wxAuiPaneInfo paneInfo) -> bool"""
        return _aui.wxAuiManager__AddPane1(self, *args, **kwargs)


    def AddPane(self, *args, **kwargs):
        """AddPane(wxAuiManager self, wxWindow window, wxAuiPaneInfo paneInfo, wxPoint dropPos) -> bool"""
        return _aui.wxAuiManager_AddPane(self, *args, **kwargs)


    def _AddPane2(self, *args, **kwargs):
        """_AddPane2(wxAuiManager self, wxWindow window, int direction=wxLEFT, wxString const & caption) -> bool"""
        return _aui.wxAuiManager__AddPane2(self, *args, **kwargs)


    def InsertPane(self, *args, **kwargs):
        """InsertPane(wxAuiManager self, wxWindow window, wxAuiPaneInfo insertLocation, int insertLevel=wxAUI_INSERT_PANE) -> bool"""
        return _aui.wxAuiManager_InsertPane(self, *args, **kwargs)


    def DetachPane(self, *args, **kwargs):
        """DetachPane(wxAuiManager self, wxWindow window) -> bool"""
        return _aui.wxAuiManager_DetachPane(self, *args, **kwargs)


    def Update(self, *args, **kwargs):
        """Update(wxAuiManager self)"""
        return _aui.wxAuiManager_Update(self, *args, **kwargs)


    def SavePaneInfo(self, *args, **kwargs):
        """SavePaneInfo(wxAuiManager self, wxAuiPaneInfo pane) -> wxString"""
        return _aui.wxAuiManager_SavePaneInfo(self, *args, **kwargs)


    def LoadPaneInfo(self, *args, **kwargs):
        """LoadPaneInfo(wxAuiManager self, wxString panePart, wxAuiPaneInfo pane)"""
        return _aui.wxAuiManager_LoadPaneInfo(self, *args, **kwargs)


    def SavePerspective(self, *args, **kwargs):
        """SavePerspective(wxAuiManager self) -> wxString"""
        return _aui.wxAuiManager_SavePerspective(self, *args, **kwargs)


    def LoadPerspective(self, *args, **kwargs):
        """LoadPerspective(wxAuiManager self, wxString const & perspective, bool update=True) -> bool"""
        return _aui.wxAuiManager_LoadPerspective(self, *args, **kwargs)


    def SetDockSizeConstraint(self, *args, **kwargs):
        """SetDockSizeConstraint(wxAuiManager self, double widthPct, double heightPct)"""
        return _aui.wxAuiManager_SetDockSizeConstraint(self, *args, **kwargs)


    def GetDockSizeConstraint(self, *args, **kwargs):
        """GetDockSizeConstraint(wxAuiManager self, double * widthPct, double * heightPct)"""
        return _aui.wxAuiManager_GetDockSizeConstraint(self, *args, **kwargs)


    def ClosePane(self, *args, **kwargs):
        """ClosePane(wxAuiManager self, wxAuiPaneInfo paneInfo)"""
        return _aui.wxAuiManager_ClosePane(self, *args, **kwargs)


    def MaximizePane(self, *args, **kwargs):
        """MaximizePane(wxAuiManager self, wxAuiPaneInfo paneInfo)"""
        return _aui.wxAuiManager_MaximizePane(self, *args, **kwargs)


    def RestorePane(self, *args, **kwargs):
        """RestorePane(wxAuiManager self, wxAuiPaneInfo paneInfo)"""
        return _aui.wxAuiManager_RestorePane(self, *args, **kwargs)


    def RestoreMaximizedPane(self, *args, **kwargs):
        """RestoreMaximizedPane(wxAuiManager self)"""
        return _aui.wxAuiManager_RestoreMaximizedPane(self, *args, **kwargs)


    def CreateFloatingFrame(self, *args, **kwargs):
        """CreateFloatingFrame(wxAuiManager self, wxWindow parent, wxAuiPaneInfo p) -> wxAuiFloatingFrame"""
        return _aui.wxAuiManager_CreateFloatingFrame(self, *args, **kwargs)


    def CanDockPanel(self, *args, **kwargs):
        """CanDockPanel(wxAuiManager self, wxAuiPaneInfo p) -> bool"""
        return _aui.wxAuiManager_CanDockPanel(self, *args, **kwargs)


    def StartPaneDrag(self, *args, **kwargs):
        """StartPaneDrag(wxAuiManager self, wxWindow paneWindow, wxPoint offset)"""
        return _aui.wxAuiManager_StartPaneDrag(self, *args, **kwargs)


    def CalculateHintRect(self, *args, **kwargs):
        """CalculateHintRect(wxAuiManager self, wxWindow paneWindow, wxPoint pt, wxPoint offset) -> wxRect"""
        return _aui.wxAuiManager_CalculateHintRect(self, *args, **kwargs)


    def DrawHintRect(self, *args, **kwargs):
        """DrawHintRect(wxAuiManager self, wxWindow paneWindow, wxPoint pt, wxPoint offset)"""
        return _aui.wxAuiManager_DrawHintRect(self, *args, **kwargs)


    def ShowHint(self, *args, **kwargs):
        """ShowHint(wxAuiManager self, wxRect rect)"""
        return _aui.wxAuiManager_ShowHint(self, *args, **kwargs)


    def HideHint(self, *args, **kwargs):
        """HideHint(wxAuiManager self)"""
        return _aui.wxAuiManager_HideHint(self, *args, **kwargs)


    def OnHintActivate(self, *args, **kwargs):
        """OnHintActivate(wxAuiManager self, wxActivateEvent event)"""
        return _aui.wxAuiManager_OnHintActivate(self, *args, **kwargs)


    def OnRender(self, *args, **kwargs):
        """OnRender(wxAuiManager self, wxAuiManagerEvent evt)"""
        return _aui.wxAuiManager_OnRender(self, *args, **kwargs)


    def OnPaneButton(self, *args, **kwargs):
        """OnPaneButton(wxAuiManager self, wxAuiManagerEvent evt)"""
        return _aui.wxAuiManager_OnPaneButton(self, *args, **kwargs)


    def GetPane(self, item):
        """
        GetPane(self, window_or_info item) -> PaneInfo

        GetPane is used to search for a `PaneInfo` object either by
        widget reference or by pane name, which acts as a unique id
        for a window pane. The returned `PaneInfo` object may then be
        modified to change a pane's look, state or position. After one
        or more modifications to the `PaneInfo`, `AuiManager.Update`
        should be called to realize the changes to the user interface.

        If the lookup failed (meaning the pane could not be found in
        the manager) GetPane returns an empty `PaneInfo`, a condition
        which can be checked by calling `PaneInfo.IsOk`.
        """
        if isinstance(item, wx.wxWindow):
            return self._GetPaneByWidget(item)
        else:
            return self._GetPaneByName(item)

    def AddPane(self, window, info=None, caption=None):
        """
        AddPane(self, window, info=None, caption=None) -> bool

        AddPane tells the frame manager to start managing a child
        window. There are two versions of this function. The first
        verison accepts a `PaneInfo` object for the ``info`` parameter
        and allows the full spectrum of pane parameter
        possibilities. (Say that 3 times fast!)

        The second version is used for simpler user interfaces which
        do not require as much configuration.  In this case the
        ``info`` parameter specifies the direction property of the
        pane info, and defaults to ``wx.LEFT``.  The pane caption may
        also be specified as an extra parameter in this form.
        """
        if type(info) == AuiPaneInfo:
            return self._AddPane1(window, info)
        else:
    # This Is AddPane2
            if info is None:
                info = wx.LEFT
            if caption is None:
                caption = ""
            return self._AddPane2(window, info, caption)


    SetFrame = wx.deprecated(SetManagedWindow,
                              "SetFrame is deprecated, use `SetManagedWindow` instead.")
    GetFrame = wx.deprecated(GetManagedWindow,
                              "GetFrame is deprecated, use `GetManagedWindow` instead.")

    AllPanes = property(GetAllPanes,doc="See `GetAllPanes`") 
    ArtProvider = property(GetArtProvider,SetArtProvider,doc="See `GetArtProvider` and `SetArtProvider`") 
    Flags = property(GetFlags,SetFlags,doc="See `GetFlags` and `SetFlags`") 
    ManagedWindow = property(GetManagedWindow,SetManagedWindow,doc="See `GetManagedWindow` and `SetManagedWindow`") 
wxAuiManager_swigregister = _aui.wxAuiManager_swigregister
wxAuiManager_swigregister(wxAuiManager)

def wxAuiManager_GetManager(*args, **kwargs):
    """wxAuiManager_GetManager(wxWindow window) -> wxAuiManager"""
    return _aui.wxAuiManager_GetManager(*args, **kwargs)

class wxAuiManagerEvent(_core.wxEvent):
    """Proxy of C++ wxAuiManagerEvent class"""
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    __repr__ = _swig_repr

    def __init__(self, *args, **kwargs):
        """__init__(wxAuiManagerEvent self, wxEventType type) -> wxAuiManagerEvent"""
        _aui.wxAuiManagerEvent_swiginit(self, _aui.new_wxAuiManagerEvent(*args, **kwargs))

    def Clone(self, *args, **kwargs):
        """Clone(wxAuiManagerEvent self) -> wxEvent"""
        return _aui.wxAuiManagerEvent_Clone(self, *args, **kwargs)


    def SetManager(self, *args, **kwargs):
        """SetManager(wxAuiManagerEvent self, wxAuiManager mgr)"""
        return _aui.wxAuiManagerEvent_SetManager(self, *args, **kwargs)


    def SetPane(self, *args, **kwargs):
        """SetPane(wxAuiManagerEvent self, wxAuiPaneInfo p)"""
        return _aui.wxAuiManagerEvent_SetPane(self, *args, **kwargs)


    def SetButton(self, *args, **kwargs):
        """SetButton(wxAuiManagerEvent self, int b)"""
        return _aui.wxAuiManagerEvent_SetButton(self, *args, **kwargs)


    def SetDC(self, *args, **kwargs):
        """SetDC(wxAuiManagerEvent self, wxDC * pdc)"""
        return _aui.wxAuiManagerEvent_SetDC(self, *args, **kwargs)


    def GetManager(self, *args, **kwargs):
        """GetManager(wxAuiManagerEvent self) -> wxAuiManager"""
        return _aui.wxAuiManagerEvent_GetManager(self, *args, **kwargs)


    def GetPane(self, *args, **kwargs):
        """GetPane(wxAuiManagerEvent self) -> wxAuiPaneInfo"""
        return _aui.wxAuiManagerEvent_GetPane(self, *args, **kwargs)


    def GetButton(self, *args, **kwargs):
        """GetButton(wxAuiManagerEvent self) -> int"""
        return _aui.wxAuiManagerEvent_GetButton(self, *args, **kwargs)


    def GetDC(self, *args, **kwargs):
        """GetDC(wxAuiManagerEvent self) -> wxDC *"""
        return _aui.wxAuiManagerEvent_GetDC(self, *args, **kwargs)


    def Veto(self, *args, **kwargs):
        """Veto(wxAuiManagerEvent self, bool veto=True)"""
        return _aui.wxAuiManagerEvent_Veto(self, *args, **kwargs)


    def GetVeto(self, *args, **kwargs):
        """GetVeto(wxAuiManagerEvent self) -> bool"""
        return _aui.wxAuiManagerEvent_GetVeto(self, *args, **kwargs)


    def SetCanVeto(self, *args, **kwargs):
        """SetCanVeto(wxAuiManagerEvent self, bool can_veto)"""
        return _aui.wxAuiManagerEvent_SetCanVeto(self, *args, **kwargs)


    def CanVeto(self, *args, **kwargs):
        """CanVeto(wxAuiManagerEvent self) -> bool"""
        return _aui.wxAuiManagerEvent_CanVeto(self, *args, **kwargs)

    manager = _swig_property(_aui.wxAuiManagerEvent_manager_get, _aui.wxAuiManagerEvent_manager_set)
    pane = _swig_property(_aui.wxAuiManagerEvent_pane_get, _aui.wxAuiManagerEvent_pane_set)
    button = _swig_property(_aui.wxAuiManagerEvent_button_get, _aui.wxAuiManagerEvent_button_set)
    veto_flag = _swig_property(_aui.wxAuiManagerEvent_veto_flag_get, _aui.wxAuiManagerEvent_veto_flag_set)
    canveto_flag = _swig_property(_aui.wxAuiManagerEvent_canveto_flag_get, _aui.wxAuiManagerEvent_canveto_flag_set)
    dc = _swig_property(_aui.wxAuiManagerEvent_dc_get, _aui.wxAuiManagerEvent_dc_set)
    Button = property(GetButton,SetButton,doc="See `GetButton` and `SetButton`") 
    DC = property(GetDC,SetDC,doc="See `GetDC` and `SetDC`") 
    Pane = property(GetPane,SetPane,doc="See `GetPane` and `SetPane`") 
wxAuiManagerEvent_swigregister = _aui.wxAuiManagerEvent_swigregister
wxAuiManagerEvent_swigregister(wxAuiManagerEvent)

class wxAuiDockInfo(object):
    """Proxy of C++ wxAuiDockInfo class"""
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    __repr__ = _swig_repr

    def __init__(self, *args, **kwargs):
        """__init__(wxAuiDockInfo self) -> wxAuiDockInfo"""
        _aui.wxAuiDockInfo_swiginit(self, _aui.new_wxAuiDockInfo(*args, **kwargs))

    def IsOk(self, *args, **kwargs):
        """IsOk(wxAuiDockInfo self) -> bool"""
        return _aui.wxAuiDockInfo_IsOk(self, *args, **kwargs)


    def IsHorizontal(self, *args, **kwargs):
        """IsHorizontal(wxAuiDockInfo self) -> bool"""
        return _aui.wxAuiDockInfo_IsHorizontal(self, *args, **kwargs)


    def IsVertical(self, *args, **kwargs):
        """IsVertical(wxAuiDockInfo self) -> bool"""
        return _aui.wxAuiDockInfo_IsVertical(self, *args, **kwargs)

    panes = _swig_property(_aui.wxAuiDockInfo_panes_get, _aui.wxAuiDockInfo_panes_set)
    rect = _swig_property(_aui.wxAuiDockInfo_rect_get, _aui.wxAuiDockInfo_rect_set)
    dock_direction = _swig_property(_aui.wxAuiDockInfo_dock_direction_get, _aui.wxAuiDockInfo_dock_direction_set)
    dock_layer = _swig_property(_aui.wxAuiDockInfo_dock_layer_get, _aui.wxAuiDockInfo_dock_layer_set)
    dock_row = _swig_property(_aui.wxAuiDockInfo_dock_row_get, _aui.wxAuiDockInfo_dock_row_set)
    size = _swig_property(_aui.wxAuiDockInfo_size_get, _aui.wxAuiDockInfo_size_set)
    min_size = _swig_property(_aui.wxAuiDockInfo_min_size_get, _aui.wxAuiDockInfo_min_size_set)
    resizable = _swig_property(_aui.wxAuiDockInfo_resizable_get, _aui.wxAuiDockInfo_resizable_set)
    toolbar = _swig_property(_aui.wxAuiDockInfo_toolbar_get, _aui.wxAuiDockInfo_toolbar_set)
    fixed = _swig_property(_aui.wxAuiDockInfo_fixed_get, _aui.wxAuiDockInfo_fixed_set)
    reserved1 = _swig_property(_aui.wxAuiDockInfo_reserved1_get, _aui.wxAuiDockInfo_reserved1_set)
    __swig_destroy__ = _aui.delete_wxAuiDockInfo
    __del__ = lambda self: None
wxAuiDockInfo_swigregister = _aui.wxAuiDockInfo_swigregister
wxAuiDockInfo_swigregister(wxAuiDockInfo)

class wxAuiDockUIPart(object):
    """Proxy of C++ wxAuiDockUIPart class"""
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')

    def __init__(self, *args, **kwargs):
        raise AttributeError("No constructor defined")
    __repr__ = _swig_repr
    typeCaption = _aui.wxAuiDockUIPart_typeCaption
    typeGripper = _aui.wxAuiDockUIPart_typeGripper
    typeDock = _aui.wxAuiDockUIPart_typeDock
    typeDockSizer = _aui.wxAuiDockUIPart_typeDockSizer
    typePane = _aui.wxAuiDockUIPart_typePane
    typePaneSizer = _aui.wxAuiDockUIPart_typePaneSizer
    typeBackground = _aui.wxAuiDockUIPart_typeBackground
    typePaneBorder = _aui.wxAuiDockUIPart_typePaneBorder
    typePaneButton = _aui.wxAuiDockUIPart_typePaneButton
    type = _swig_property(_aui.wxAuiDockUIPart_type_get, _aui.wxAuiDockUIPart_type_set)
    orientation = _swig_property(_aui.wxAuiDockUIPart_orientation_get, _aui.wxAuiDockUIPart_orientation_set)
    dock = _swig_property(_aui.wxAuiDockUIPart_dock_get, _aui.wxAuiDockUIPart_dock_set)
    pane = _swig_property(_aui.wxAuiDockUIPart_pane_get, _aui.wxAuiDockUIPart_pane_set)
    button = _swig_property(_aui.wxAuiDockUIPart_button_get, _aui.wxAuiDockUIPart_button_set)
    cont_sizer = _swig_property(_aui.wxAuiDockUIPart_cont_sizer_get, _aui.wxAuiDockUIPart_cont_sizer_set)
    sizer_item = _swig_property(_aui.wxAuiDockUIPart_sizer_item_get, _aui.wxAuiDockUIPart_sizer_item_set)
    rect = _swig_property(_aui.wxAuiDockUIPart_rect_get, _aui.wxAuiDockUIPart_rect_set)
    __swig_destroy__ = _aui.delete_wxAuiDockUIPart
    __del__ = lambda self: None
wxAuiDockUIPart_swigregister = _aui.wxAuiDockUIPart_swigregister
wxAuiDockUIPart_swigregister(wxAuiDockUIPart)

class wxAuiPaneButton(object):
    """Proxy of C++ wxAuiPaneButton class"""
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')

    def __init__(self, *args, **kwargs):
        raise AttributeError("No constructor defined")
    __repr__ = _swig_repr
    button_id = _swig_property(_aui.wxAuiPaneButton_button_id_get, _aui.wxAuiPaneButton_button_id_set)
    __swig_destroy__ = _aui.delete_wxAuiPaneButton
    __del__ = lambda self: None
wxAuiPaneButton_swigregister = _aui.wxAuiPaneButton_swigregister
wxAuiPaneButton_swigregister(wxAuiPaneButton)


_aui.wxEVT_AUI_PANE_BUTTON_swigconstant(_aui)
wxEVT_AUI_PANE_BUTTON = _aui.wxEVT_AUI_PANE_BUTTON

_aui.wxEVT_AUI_PANE_CLOSE_swigconstant(_aui)
wxEVT_AUI_PANE_CLOSE = _aui.wxEVT_AUI_PANE_CLOSE

_aui.wxEVT_AUI_PANE_MAXIMIZE_swigconstant(_aui)
wxEVT_AUI_PANE_MAXIMIZE = _aui.wxEVT_AUI_PANE_MAXIMIZE

_aui.wxEVT_AUI_PANE_RESTORE_swigconstant(_aui)
wxEVT_AUI_PANE_RESTORE = _aui.wxEVT_AUI_PANE_RESTORE

_aui.wxEVT_AUI_PANE_ACTIVATED_swigconstant(_aui)
wxEVT_AUI_PANE_ACTIVATED = _aui.wxEVT_AUI_PANE_ACTIVATED

_aui.wxEVT_AUI_RENDER_swigconstant(_aui)
wxEVT_AUI_RENDER = _aui.wxEVT_AUI_RENDER

_aui.wxEVT_AUI_FIND_MANAGER_swigconstant(_aui)
wxEVT_AUI_FIND_MANAGER = _aui.wxEVT_AUI_FIND_MANAGER

EVT_AUI_PANE_BUTTON = wx.PyEventBinder( wxEVT_AUI_PANE_BUTTON )
EVT_AUI_PANE_CLOSE = wx.PyEventBinder( wxEVT_AUI_PANE_CLOSE )
EVT_AUI_PANE_MAXIMIZE = wx.PyEventBinder( wxEVT_AUI_PANE_MAXIMIZE )
EVT_AUI_PANE_RESTORE = wx.PyEventBinder( wxEVT_AUI_PANE_RESTORE )
EVT_AUI_PANE_ACTIVATED = wx.PyEventBinder( wxEVT_AUI_PANE_ACTIVATED )
EVT_AUI_RENDER = wx.PyEventBinder( wxEVT_AUI_RENDER )
EVT_AUI_FIND_MANAGER = wx.PyEventBinder( wxEVT_AUI_FIND_MANAGER )

class wxAuiDockArt(object):
    """Proxy of C++ wxAuiDockArt class"""
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')

    def __init__(self, *args, **kwargs):
        raise AttributeError("No constructor defined - class is abstract")
    __repr__ = _swig_repr
    __swig_destroy__ = _aui.delete_wxAuiDockArt
    __del__ = lambda self: None

    def GetMetric(self, *args, **kwargs):
        """GetMetric(wxAuiDockArt self, int id) -> int"""
        return _aui.wxAuiDockArt_GetMetric(self, *args, **kwargs)


    def SetMetric(self, *args, **kwargs):
        """SetMetric(wxAuiDockArt self, int id, int newVal)"""
        return _aui.wxAuiDockArt_SetMetric(self, *args, **kwargs)


    def SetFont(self, *args, **kwargs):
        """SetFont(wxAuiDockArt self, int id, wxFont const & font)"""
        return _aui.wxAuiDockArt_SetFont(self, *args, **kwargs)


    def GetFont(self, *args, **kwargs):
        """GetFont(wxAuiDockArt self, int id) -> wxFont"""
        return _aui.wxAuiDockArt_GetFont(self, *args, **kwargs)


    def GetColour(self, *args, **kwargs):
        """GetColour(wxAuiDockArt self, int id) -> wxColour"""
        return _aui.wxAuiDockArt_GetColour(self, *args, **kwargs)


    def SetColour(self, *args, **kwargs):
        """SetColour(wxAuiDockArt self, int id, wxColour const & colour)"""
        return _aui.wxAuiDockArt_SetColour(self, *args, **kwargs)


    def GetColor(self, *args, **kwargs):
        """GetColor(wxAuiDockArt self, int id) -> wxColour"""
        return _aui.wxAuiDockArt_GetColor(self, *args, **kwargs)


    def SetColor(self, *args, **kwargs):
        """SetColor(wxAuiDockArt self, int id, wxColour const & color)"""
        return _aui.wxAuiDockArt_SetColor(self, *args, **kwargs)


    def DrawSash(self, *args, **kwargs):
        """DrawSash(wxAuiDockArt self, wxDC & dc, wxWindow window, int orientation, wxRect rect)"""
        return _aui.wxAuiDockArt_DrawSash(self, *args, **kwargs)


    def DrawBackground(self, *args, **kwargs):
        """DrawBackground(wxAuiDockArt self, wxDC & dc, wxWindow window, int orientation, wxRect rect)"""
        return _aui.wxAuiDockArt_DrawBackground(self, *args, **kwargs)


    def DrawCaption(self, *args, **kwargs):
        """DrawCaption(wxAuiDockArt self, wxDC & dc, wxWindow window, wxString const & text, wxRect rect, wxAuiPaneInfo pane)"""
        return _aui.wxAuiDockArt_DrawCaption(self, *args, **kwargs)


    def DrawGripper(self, *args, **kwargs):
        """DrawGripper(wxAuiDockArt self, wxDC & dc, wxWindow window, wxRect rect, wxAuiPaneInfo pane)"""
        return _aui.wxAuiDockArt_DrawGripper(self, *args, **kwargs)


    def DrawBorder(self, *args, **kwargs):
        """DrawBorder(wxAuiDockArt self, wxDC & dc, wxWindow window, wxRect rect, wxAuiPaneInfo pane)"""
        return _aui.wxAuiDockArt_DrawBorder(self, *args, **kwargs)


    def DrawPaneButton(self, *args, **kwargs):
        """DrawPaneButton(wxAuiDockArt self, wxDC & dc, wxWindow window, int button, int buttonState, wxRect rect, wxAuiPaneInfo pane)"""
        return _aui.wxAuiDockArt_DrawPaneButton(self, *args, **kwargs)

wxAuiDockArt_swigregister = _aui.wxAuiDockArt_swigregister
wxAuiDockArt_swigregister(wxAuiDockArt)

class wxAuiDefaultDockArt(wxAuiDockArt):
    """Proxy of C++ wxAuiDefaultDockArt class"""
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    __repr__ = _swig_repr

    def __init__(self, *args, **kwargs):
        """__init__(wxAuiDefaultDockArt self) -> wxAuiDefaultDockArt"""
        _aui.wxAuiDefaultDockArt_swiginit(self, _aui.new_wxAuiDefaultDockArt(*args, **kwargs))

    def DrawIcon(self, *args, **kwargs):
        """DrawIcon(wxAuiDefaultDockArt self, wxDC & dc, wxRect rect, wxAuiPaneInfo pane)"""
        return _aui.wxAuiDefaultDockArt_DrawIcon(self, *args, **kwargs)

wxAuiDefaultDockArt_swigregister = _aui.wxAuiDefaultDockArt_swigregister
wxAuiDefaultDockArt_swigregister(wxAuiDefaultDockArt)

class wxAuiFloatingFrame(_windows.wxFrame):
    """Proxy of C++ wxAuiFloatingFrame class"""
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    __repr__ = _swig_repr

    def __init__(self, *args, **kwargs):
        """__init__(wxAuiFloatingFrame self, wxWindow parent, wxAuiManager ownerMgr, wxAuiPaneInfo pane, int id=wxID_ANY, long style) -> wxAuiFloatingFrame"""
        _aui.wxAuiFloatingFrame_swiginit(self, _aui.new_wxAuiFloatingFrame(*args, **kwargs))
    __swig_destroy__ = _aui.delete_wxAuiFloatingFrame
    __del__ = lambda self: None

    def SetPaneWindow(self, *args, **kwargs):
        """SetPaneWindow(wxAuiFloatingFrame self, wxAuiPaneInfo pane)"""
        return _aui.wxAuiFloatingFrame_SetPaneWindow(self, *args, **kwargs)


    def GetOwnerManager(self, *args, **kwargs):
        """GetOwnerManager(wxAuiFloatingFrame self) -> wxAuiManager"""
        return _aui.wxAuiFloatingFrame_GetOwnerManager(self, *args, **kwargs)

wxAuiFloatingFrame_swigregister = _aui.wxAuiFloatingFrame_swigregister
wxAuiFloatingFrame_swigregister(wxAuiFloatingFrame)


_aui.wxAUI_NB_TOP_swigconstant(_aui)
wxAUI_NB_TOP = _aui.wxAUI_NB_TOP

_aui.wxAUI_NB_LEFT_swigconstant(_aui)
wxAUI_NB_LEFT = _aui.wxAUI_NB_LEFT

_aui.wxAUI_NB_RIGHT_swigconstant(_aui)
wxAUI_NB_RIGHT = _aui.wxAUI_NB_RIGHT

_aui.wxAUI_NB_BOTTOM_swigconstant(_aui)
wxAUI_NB_BOTTOM = _aui.wxAUI_NB_BOTTOM

_aui.wxAUI_NB_TAB_SPLIT_swigconstant(_aui)
wxAUI_NB_TAB_SPLIT = _aui.wxAUI_NB_TAB_SPLIT

_aui.wxAUI_NB_TAB_MOVE_swigconstant(_aui)
wxAUI_NB_TAB_MOVE = _aui.wxAUI_NB_TAB_MOVE

_aui.wxAUI_NB_TAB_EXTERNAL_MOVE_swigconstant(_aui)
wxAUI_NB_TAB_EXTERNAL_MOVE = _aui.wxAUI_NB_TAB_EXTERNAL_MOVE

_aui.wxAUI_NB_TAB_FIXED_WIDTH_swigconstant(_aui)
wxAUI_NB_TAB_FIXED_WIDTH = _aui.wxAUI_NB_TAB_FIXED_WIDTH

_aui.wxAUI_NB_SCROLL_BUTTONS_swigconstant(_aui)
wxAUI_NB_SCROLL_BUTTONS = _aui.wxAUI_NB_SCROLL_BUTTONS

_aui.wxAUI_NB_WINDOWLIST_BUTTON_swigconstant(_aui)
wxAUI_NB_WINDOWLIST_BUTTON = _aui.wxAUI_NB_WINDOWLIST_BUTTON

_aui.wxAUI_NB_CLOSE_BUTTON_swigconstant(_aui)
wxAUI_NB_CLOSE_BUTTON = _aui.wxAUI_NB_CLOSE_BUTTON

_aui.wxAUI_NB_CLOSE_ON_ACTIVE_TAB_swigconstant(_aui)
wxAUI_NB_CLOSE_ON_ACTIVE_TAB = _aui.wxAUI_NB_CLOSE_ON_ACTIVE_TAB

_aui.wxAUI_NB_CLOSE_ON_ALL_TABS_swigconstant(_aui)
wxAUI_NB_CLOSE_ON_ALL_TABS = _aui.wxAUI_NB_CLOSE_ON_ALL_TABS

_aui.wxAUI_NB_MIDDLE_CLICK_CLOSE_swigconstant(_aui)
wxAUI_NB_MIDDLE_CLICK_CLOSE = _aui.wxAUI_NB_MIDDLE_CLICK_CLOSE

_aui.wxAUI_NB_DEFAULT_STYLE_swigconstant(_aui)
wxAUI_NB_DEFAULT_STYLE = _aui.wxAUI_NB_DEFAULT_STYLE
class wxAuiNotebookEvent(_core.wxBookCtrlEvent):
    """Proxy of C++ wxAuiNotebookEvent class"""
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    __repr__ = _swig_repr

    def __init__(self, *args, **kwargs):
        """__init__(wxAuiNotebookEvent self, wxEventType commandType, int winId=0) -> wxAuiNotebookEvent"""
        _aui.wxAuiNotebookEvent_swiginit(self, _aui.new_wxAuiNotebookEvent(*args, **kwargs))

    def SetDragSource(self, *args, **kwargs):
        """SetDragSource(wxAuiNotebookEvent self, wxAuiNotebook s)"""
        return _aui.wxAuiNotebookEvent_SetDragSource(self, *args, **kwargs)


    def GetDragSource(self, *args, **kwargs):
        """GetDragSource(wxAuiNotebookEvent self) -> wxAuiNotebook"""
        return _aui.wxAuiNotebookEvent_GetDragSource(self, *args, **kwargs)

wxAuiNotebookEvent_swigregister = _aui.wxAuiNotebookEvent_swigregister
wxAuiNotebookEvent_swigregister(wxAuiNotebookEvent)

class wxAuiNotebookPage(object):
    """Proxy of C++ wxAuiNotebookPage class"""
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')

    def __init__(self, *args, **kwargs):
        raise AttributeError("No constructor defined")
    __repr__ = _swig_repr
    window = _swig_property(_aui.wxAuiNotebookPage_window_get, _aui.wxAuiNotebookPage_window_set)
    caption = _swig_property(_aui.wxAuiNotebookPage_caption_get, _aui.wxAuiNotebookPage_caption_set)
    tooltip = _swig_property(_aui.wxAuiNotebookPage_tooltip_get, _aui.wxAuiNotebookPage_tooltip_set)
    bitmap = _swig_property(_aui.wxAuiNotebookPage_bitmap_get, _aui.wxAuiNotebookPage_bitmap_set)
    rect = _swig_property(_aui.wxAuiNotebookPage_rect_get, _aui.wxAuiNotebookPage_rect_set)
    active = _swig_property(_aui.wxAuiNotebookPage_active_get, _aui.wxAuiNotebookPage_active_set)
wxAuiNotebookPage_swigregister = _aui.wxAuiNotebookPage_swigregister
wxAuiNotebookPage_swigregister(wxAuiNotebookPage)

class wxAuiTabContainerButton(object):
    """Proxy of C++ wxAuiTabContainerButton class"""
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')

    def __init__(self, *args, **kwargs):
        raise AttributeError("No constructor defined")
    __repr__ = _swig_repr
    id = _swig_property(_aui.wxAuiTabContainerButton_id_get, _aui.wxAuiTabContainerButton_id_set)
    curState = _swig_property(_aui.wxAuiTabContainerButton_curState_get, _aui.wxAuiTabContainerButton_curState_set)
    location = _swig_property(_aui.wxAuiTabContainerButton_location_get, _aui.wxAuiTabContainerButton_location_set)
    bitmap = _swig_property(_aui.wxAuiTabContainerButton_bitmap_get, _aui.wxAuiTabContainerButton_bitmap_set)
    disBitmap = _swig_property(_aui.wxAuiTabContainerButton_disBitmap_get, _aui.wxAuiTabContainerButton_disBitmap_set)
    rect = _swig_property(_aui.wxAuiTabContainerButton_rect_get, _aui.wxAuiTabContainerButton_rect_set)
wxAuiTabContainerButton_swigregister = _aui.wxAuiTabContainerButton_swigregister
wxAuiTabContainerButton_swigregister(wxAuiTabContainerButton)

class wxAuiTabContainer(object):
    """Proxy of C++ wxAuiTabContainer class"""
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    __repr__ = _swig_repr

    def __init__(self, *args, **kwargs):
        """__init__(wxAuiTabContainer self) -> wxAuiTabContainer"""
        _aui.wxAuiTabContainer_swiginit(self, _aui.new_wxAuiTabContainer(*args, **kwargs))
    __swig_destroy__ = _aui.delete_wxAuiTabContainer
    __del__ = lambda self: None

    def SetArtProvider(self, *args, **kwargs):
        """SetArtProvider(wxAuiTabContainer self, wxAuiTabArt art)"""
        return _aui.wxAuiTabContainer_SetArtProvider(self, *args, **kwargs)


    def GetArtProvider(self, *args, **kwargs):
        """GetArtProvider(wxAuiTabContainer self) -> wxAuiTabArt"""
        return _aui.wxAuiTabContainer_GetArtProvider(self, *args, **kwargs)


    def SetFlags(self, *args, **kwargs):
        """SetFlags(wxAuiTabContainer self, int flags)"""
        return _aui.wxAuiTabContainer_SetFlags(self, *args, **kwargs)


    def GetFlags(self, *args, **kwargs):
        """GetFlags(wxAuiTabContainer self) -> int"""
        return _aui.wxAuiTabContainer_GetFlags(self, *args, **kwargs)


    def AddPage(self, *args, **kwargs):
        """AddPage(wxAuiTabContainer self, wxWindow page, wxAuiNotebookPage info) -> bool"""
        return _aui.wxAuiTabContainer_AddPage(self, *args, **kwargs)


    def InsertPage(self, *args, **kwargs):
        """InsertPage(wxAuiTabContainer self, wxWindow page, wxAuiNotebookPage info, size_t idx) -> bool"""
        return _aui.wxAuiTabContainer_InsertPage(self, *args, **kwargs)


    def MovePage(self, *args, **kwargs):
        """MovePage(wxAuiTabContainer self, wxWindow page, size_t newIdx) -> bool"""
        return _aui.wxAuiTabContainer_MovePage(self, *args, **kwargs)


    def RemovePage(self, *args, **kwargs):
        """RemovePage(wxAuiTabContainer self, wxWindow page) -> bool"""
        return _aui.wxAuiTabContainer_RemovePage(self, *args, **kwargs)


    def SetActivePage(self, *args):
        """
        SetActivePage(wxAuiTabContainer self, wxWindow page) -> bool
        SetActivePage(wxAuiTabContainer self, size_t page) -> bool
        """
        return _aui.wxAuiTabContainer_SetActivePage(self, *args)


    def SetNoneActive(self, *args, **kwargs):
        """SetNoneActive(wxAuiTabContainer self)"""
        return _aui.wxAuiTabContainer_SetNoneActive(self, *args, **kwargs)


    def GetActivePage(self, *args, **kwargs):
        """GetActivePage(wxAuiTabContainer self) -> int"""
        return _aui.wxAuiTabContainer_GetActivePage(self, *args, **kwargs)


    def TabHitTest(self, *args, **kwargs):
        """TabHitTest(wxAuiTabContainer self, int x, int y, wxWindow ** hit) -> bool"""
        return _aui.wxAuiTabContainer_TabHitTest(self, *args, **kwargs)


    def ButtonHitTest(self, *args, **kwargs):
        """ButtonHitTest(wxAuiTabContainer self, int x, int y, wxAuiTabContainerButton ** hit) -> bool"""
        return _aui.wxAuiTabContainer_ButtonHitTest(self, *args, **kwargs)


    def GetWindowFromIdx(self, *args, **kwargs):
        """GetWindowFromIdx(wxAuiTabContainer self, size_t idx) -> wxWindow"""
        return _aui.wxAuiTabContainer_GetWindowFromIdx(self, *args, **kwargs)


    def GetIdxFromWindow(self, *args, **kwargs):
        """GetIdxFromWindow(wxAuiTabContainer self, wxWindow page) -> int"""
        return _aui.wxAuiTabContainer_GetIdxFromWindow(self, *args, **kwargs)


    def GetPageCount(self, *args, **kwargs):
        """GetPageCount(wxAuiTabContainer self) -> size_t"""
        return _aui.wxAuiTabContainer_GetPageCount(self, *args, **kwargs)


    def GetPage(self, *args, **kwargs):
        """GetPage(wxAuiTabContainer self, size_t idx) -> wxAuiNotebookPage"""
        return _aui.wxAuiTabContainer_GetPage(self, *args, **kwargs)


    def GetPages(self, *args, **kwargs):
        """GetPages(wxAuiTabContainer self) -> wxAuiNotebookPageArray &"""
        return _aui.wxAuiTabContainer_GetPages(self, *args, **kwargs)


    def SetNormalFont(self, *args, **kwargs):
        """SetNormalFont(wxAuiTabContainer self, wxFont const & normalFont)"""
        return _aui.wxAuiTabContainer_SetNormalFont(self, *args, **kwargs)


    def SetSelectedFont(self, *args, **kwargs):
        """SetSelectedFont(wxAuiTabContainer self, wxFont const & selectedFont)"""
        return _aui.wxAuiTabContainer_SetSelectedFont(self, *args, **kwargs)


    def SetMeasuringFont(self, *args, **kwargs):
        """SetMeasuringFont(wxAuiTabContainer self, wxFont const & measuringFont)"""
        return _aui.wxAuiTabContainer_SetMeasuringFont(self, *args, **kwargs)


    def SetColour(self, *args, **kwargs):
        """SetColour(wxAuiTabContainer self, wxColour const & colour)"""
        return _aui.wxAuiTabContainer_SetColour(self, *args, **kwargs)


    def SetActiveColour(self, *args, **kwargs):
        """SetActiveColour(wxAuiTabContainer self, wxColour const & colour)"""
        return _aui.wxAuiTabContainer_SetActiveColour(self, *args, **kwargs)


    def DoShowHide(self, *args, **kwargs):
        """DoShowHide(wxAuiTabContainer self)"""
        return _aui.wxAuiTabContainer_DoShowHide(self, *args, **kwargs)


    def SetRect(self, *args, **kwargs):
        """SetRect(wxAuiTabContainer self, wxRect rect)"""
        return _aui.wxAuiTabContainer_SetRect(self, *args, **kwargs)


    def RemoveButton(self, *args, **kwargs):
        """RemoveButton(wxAuiTabContainer self, int id)"""
        return _aui.wxAuiTabContainer_RemoveButton(self, *args, **kwargs)


    def AddButton(self, *args, **kwargs):
        """AddButton(wxAuiTabContainer self, int id, int location, wxBitmap const & normalBitmap, wxBitmap const & disabledBitmap)"""
        return _aui.wxAuiTabContainer_AddButton(self, *args, **kwargs)


    def GetTabOffset(self, *args, **kwargs):
        """GetTabOffset(wxAuiTabContainer self) -> size_t"""
        return _aui.wxAuiTabContainer_GetTabOffset(self, *args, **kwargs)


    def SetTabOffset(self, *args, **kwargs):
        """SetTabOffset(wxAuiTabContainer self, size_t offset)"""
        return _aui.wxAuiTabContainer_SetTabOffset(self, *args, **kwargs)


    def IsTabVisible(self, *args, **kwargs):
        """IsTabVisible(wxAuiTabContainer self, int tabPage, int tabOffset, wxDC * dc, wxWindow wnd) -> bool"""
        return _aui.wxAuiTabContainer_IsTabVisible(self, *args, **kwargs)


    def MakeTabVisible(self, *args, **kwargs):
        """MakeTabVisible(wxAuiTabContainer self, int tabPage, wxWindow win)"""
        return _aui.wxAuiTabContainer_MakeTabVisible(self, *args, **kwargs)

    ActivePage = property(GetActivePage,SetActivePage,doc="See `GetActivePage` and `SetActivePage`") 
    PageCount = property(GetPageCount,doc="See `GetPageCount`") 
    Pages = property(GetPages,doc="See `GetPages`") 
wxAuiTabContainer_swigregister = _aui.wxAuiTabContainer_swigregister
wxAuiTabContainer_swigregister(wxAuiTabContainer)

class wxAuiTabCtrl(_core.wxControl, wxAuiTabContainer):
    """Proxy of C++ wxAuiTabCtrl class"""
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    __repr__ = _swig_repr

    def __init__(self, *args, **kwargs):
        """__init__(wxAuiTabCtrl self, wxWindow parent, int id=wxID_ANY, wxPoint pos, wxSize size, long style=0) -> wxAuiTabCtrl"""
        _aui.wxAuiTabCtrl_swiginit(self, _aui.new_wxAuiTabCtrl(*args, **kwargs))
        self._setOORInfo(self)


    __swig_destroy__ = _aui.delete_wxAuiTabCtrl
    __del__ = lambda self: None

    def IsDragging(self, *args, **kwargs):
        """IsDragging(wxAuiTabCtrl self) -> bool"""
        return _aui.wxAuiTabCtrl_IsDragging(self, *args, **kwargs)

wxAuiTabCtrl_swigregister = _aui.wxAuiTabCtrl_swigregister
wxAuiTabCtrl_swigregister(wxAuiTabCtrl)

class wxAuiNotebook(wxNavigationEnabled_BookCtrlBase):
    """Proxy of C++ wxAuiNotebook class"""
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    __repr__ = _swig_repr

    def __init__(self, *args, **kwargs):
        """__init__(wxAuiNotebook self, wxWindow parent, int id=wxID_ANY, wxPoint pos, wxSize size, long style=wxAUI_NB_DEFAULT_STYLE) -> wxAuiNotebook"""
        _aui.wxAuiNotebook_swiginit(self, _aui.new_wxAuiNotebook(*args, **kwargs))
        self._setOORInfo(self)



    def Create(self, *args, **kwargs):
        """
        Create(wxAuiNotebook self, wxWindow parent, int id=wxID_ANY, wxPoint pos, wxSize size, long style=0) -> bool

        Do the 2nd phase and create the GUI control.
        """
        return _aui.wxAuiNotebook_Create(self, *args, **kwargs)


    def SetArtProvider(self, *args, **kwargs):
        """SetArtProvider(wxAuiNotebook self, wxAuiTabArt art)"""
        return _aui.wxAuiNotebook_SetArtProvider(self, *args, **kwargs)


    def GetArtProvider(self, *args, **kwargs):
        """GetArtProvider(wxAuiNotebook self) -> wxAuiTabArt"""
        return _aui.wxAuiNotebook_GetArtProvider(self, *args, **kwargs)


    def SetUniformBitmapSize(self, *args, **kwargs):
        """SetUniformBitmapSize(wxAuiNotebook self, wxSize size)"""
        return _aui.wxAuiNotebook_SetUniformBitmapSize(self, *args, **kwargs)


    def SetTabCtrlHeight(self, *args, **kwargs):
        """SetTabCtrlHeight(wxAuiNotebook self, int height)"""
        return _aui.wxAuiNotebook_SetTabCtrlHeight(self, *args, **kwargs)


    def GetPage(self, *args, **kwargs):
        """GetPage(wxAuiNotebook self, size_t pageIdx) -> wxWindow"""
        return _aui.wxAuiNotebook_GetPage(self, *args, **kwargs)


    def GetPageIndex(self, *args, **kwargs):
        """GetPageIndex(wxAuiNotebook self, wxWindow pageWnd) -> int"""
        return _aui.wxAuiNotebook_GetPageIndex(self, *args, **kwargs)


    def SetPageToolTip(self, *args, **kwargs):
        """SetPageToolTip(wxAuiNotebook self, size_t page, wxString const & text) -> bool"""
        return _aui.wxAuiNotebook_SetPageToolTip(self, *args, **kwargs)


    def GetPageToolTip(self, *args, **kwargs):
        """GetPageToolTip(wxAuiNotebook self, size_t pageIdx) -> wxString"""
        return _aui.wxAuiNotebook_GetPageToolTip(self, *args, **kwargs)


    def SetPageBitmap(self, *args, **kwargs):
        """SetPageBitmap(wxAuiNotebook self, size_t page, wxBitmap const & bitmap) -> bool"""
        return _aui.wxAuiNotebook_SetPageBitmap(self, *args, **kwargs)


    def GetPageBitmap(self, *args, **kwargs):
        """GetPageBitmap(wxAuiNotebook self, size_t pageIdx) -> wxBitmap"""
        return _aui.wxAuiNotebook_GetPageBitmap(self, *args, **kwargs)


    def Split(self, *args, **kwargs):
        """Split(wxAuiNotebook self, size_t page, int direction)"""
        return _aui.wxAuiNotebook_Split(self, *args, **kwargs)


    def GetAuiManager(self, *args, **kwargs):
        """GetAuiManager(wxAuiNotebook self) -> wxAuiManager"""
        return _aui.wxAuiNotebook_GetAuiManager(self, *args, **kwargs)


    def SetNormalFont(self, *args, **kwargs):
        """SetNormalFont(wxAuiNotebook self, wxFont const & font)"""
        return _aui.wxAuiNotebook_SetNormalFont(self, *args, **kwargs)


    def SetSelectedFont(self, *args, **kwargs):
        """SetSelectedFont(wxAuiNotebook self, wxFont const & font)"""
        return _aui.wxAuiNotebook_SetSelectedFont(self, *args, **kwargs)


    def SetMeasuringFont(self, *args, **kwargs):
        """SetMeasuringFont(wxAuiNotebook self, wxFont const & font)"""
        return _aui.wxAuiNotebook_SetMeasuringFont(self, *args, **kwargs)


    def GetTabCtrlHeight(self, *args, **kwargs):
        """GetTabCtrlHeight(wxAuiNotebook self) -> int"""
        return _aui.wxAuiNotebook_GetTabCtrlHeight(self, *args, **kwargs)


    def GetHeightForPageHeight(self, *args, **kwargs):
        """GetHeightForPageHeight(wxAuiNotebook self, int pageHeight) -> int"""
        return _aui.wxAuiNotebook_GetHeightForPageHeight(self, *args, **kwargs)


    def ShowWindowMenu(self, *args, **kwargs):
        """ShowWindowMenu(wxAuiNotebook self) -> bool"""
        return _aui.wxAuiNotebook_ShowWindowMenu(self, *args, **kwargs)


    def AddPage(self, *args):
        """
        AddPage(wxAuiNotebook self, wxWindow page, wxString const & caption, bool select=False, wxBitmap const & bitmap) -> bool
        AddPage(wxAuiNotebook self, wxWindow page, wxString const & text, bool select, int imageId) -> bool
        """
        return _aui.wxAuiNotebook_AddPage(self, *args)


    def InsertPage(self, *args):
        """
        InsertPage(wxAuiNotebook self, size_t pageIdx, wxWindow page, wxString const & caption, bool select=False, wxBitmap const & bitmap) -> bool
        InsertPage(wxAuiNotebook self, size_t index, wxWindow page, wxString const & text, bool select, int imageId) -> bool
        """
        return _aui.wxAuiNotebook_InsertPage(self, *args)

wxAuiNotebook_swigregister = _aui.wxAuiNotebook_swigregister
wxAuiNotebook_swigregister(wxAuiNotebook)

def PreAuiNotebook(*args, **kwargs):
    """PreAuiNotebook() -> wxAuiNotebook"""
    val = _aui.new_PreAuiNotebook(*args, **kwargs)
    val._setOORInfo(val)

    return val


_aui.wxEVT_AUINOTEBOOK_PAGE_CLOSE_swigconstant(_aui)
wxEVT_AUINOTEBOOK_PAGE_CLOSE = _aui.wxEVT_AUINOTEBOOK_PAGE_CLOSE

_aui.wxEVT_AUINOTEBOOK_PAGE_CLOSED_swigconstant(_aui)
wxEVT_AUINOTEBOOK_PAGE_CLOSED = _aui.wxEVT_AUINOTEBOOK_PAGE_CLOSED

_aui.wxEVT_AUINOTEBOOK_PAGE_CHANGED_swigconstant(_aui)
wxEVT_AUINOTEBOOK_PAGE_CHANGED = _aui.wxEVT_AUINOTEBOOK_PAGE_CHANGED

_aui.wxEVT_AUINOTEBOOK_PAGE_CHANGING_swigconstant(_aui)
wxEVT_AUINOTEBOOK_PAGE_CHANGING = _aui.wxEVT_AUINOTEBOOK_PAGE_CHANGING

_aui.wxEVT_AUINOTEBOOK_BUTTON_swigconstant(_aui)
wxEVT_AUINOTEBOOK_BUTTON = _aui.wxEVT_AUINOTEBOOK_BUTTON

_aui.wxEVT_AUINOTEBOOK_BEGIN_DRAG_swigconstant(_aui)
wxEVT_AUINOTEBOOK_BEGIN_DRAG = _aui.wxEVT_AUINOTEBOOK_BEGIN_DRAG

_aui.wxEVT_AUINOTEBOOK_END_DRAG_swigconstant(_aui)
wxEVT_AUINOTEBOOK_END_DRAG = _aui.wxEVT_AUINOTEBOOK_END_DRAG

_aui.wxEVT_AUINOTEBOOK_DRAG_MOTION_swigconstant(_aui)
wxEVT_AUINOTEBOOK_DRAG_MOTION = _aui.wxEVT_AUINOTEBOOK_DRAG_MOTION

_aui.wxEVT_AUINOTEBOOK_ALLOW_DND_swigconstant(_aui)
wxEVT_AUINOTEBOOK_ALLOW_DND = _aui.wxEVT_AUINOTEBOOK_ALLOW_DND

_aui.wxEVT_AUINOTEBOOK_DRAG_DONE_swigconstant(_aui)
wxEVT_AUINOTEBOOK_DRAG_DONE = _aui.wxEVT_AUINOTEBOOK_DRAG_DONE

_aui.wxEVT_AUINOTEBOOK_TAB_MIDDLE_DOWN_swigconstant(_aui)
wxEVT_AUINOTEBOOK_TAB_MIDDLE_DOWN = _aui.wxEVT_AUINOTEBOOK_TAB_MIDDLE_DOWN

_aui.wxEVT_AUINOTEBOOK_TAB_MIDDLE_UP_swigconstant(_aui)
wxEVT_AUINOTEBOOK_TAB_MIDDLE_UP = _aui.wxEVT_AUINOTEBOOK_TAB_MIDDLE_UP

_aui.wxEVT_AUINOTEBOOK_TAB_RIGHT_DOWN_swigconstant(_aui)
wxEVT_AUINOTEBOOK_TAB_RIGHT_DOWN = _aui.wxEVT_AUINOTEBOOK_TAB_RIGHT_DOWN

_aui.wxEVT_AUINOTEBOOK_TAB_RIGHT_UP_swigconstant(_aui)
wxEVT_AUINOTEBOOK_TAB_RIGHT_UP = _aui.wxEVT_AUINOTEBOOK_TAB_RIGHT_UP

_aui.wxEVT_AUINOTEBOOK_BG_DCLICK_swigconstant(_aui)
wxEVT_AUINOTEBOOK_BG_DCLICK = _aui.wxEVT_AUINOTEBOOK_BG_DCLICK

EVT_AUINOTEBOOK_PAGE_CLOSE = wx.PyEventBinder( wxEVT_AUINOTEBOOK_PAGE_CLOSE, 1 )
EVT_AUINOTEBOOK_PAGE_CLOSED = wx.PyEventBinder( wxEVT_AUINOTEBOOK_PAGE_CLOSED, 1 )
EVT_AUINOTEBOOK_PAGE_CHANGED = wx.PyEventBinder( wxEVT_AUINOTEBOOK_PAGE_CHANGED, 1 )
EVT_AUINOTEBOOK_PAGE_CHANGING = wx.PyEventBinder( wxEVT_AUINOTEBOOK_PAGE_CHANGING, 1 )
EVT_AUINOTEBOOK_BUTTON = wx.PyEventBinder( wxEVT_AUINOTEBOOK_BUTTON, 1 )
EVT_AUINOTEBOOK_BEGIN_DRAG = wx.PyEventBinder( wxEVT_AUINOTEBOOK_BEGIN_DRAG, 1 )
EVT_AUINOTEBOOK_END_DRAG = wx.PyEventBinder( wxEVT_AUINOTEBOOK_END_DRAG, 1 )
EVT_AUINOTEBOOK_DRAG_MOTION = wx.PyEventBinder( wxEVT_AUINOTEBOOK_DRAG_MOTION, 1 )
EVT_AUINOTEBOOK_ALLOW_DND = wx.PyEventBinder( wxEVT_AUINOTEBOOK_ALLOW_DND, 1 )
EVT_AUINOTEBOOK_DRAG_DONE = wx.PyEventBinder( wxEVT_AUINOTEBOOK_DRAG_DONE, 1 )
EVT__AUINOTEBOOK_TAB_MIDDLE_DOWN = wx.PyEventBinder( wxEVT_AUINOTEBOOK_TAB_MIDDLE_DOWN, 1 )
EVT__AUINOTEBOOK_TAB_MIDDLE_UP = wx.PyEventBinder( wxEVT_AUINOTEBOOK_TAB_MIDDLE_UP, 1 )
EVT__AUINOTEBOOK_TAB_RIGHT_DOWN = wx.PyEventBinder( wxEVT_AUINOTEBOOK_TAB_RIGHT_DOWN, 1 )
EVT__AUINOTEBOOK_TAB_RIGHT_UP = wx.PyEventBinder( wxEVT_AUINOTEBOOK_TAB_RIGHT_UP, 1 )
EVT_AUINOTEBOOK_BG_DCLICK = wx.PyEventBinder( wxEVT_AUINOTEBOOK_BG_DCLICK, 1 )

class wxAuiMDIParentFrame(_windows.wxFrame):
    """Proxy of C++ wxAuiMDIParentFrame class"""
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    __repr__ = _swig_repr

    def __init__(self, *args, **kwargs):
        """__init__(wxAuiMDIParentFrame self, wxWindow parent, int winid, wxString const & title, wxPoint pos, wxSize size, long style, wxString const & name) -> wxAuiMDIParentFrame"""
        _aui.wxAuiMDIParentFrame_swiginit(self, _aui.new_wxAuiMDIParentFrame(*args, **kwargs))
        self._setOORInfo(self)



    def Create(self, *args, **kwargs):
        """Create(wxAuiMDIParentFrame self, wxWindow parent, int winid, wxString const & title, wxPoint pos, wxSize size, long style, wxString const & name) -> bool"""
        return _aui.wxAuiMDIParentFrame_Create(self, *args, **kwargs)


    def SetArtProvider(self, *args, **kwargs):
        """SetArtProvider(wxAuiMDIParentFrame self, wxAuiTabArt provider)"""
        return _aui.wxAuiMDIParentFrame_SetArtProvider(self, *args, **kwargs)


    def GetArtProvider(self, *args, **kwargs):
        """GetArtProvider(wxAuiMDIParentFrame self) -> wxAuiTabArt"""
        return _aui.wxAuiMDIParentFrame_GetArtProvider(self, *args, **kwargs)


    def GetWindowMenu(self, *args, **kwargs):
        """GetWindowMenu(wxAuiMDIParentFrame self) -> wxMenu"""
        return _aui.wxAuiMDIParentFrame_GetWindowMenu(self, *args, **kwargs)


    def SetWindowMenu(self, *args, **kwargs):
        """SetWindowMenu(wxAuiMDIParentFrame self, wxMenu pMenu)"""
        return _aui.wxAuiMDIParentFrame_SetWindowMenu(self, *args, **kwargs)


    def SetChildMenuBar(self, *args, **kwargs):
        """SetChildMenuBar(wxAuiMDIParentFrame self, wxAuiMDIChildFrame pChild)"""
        return _aui.wxAuiMDIParentFrame_SetChildMenuBar(self, *args, **kwargs)


    def SetActiveChild(self, *args, **kwargs):
        """SetActiveChild(wxAuiMDIParentFrame self, wxAuiMDIChildFrame pChildFrame)"""
        return _aui.wxAuiMDIParentFrame_SetActiveChild(self, *args, **kwargs)


    def OnCreateClient(self, *args, **kwargs):
        """OnCreateClient(wxAuiMDIParentFrame self) -> wxAuiMDIClientWindow"""
        return _aui.wxAuiMDIParentFrame_OnCreateClient(self, *args, **kwargs)


    def Cascade(self, *args, **kwargs):
        """Cascade(wxAuiMDIParentFrame self)"""
        return _aui.wxAuiMDIParentFrame_Cascade(self, *args, **kwargs)


    def Tile(self, *args, **kwargs):
        """Tile(wxAuiMDIParentFrame self, wxOrientation orient=wxHORIZONTAL)"""
        return _aui.wxAuiMDIParentFrame_Tile(self, *args, **kwargs)


    def ArrangeIcons(self, *args, **kwargs):
        """ArrangeIcons(wxAuiMDIParentFrame self)"""
        return _aui.wxAuiMDIParentFrame_ArrangeIcons(self, *args, **kwargs)


    def ActivateNext(self, *args, **kwargs):
        """ActivateNext(wxAuiMDIParentFrame self)"""
        return _aui.wxAuiMDIParentFrame_ActivateNext(self, *args, **kwargs)


    def ActivatePrevious(self, *args, **kwargs):
        """ActivatePrevious(wxAuiMDIParentFrame self)"""
        return _aui.wxAuiMDIParentFrame_ActivatePrevious(self, *args, **kwargs)


    def GetNotebook(self, *args, **kwargs):
        """GetNotebook(wxAuiMDIParentFrame self) -> wxAuiNotebook"""
        return _aui.wxAuiMDIParentFrame_GetNotebook(self, *args, **kwargs)


    def GetActiveChild(self, *args, **kwargs):
        """GetActiveChild(wxAuiMDIParentFrame self) -> wxAuiMDIChildFrame"""
        return _aui.wxAuiMDIParentFrame_GetActiveChild(self, *args, **kwargs)


    def GetClientWindow(self, *args, **kwargs):
        """GetClientWindow(wxAuiMDIParentFrame self) -> wxAuiMDIClientWindow"""
        return _aui.wxAuiMDIParentFrame_GetClientWindow(self, *args, **kwargs)

wxAuiMDIParentFrame_swigregister = _aui.wxAuiMDIParentFrame_swigregister
wxAuiMDIParentFrame_swigregister(wxAuiMDIParentFrame)

def PreAuiMDIParentFrame(*args, **kwargs):
    """PreAuiMDIParentFrame() -> wxAuiMDIParentFrame"""
    val = _aui.new_PreAuiMDIParentFrame(*args, **kwargs)
    val._setOORInfo(val)

    return val

class wxAuiMDIChildFrame(_windows.wxPanel):
    """Proxy of C++ wxAuiMDIChildFrame class"""
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    __repr__ = _swig_repr

    def __init__(self, *args, **kwargs):
        """__init__(wxAuiMDIChildFrame self, wxAuiMDIParentFrame parent, int winid, wxString const & title, wxPoint pos, wxSize size, long style=wxDEFAULT_FRAME_STYLE, wxString const & name) -> wxAuiMDIChildFrame"""
        _aui.wxAuiMDIChildFrame_swiginit(self, _aui.new_wxAuiMDIChildFrame(*args, **kwargs))
        self._setOORInfo(self)



    def Create(self, *args, **kwargs):
        """Create(wxAuiMDIChildFrame self, wxAuiMDIParentFrame parent, int winid, wxString const & title, wxPoint pos, wxSize size, long style=wxDEFAULT_FRAME_STYLE, wxString const & name) -> bool"""
        return _aui.wxAuiMDIChildFrame_Create(self, *args, **kwargs)


    def SetMenuBar(self, *args, **kwargs):
        """SetMenuBar(wxAuiMDIChildFrame self, wxMenuBar menuBar)"""
        return _aui.wxAuiMDIChildFrame_SetMenuBar(self, *args, **kwargs)


    def GetMenuBar(self, *args, **kwargs):
        """GetMenuBar(wxAuiMDIChildFrame self) -> wxMenuBar"""
        return _aui.wxAuiMDIChildFrame_GetMenuBar(self, *args, **kwargs)


    def SetTitle(self, *args, **kwargs):
        """SetTitle(wxAuiMDIChildFrame self, wxString const & title)"""
        return _aui.wxAuiMDIChildFrame_SetTitle(self, *args, **kwargs)


    def GetTitle(self, *args, **kwargs):
        """GetTitle(wxAuiMDIChildFrame self) -> wxString"""
        return _aui.wxAuiMDIChildFrame_GetTitle(self, *args, **kwargs)


    def SetIcons(self, *args, **kwargs):
        """SetIcons(wxAuiMDIChildFrame self, wxIconBundle const & icons)"""
        return _aui.wxAuiMDIChildFrame_SetIcons(self, *args, **kwargs)


    def GetIcons(self, *args, **kwargs):
        """GetIcons(wxAuiMDIChildFrame self) -> wxIconBundle const &"""
        return _aui.wxAuiMDIChildFrame_GetIcons(self, *args, **kwargs)


    def SetIcon(self, *args, **kwargs):
        """SetIcon(wxAuiMDIChildFrame self, wxIcon const & icon)"""
        return _aui.wxAuiMDIChildFrame_SetIcon(self, *args, **kwargs)


    def GetIcon(self, *args, **kwargs):
        """GetIcon(wxAuiMDIChildFrame self) -> wxIcon const &"""
        return _aui.wxAuiMDIChildFrame_GetIcon(self, *args, **kwargs)


    def Activate(self, *args, **kwargs):
        """Activate(wxAuiMDIChildFrame self)"""
        return _aui.wxAuiMDIChildFrame_Activate(self, *args, **kwargs)


    def Maximize(self, *args, **kwargs):
        """Maximize(wxAuiMDIChildFrame self, bool maximize=True)"""
        return _aui.wxAuiMDIChildFrame_Maximize(self, *args, **kwargs)


    def Restore(self, *args, **kwargs):
        """Restore(wxAuiMDIChildFrame self)"""
        return _aui.wxAuiMDIChildFrame_Restore(self, *args, **kwargs)


    def Iconize(self, *args, **kwargs):
        """Iconize(wxAuiMDIChildFrame self, bool iconize=True)"""
        return _aui.wxAuiMDIChildFrame_Iconize(self, *args, **kwargs)


    def IsMaximized(self, *args, **kwargs):
        """IsMaximized(wxAuiMDIChildFrame self) -> bool"""
        return _aui.wxAuiMDIChildFrame_IsMaximized(self, *args, **kwargs)


    def IsIconized(self, *args, **kwargs):
        """IsIconized(wxAuiMDIChildFrame self) -> bool"""
        return _aui.wxAuiMDIChildFrame_IsIconized(self, *args, **kwargs)


    def ShowFullScreen(self, *args, **kwargs):
        """ShowFullScreen(wxAuiMDIChildFrame self, bool show, long style) -> bool"""
        return _aui.wxAuiMDIChildFrame_ShowFullScreen(self, *args, **kwargs)


    def IsFullScreen(self, *args, **kwargs):
        """IsFullScreen(wxAuiMDIChildFrame self) -> bool"""
        return _aui.wxAuiMDIChildFrame_IsFullScreen(self, *args, **kwargs)


    def OnMenuHighlight(self, *args, **kwargs):
        """OnMenuHighlight(wxAuiMDIChildFrame self, wxMenuEvent evt)"""
        return _aui.wxAuiMDIChildFrame_OnMenuHighlight(self, *args, **kwargs)


    def OnActivate(self, *args, **kwargs):
        """OnActivate(wxAuiMDIChildFrame self, wxActivateEvent evt)"""
        return _aui.wxAuiMDIChildFrame_OnActivate(self, *args, **kwargs)


    def OnCloseWindow(self, *args, **kwargs):
        """OnCloseWindow(wxAuiMDIChildFrame self, wxCloseEvent evt)"""
        return _aui.wxAuiMDIChildFrame_OnCloseWindow(self, *args, **kwargs)


    def SetMDIParentFrame(self, *args, **kwargs):
        """SetMDIParentFrame(wxAuiMDIChildFrame self, wxAuiMDIParentFrame parent)"""
        return _aui.wxAuiMDIChildFrame_SetMDIParentFrame(self, *args, **kwargs)


    def GetMDIParentFrame(self, *args, **kwargs):
        """GetMDIParentFrame(wxAuiMDIChildFrame self) -> wxAuiMDIParentFrame"""
        return _aui.wxAuiMDIChildFrame_GetMDIParentFrame(self, *args, **kwargs)


    def ApplyMDIChildFrameRect(self, *args, **kwargs):
        """ApplyMDIChildFrameRect(wxAuiMDIChildFrame self)"""
        return _aui.wxAuiMDIChildFrame_ApplyMDIChildFrameRect(self, *args, **kwargs)


    def DoShow(self, *args, **kwargs):
        """DoShow(wxAuiMDIChildFrame self, bool show)"""
        return _aui.wxAuiMDIChildFrame_DoShow(self, *args, **kwargs)

wxAuiMDIChildFrame_swigregister = _aui.wxAuiMDIChildFrame_swigregister
wxAuiMDIChildFrame_swigregister(wxAuiMDIChildFrame)

def PreAuiMDIChildFrame(*args, **kwargs):
    """PreAuiMDIChildFrame() -> wxAuiMDIChildFrame"""
    val = _aui.new_PreAuiMDIChildFrame(*args, **kwargs)
    val._setOORInfo(val)

    return val

class wxAuiMDIClientWindow(wxAuiNotebook):
    """Proxy of C++ wxAuiMDIClientWindow class"""
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    __repr__ = _swig_repr

    def __init__(self, *args, **kwargs):
        """__init__(wxAuiMDIClientWindow self, wxAuiMDIParentFrame parent, long style=0) -> wxAuiMDIClientWindow"""
        _aui.wxAuiMDIClientWindow_swiginit(self, _aui.new_wxAuiMDIClientWindow(*args, **kwargs))
        self._setOORInfo(self)



    def CreateClient(self, *args, **kwargs):
        """CreateClient(wxAuiMDIClientWindow self, wxAuiMDIParentFrame parent, long style) -> bool"""
        return _aui.wxAuiMDIClientWindow_CreateClient(self, *args, **kwargs)


    def GetActiveChild(self, *args, **kwargs):
        """GetActiveChild(wxAuiMDIClientWindow self) -> wxAuiMDIChildFrame"""
        return _aui.wxAuiMDIClientWindow_GetActiveChild(self, *args, **kwargs)


    def SetActiveChild(self, *args, **kwargs):
        """SetActiveChild(wxAuiMDIClientWindow self, wxAuiMDIChildFrame pChildFrame)"""
        return _aui.wxAuiMDIClientWindow_SetActiveChild(self, *args, **kwargs)

wxAuiMDIClientWindow_swigregister = _aui.wxAuiMDIClientWindow_swigregister
wxAuiMDIClientWindow_swigregister(wxAuiMDIClientWindow)

def PreAuiMDIClientWindow(*args, **kwargs):
    """PreAuiMDIClientWindow() -> wxAuiMDIClientWindow"""
    val = _aui.new_PreAuiMDIClientWindow(*args, **kwargs)
    val._setOORInfo(val)

    return val


_aui.wxAUI_TB_TEXT_swigconstant(_aui)
wxAUI_TB_TEXT = _aui.wxAUI_TB_TEXT

_aui.wxAUI_TB_NO_TOOLTIPS_swigconstant(_aui)
wxAUI_TB_NO_TOOLTIPS = _aui.wxAUI_TB_NO_TOOLTIPS

_aui.wxAUI_TB_NO_AUTORESIZE_swigconstant(_aui)
wxAUI_TB_NO_AUTORESIZE = _aui.wxAUI_TB_NO_AUTORESIZE

_aui.wxAUI_TB_GRIPPER_swigconstant(_aui)
wxAUI_TB_GRIPPER = _aui.wxAUI_TB_GRIPPER

_aui.wxAUI_TB_OVERFLOW_swigconstant(_aui)
wxAUI_TB_OVERFLOW = _aui.wxAUI_TB_OVERFLOW

_aui.wxAUI_TB_VERTICAL_swigconstant(_aui)
wxAUI_TB_VERTICAL = _aui.wxAUI_TB_VERTICAL

_aui.wxAUI_TB_HORZ_LAYOUT_swigconstant(_aui)
wxAUI_TB_HORZ_LAYOUT = _aui.wxAUI_TB_HORZ_LAYOUT

_aui.wxAUI_TB_HORIZONTAL_swigconstant(_aui)
wxAUI_TB_HORIZONTAL = _aui.wxAUI_TB_HORIZONTAL

_aui.wxAUI_TB_PLAIN_BACKGROUND_swigconstant(_aui)
wxAUI_TB_PLAIN_BACKGROUND = _aui.wxAUI_TB_PLAIN_BACKGROUND

_aui.wxAUI_TB_HORZ_TEXT_swigconstant(_aui)
wxAUI_TB_HORZ_TEXT = _aui.wxAUI_TB_HORZ_TEXT

_aui.wxAUI_ORIENTATION_MASK_swigconstant(_aui)
wxAUI_ORIENTATION_MASK = _aui.wxAUI_ORIENTATION_MASK

_aui.wxAUI_TB_DEFAULT_STYLE_swigconstant(_aui)
wxAUI_TB_DEFAULT_STYLE = _aui.wxAUI_TB_DEFAULT_STYLE

_aui.wxAUI_TBART_SEPARATOR_SIZE_swigconstant(_aui)
wxAUI_TBART_SEPARATOR_SIZE = _aui.wxAUI_TBART_SEPARATOR_SIZE

_aui.wxAUI_TBART_GRIPPER_SIZE_swigconstant(_aui)
wxAUI_TBART_GRIPPER_SIZE = _aui.wxAUI_TBART_GRIPPER_SIZE

_aui.wxAUI_TBART_OVERFLOW_SIZE_swigconstant(_aui)
wxAUI_TBART_OVERFLOW_SIZE = _aui.wxAUI_TBART_OVERFLOW_SIZE

_aui.wxAUI_TBTOOL_TEXT_LEFT_swigconstant(_aui)
wxAUI_TBTOOL_TEXT_LEFT = _aui.wxAUI_TBTOOL_TEXT_LEFT

_aui.wxAUI_TBTOOL_TEXT_RIGHT_swigconstant(_aui)
wxAUI_TBTOOL_TEXT_RIGHT = _aui.wxAUI_TBTOOL_TEXT_RIGHT

_aui.wxAUI_TBTOOL_TEXT_TOP_swigconstant(_aui)
wxAUI_TBTOOL_TEXT_TOP = _aui.wxAUI_TBTOOL_TEXT_TOP

_aui.wxAUI_TBTOOL_TEXT_BOTTOM_swigconstant(_aui)
wxAUI_TBTOOL_TEXT_BOTTOM = _aui.wxAUI_TBTOOL_TEXT_BOTTOM
class wxAuiToolBarEvent(_core.wxNotifyEvent):
    """Proxy of C++ wxAuiToolBarEvent class"""
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    __repr__ = _swig_repr

    def __init__(self, *args, **kwargs):
        """__init__(wxAuiToolBarEvent self, wxEventType commandType, int winId=0) -> wxAuiToolBarEvent"""
        _aui.wxAuiToolBarEvent_swiginit(self, _aui.new_wxAuiToolBarEvent(*args, **kwargs))

    def IsDropDownClicked(self, *args, **kwargs):
        """IsDropDownClicked(wxAuiToolBarEvent self) -> bool"""
        return _aui.wxAuiToolBarEvent_IsDropDownClicked(self, *args, **kwargs)


    def SetDropDownClicked(self, *args, **kwargs):
        """SetDropDownClicked(wxAuiToolBarEvent self, bool c)"""
        return _aui.wxAuiToolBarEvent_SetDropDownClicked(self, *args, **kwargs)


    def GetClickPoint(self, *args, **kwargs):
        """GetClickPoint(wxAuiToolBarEvent self) -> wxPoint"""
        return _aui.wxAuiToolBarEvent_GetClickPoint(self, *args, **kwargs)


    def SetClickPoint(self, *args, **kwargs):
        """SetClickPoint(wxAuiToolBarEvent self, wxPoint p)"""
        return _aui.wxAuiToolBarEvent_SetClickPoint(self, *args, **kwargs)


    def GetItemRect(self, *args, **kwargs):
        """GetItemRect(wxAuiToolBarEvent self) -> wxRect"""
        return _aui.wxAuiToolBarEvent_GetItemRect(self, *args, **kwargs)


    def SetItemRect(self, *args, **kwargs):
        """SetItemRect(wxAuiToolBarEvent self, wxRect r)"""
        return _aui.wxAuiToolBarEvent_SetItemRect(self, *args, **kwargs)


    def GetToolId(self, *args, **kwargs):
        """GetToolId(wxAuiToolBarEvent self) -> int"""
        return _aui.wxAuiToolBarEvent_GetToolId(self, *args, **kwargs)


    def SetToolId(self, *args, **kwargs):
        """SetToolId(wxAuiToolBarEvent self, int toolId)"""
        return _aui.wxAuiToolBarEvent_SetToolId(self, *args, **kwargs)

wxAuiToolBarEvent_swigregister = _aui.wxAuiToolBarEvent_swigregister
wxAuiToolBarEvent_swigregister(wxAuiToolBarEvent)

class wxAuiToolBarItem(object):
    """Proxy of C++ wxAuiToolBarItem class"""
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    __repr__ = _swig_repr

    def __init__(self, *args):
        """
        __init__(wxAuiToolBarItem self) -> wxAuiToolBarItem
        __init__(wxAuiToolBarItem self, wxAuiToolBarItem c) -> wxAuiToolBarItem
        """
        _aui.wxAuiToolBarItem_swiginit(self, _aui.new_wxAuiToolBarItem(*args))

    def Assign(self, *args, **kwargs):
        """Assign(wxAuiToolBarItem self, wxAuiToolBarItem c)"""
        return _aui.wxAuiToolBarItem_Assign(self, *args, **kwargs)


    def SetWindow(self, *args, **kwargs):
        """SetWindow(wxAuiToolBarItem self, wxWindow w)"""
        return _aui.wxAuiToolBarItem_SetWindow(self, *args, **kwargs)


    def GetWindow(self, *args, **kwargs):
        """GetWindow(wxAuiToolBarItem self) -> wxWindow"""
        return _aui.wxAuiToolBarItem_GetWindow(self, *args, **kwargs)


    def SetId(self, *args, **kwargs):
        """SetId(wxAuiToolBarItem self, int newId)"""
        return _aui.wxAuiToolBarItem_SetId(self, *args, **kwargs)


    def GetId(self, *args, **kwargs):
        """GetId(wxAuiToolBarItem self) -> int"""
        return _aui.wxAuiToolBarItem_GetId(self, *args, **kwargs)


    def SetKind(self, *args, **kwargs):
        """SetKind(wxAuiToolBarItem self, int newKind)"""
        return _aui.wxAuiToolBarItem_SetKind(self, *args, **kwargs)


    def GetKind(self, *args, **kwargs):
        """GetKind(wxAuiToolBarItem self) -> int"""
        return _aui.wxAuiToolBarItem_GetKind(self, *args, **kwargs)


    def SetState(self, *args, **kwargs):
        """SetState(wxAuiToolBarItem self, int newState)"""
        return _aui.wxAuiToolBarItem_SetState(self, *args, **kwargs)


    def GetState(self, *args, **kwargs):
        """GetState(wxAuiToolBarItem self) -> int"""
        return _aui.wxAuiToolBarItem_GetState(self, *args, **kwargs)


    def SetSizerItem(self, *args, **kwargs):
        """SetSizerItem(wxAuiToolBarItem self, wxSizerItem s)"""
        return _aui.wxAuiToolBarItem_SetSizerItem(self, *args, **kwargs)


    def GetSizerItem(self, *args, **kwargs):
        """GetSizerItem(wxAuiToolBarItem self) -> wxSizerItem"""
        return _aui.wxAuiToolBarItem_GetSizerItem(self, *args, **kwargs)


    def SetLabel(self, *args, **kwargs):
        """SetLabel(wxAuiToolBarItem self, wxString const & s)"""
        return _aui.wxAuiToolBarItem_SetLabel(self, *args, **kwargs)


    def GetLabel(self, *args, **kwargs):
        """GetLabel(wxAuiToolBarItem self) -> wxString const &"""
        return _aui.wxAuiToolBarItem_GetLabel(self, *args, **kwargs)


    def SetBitmap(self, *args, **kwargs):
        """SetBitmap(wxAuiToolBarItem self, wxBitmap const & bmp)"""
        return _aui.wxAuiToolBarItem_SetBitmap(self, *args, **kwargs)


    def GetBitmap(self, *args, **kwargs):
        """GetBitmap(wxAuiToolBarItem self) -> wxBitmap const &"""
        return _aui.wxAuiToolBarItem_GetBitmap(self, *args, **kwargs)


    def SetDisabledBitmap(self, *args, **kwargs):
        """SetDisabledBitmap(wxAuiToolBarItem self, wxBitmap const & bmp)"""
        return _aui.wxAuiToolBarItem_SetDisabledBitmap(self, *args, **kwargs)


    def GetDisabledBitmap(self, *args, **kwargs):
        """GetDisabledBitmap(wxAuiToolBarItem self) -> wxBitmap const &"""
        return _aui.wxAuiToolBarItem_GetDisabledBitmap(self, *args, **kwargs)


    def SetHoverBitmap(self, *args, **kwargs):
        """SetHoverBitmap(wxAuiToolBarItem self, wxBitmap const & bmp)"""
        return _aui.wxAuiToolBarItem_SetHoverBitmap(self, *args, **kwargs)


    def GetHoverBitmap(self, *args, **kwargs):
        """GetHoverBitmap(wxAuiToolBarItem self) -> wxBitmap const &"""
        return _aui.wxAuiToolBarItem_GetHoverBitmap(self, *args, **kwargs)


    def SetShortHelp(self, *args, **kwargs):
        """SetShortHelp(wxAuiToolBarItem self, wxString const & s)"""
        return _aui.wxAuiToolBarItem_SetShortHelp(self, *args, **kwargs)


    def GetShortHelp(self, *args, **kwargs):
        """GetShortHelp(wxAuiToolBarItem self) -> wxString const &"""
        return _aui.wxAuiToolBarItem_GetShortHelp(self, *args, **kwargs)


    def SetLongHelp(self, *args, **kwargs):
        """SetLongHelp(wxAuiToolBarItem self, wxString const & s)"""
        return _aui.wxAuiToolBarItem_SetLongHelp(self, *args, **kwargs)


    def GetLongHelp(self, *args, **kwargs):
        """GetLongHelp(wxAuiToolBarItem self) -> wxString const &"""
        return _aui.wxAuiToolBarItem_GetLongHelp(self, *args, **kwargs)


    def SetMinSize(self, *args, **kwargs):
        """SetMinSize(wxAuiToolBarItem self, wxSize s)"""
        return _aui.wxAuiToolBarItem_SetMinSize(self, *args, **kwargs)


    def GetMinSize(self, *args, **kwargs):
        """GetMinSize(wxAuiToolBarItem self) -> wxSize"""
        return _aui.wxAuiToolBarItem_GetMinSize(self, *args, **kwargs)


    def SetSpacerPixels(self, *args, **kwargs):
        """SetSpacerPixels(wxAuiToolBarItem self, int s)"""
        return _aui.wxAuiToolBarItem_SetSpacerPixels(self, *args, **kwargs)


    def GetSpacerPixels(self, *args, **kwargs):
        """GetSpacerPixels(wxAuiToolBarItem self) -> int"""
        return _aui.wxAuiToolBarItem_GetSpacerPixels(self, *args, **kwargs)


    def SetProportion(self, *args, **kwargs):
        """SetProportion(wxAuiToolBarItem self, int p)"""
        return _aui.wxAuiToolBarItem_SetProportion(self, *args, **kwargs)


    def GetProportion(self, *args, **kwargs):
        """GetProportion(wxAuiToolBarItem self) -> int"""
        return _aui.wxAuiToolBarItem_GetProportion(self, *args, **kwargs)


    def SetActive(self, *args, **kwargs):
        """SetActive(wxAuiToolBarItem self, bool b)"""
        return _aui.wxAuiToolBarItem_SetActive(self, *args, **kwargs)


    def IsActive(self, *args, **kwargs):
        """IsActive(wxAuiToolBarItem self) -> bool"""
        return _aui.wxAuiToolBarItem_IsActive(self, *args, **kwargs)


    def SetHasDropDown(self, *args, **kwargs):
        """SetHasDropDown(wxAuiToolBarItem self, bool b)"""
        return _aui.wxAuiToolBarItem_SetHasDropDown(self, *args, **kwargs)


    def HasDropDown(self, *args, **kwargs):
        """HasDropDown(wxAuiToolBarItem self) -> bool"""
        return _aui.wxAuiToolBarItem_HasDropDown(self, *args, **kwargs)


    def SetSticky(self, *args, **kwargs):
        """SetSticky(wxAuiToolBarItem self, bool b)"""
        return _aui.wxAuiToolBarItem_SetSticky(self, *args, **kwargs)


    def IsSticky(self, *args, **kwargs):
        """IsSticky(wxAuiToolBarItem self) -> bool"""
        return _aui.wxAuiToolBarItem_IsSticky(self, *args, **kwargs)


    def SetUserData(self, *args, **kwargs):
        """SetUserData(wxAuiToolBarItem self, long l)"""
        return _aui.wxAuiToolBarItem_SetUserData(self, *args, **kwargs)


    def GetUserData(self, *args, **kwargs):
        """GetUserData(wxAuiToolBarItem self) -> long"""
        return _aui.wxAuiToolBarItem_GetUserData(self, *args, **kwargs)


    def SetAlignment(self, *args, **kwargs):
        """SetAlignment(wxAuiToolBarItem self, int l)"""
        return _aui.wxAuiToolBarItem_SetAlignment(self, *args, **kwargs)


    def GetAlignment(self, *args, **kwargs):
        """GetAlignment(wxAuiToolBarItem self) -> int"""
        return _aui.wxAuiToolBarItem_GetAlignment(self, *args, **kwargs)

wxAuiToolBarItem_swigregister = _aui.wxAuiToolBarItem_swigregister
wxAuiToolBarItem_swigregister(wxAuiToolBarItem)

class wxAuiToolBarArt(object):
    """Proxy of C++ wxAuiToolBarArt class"""
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')

    def __init__(self, *args, **kwargs):
        raise AttributeError("No constructor defined - class is abstract")
    __repr__ = _swig_repr
    __swig_destroy__ = _aui.delete_wxAuiToolBarArt
    __del__ = lambda self: None

    def Clone(self, *args, **kwargs):
        """Clone(wxAuiToolBarArt self) -> wxAuiToolBarArt"""
        return _aui.wxAuiToolBarArt_Clone(self, *args, **kwargs)


    def SetFlags(self, *args, **kwargs):
        """SetFlags(wxAuiToolBarArt self, int flags)"""
        return _aui.wxAuiToolBarArt_SetFlags(self, *args, **kwargs)


    def GetFlags(self, *args, **kwargs):
        """GetFlags(wxAuiToolBarArt self) -> int"""
        return _aui.wxAuiToolBarArt_GetFlags(self, *args, **kwargs)


    def SetFont(self, *args, **kwargs):
        """SetFont(wxAuiToolBarArt self, wxFont const & font)"""
        return _aui.wxAuiToolBarArt_SetFont(self, *args, **kwargs)


    def GetFont(self, *args, **kwargs):
        """GetFont(wxAuiToolBarArt self) -> wxFont"""
        return _aui.wxAuiToolBarArt_GetFont(self, *args, **kwargs)


    def SetTextOrientation(self, *args, **kwargs):
        """SetTextOrientation(wxAuiToolBarArt self, int orientation)"""
        return _aui.wxAuiToolBarArt_SetTextOrientation(self, *args, **kwargs)


    def GetTextOrientation(self, *args, **kwargs):
        """GetTextOrientation(wxAuiToolBarArt self) -> int"""
        return _aui.wxAuiToolBarArt_GetTextOrientation(self, *args, **kwargs)


    def DrawBackground(self, *args, **kwargs):
        """DrawBackground(wxAuiToolBarArt self, wxDC & dc, wxWindow wnd, wxRect rect)"""
        return _aui.wxAuiToolBarArt_DrawBackground(self, *args, **kwargs)


    def DrawPlainBackground(self, *args, **kwargs):
        """DrawPlainBackground(wxAuiToolBarArt self, wxDC & dc, wxWindow wnd, wxRect rect)"""
        return _aui.wxAuiToolBarArt_DrawPlainBackground(self, *args, **kwargs)


    def DrawLabel(self, *args, **kwargs):
        """DrawLabel(wxAuiToolBarArt self, wxDC & dc, wxWindow wnd, wxAuiToolBarItem item, wxRect rect)"""
        return _aui.wxAuiToolBarArt_DrawLabel(self, *args, **kwargs)


    def DrawButton(self, *args, **kwargs):
        """DrawButton(wxAuiToolBarArt self, wxDC & dc, wxWindow wnd, wxAuiToolBarItem item, wxRect rect)"""
        return _aui.wxAuiToolBarArt_DrawButton(self, *args, **kwargs)


    def DrawDropDownButton(self, *args, **kwargs):
        """DrawDropDownButton(wxAuiToolBarArt self, wxDC & dc, wxWindow wnd, wxAuiToolBarItem item, wxRect rect)"""
        return _aui.wxAuiToolBarArt_DrawDropDownButton(self, *args, **kwargs)


    def DrawControlLabel(self, *args, **kwargs):
        """DrawControlLabel(wxAuiToolBarArt self, wxDC & dc, wxWindow wnd, wxAuiToolBarItem item, wxRect rect)"""
        return _aui.wxAuiToolBarArt_DrawControlLabel(self, *args, **kwargs)


    def DrawSeparator(self, *args, **kwargs):
        """DrawSeparator(wxAuiToolBarArt self, wxDC & dc, wxWindow wnd, wxRect rect)"""
        return _aui.wxAuiToolBarArt_DrawSeparator(self, *args, **kwargs)


    def DrawGripper(self, *args, **kwargs):
        """DrawGripper(wxAuiToolBarArt self, wxDC & dc, wxWindow wnd, wxRect rect)"""
        return _aui.wxAuiToolBarArt_DrawGripper(self, *args, **kwargs)


    def DrawOverflowButton(self, *args, **kwargs):
        """DrawOverflowButton(wxAuiToolBarArt self, wxDC & dc, wxWindow wnd, wxRect rect, int state)"""
        return _aui.wxAuiToolBarArt_DrawOverflowButton(self, *args, **kwargs)


    def GetLabelSize(self, *args, **kwargs):
        """GetLabelSize(wxAuiToolBarArt self, wxDC & dc, wxWindow wnd, wxAuiToolBarItem item) -> wxSize"""
        return _aui.wxAuiToolBarArt_GetLabelSize(self, *args, **kwargs)


    def GetToolSize(self, *args, **kwargs):
        """GetToolSize(wxAuiToolBarArt self, wxDC & dc, wxWindow wnd, wxAuiToolBarItem item) -> wxSize"""
        return _aui.wxAuiToolBarArt_GetToolSize(self, *args, **kwargs)


    def GetElementSize(self, *args, **kwargs):
        """GetElementSize(wxAuiToolBarArt self, int elementId) -> int"""
        return _aui.wxAuiToolBarArt_GetElementSize(self, *args, **kwargs)


    def SetElementSize(self, *args, **kwargs):
        """SetElementSize(wxAuiToolBarArt self, int elementId, int size)"""
        return _aui.wxAuiToolBarArt_SetElementSize(self, *args, **kwargs)


    def ShowDropDown(self, *args, **kwargs):
        """ShowDropDown(wxAuiToolBarArt self, wxWindow wnd, wxAuiToolBarItemArray const & items) -> int"""
        return _aui.wxAuiToolBarArt_ShowDropDown(self, *args, **kwargs)

wxAuiToolBarArt_swigregister = _aui.wxAuiToolBarArt_swigregister
wxAuiToolBarArt_swigregister(wxAuiToolBarArt)

class wxAuiDefaultToolBarArt(wxAuiToolBarArt):
    """Proxy of C++ wxAuiDefaultToolBarArt class"""
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    __repr__ = _swig_repr

    def __init__(self, *args, **kwargs):
        """__init__(wxAuiDefaultToolBarArt self) -> wxAuiDefaultToolBarArt"""
        _aui.wxAuiDefaultToolBarArt_swiginit(self, _aui.new_wxAuiDefaultToolBarArt(*args, **kwargs))
    __swig_destroy__ = _aui.delete_wxAuiDefaultToolBarArt
    __del__ = lambda self: None
wxAuiDefaultToolBarArt_swigregister = _aui.wxAuiDefaultToolBarArt_swigregister
wxAuiDefaultToolBarArt_swigregister(wxAuiDefaultToolBarArt)

class wxAuiToolBar(_core.wxControl):
    """Proxy of C++ wxAuiToolBar class"""
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    __repr__ = _swig_repr

    def __init__(self, *args):
        """
        __init__(wxAuiToolBar self) -> wxAuiToolBar
        __init__(wxAuiToolBar self, wxWindow parent, int id=wxID_ANY, wxPoint pos, wxSize size, long style=wxAUI_TB_DEFAULT_STYLE) -> wxAuiToolBar
        """
        _aui.wxAuiToolBar_swiginit(self, _aui.new_wxAuiToolBar(*args))
    __swig_destroy__ = _aui.delete_wxAuiToolBar
    __del__ = lambda self: None

    def Create(self, *args, **kwargs):
        """
        Create(wxAuiToolBar self, wxWindow parent, int id=wxID_ANY, wxPoint pos, wxSize size, long style=wxAUI_TB_DEFAULT_STYLE) -> bool

        Do the 2nd phase and create the GUI control.
        """
        return _aui.wxAuiToolBar_Create(self, *args, **kwargs)


    def SetArtProvider(self, *args, **kwargs):
        """SetArtProvider(wxAuiToolBar self, wxAuiToolBarArt art)"""
        return _aui.wxAuiToolBar_SetArtProvider(self, *args, **kwargs)


    def GetArtProvider(self, *args, **kwargs):
        """GetArtProvider(wxAuiToolBar self) -> wxAuiToolBarArt"""
        return _aui.wxAuiToolBar_GetArtProvider(self, *args, **kwargs)


    def AddTool(self, *args):
        """
        AddTool(wxAuiToolBar self, int toolId, wxString const & label, wxBitmap const & bitmap, wxString const & shortHelpString, wxItemKind kind=wxITEM_NORMAL) -> wxAuiToolBarItem
        AddTool(wxAuiToolBar self, int toolId, wxString const & label, wxBitmap const & bitmap, wxBitmap const & disabledBitmap, wxItemKind kind, wxString const & shortHelpString, wxString const & longHelpString, wxObject clientData) -> wxAuiToolBarItem
        AddTool(wxAuiToolBar self, int toolId, wxBitmap const & bitmap, wxBitmap const & disabledBitmap, bool toggle=False, wxObject clientData=None, wxString const & shortHelpString, wxString const & longHelpString) -> wxAuiToolBarItem
        """
        return _aui.wxAuiToolBar_AddTool(self, *args)


    def AddLabel(self, *args, **kwargs):
        """AddLabel(wxAuiToolBar self, int toolId, wxString const & label, int const width=-1) -> wxAuiToolBarItem"""
        return _aui.wxAuiToolBar_AddLabel(self, *args, **kwargs)


    def AddControl(self, *args, **kwargs):
        """AddControl(wxAuiToolBar self, wxControl control, wxString const & label) -> wxAuiToolBarItem"""
        return _aui.wxAuiToolBar_AddControl(self, *args, **kwargs)


    def AddSeparator(self, *args, **kwargs):
        """AddSeparator(wxAuiToolBar self) -> wxAuiToolBarItem"""
        return _aui.wxAuiToolBar_AddSeparator(self, *args, **kwargs)


    def AddSpacer(self, *args, **kwargs):
        """AddSpacer(wxAuiToolBar self, int pixels) -> wxAuiToolBarItem"""
        return _aui.wxAuiToolBar_AddSpacer(self, *args, **kwargs)


    def AddStretchSpacer(self, *args, **kwargs):
        """AddStretchSpacer(wxAuiToolBar self, int proportion=1) -> wxAuiToolBarItem"""
        return _aui.wxAuiToolBar_AddStretchSpacer(self, *args, **kwargs)


    def Realize(self, *args, **kwargs):
        """Realize(wxAuiToolBar self) -> bool"""
        return _aui.wxAuiToolBar_Realize(self, *args, **kwargs)


    def FindControl(self, *args, **kwargs):
        """FindControl(wxAuiToolBar self, int windowId) -> wxControl"""
        return _aui.wxAuiToolBar_FindControl(self, *args, **kwargs)


    def FindToolByPosition(self, *args, **kwargs):
        """FindToolByPosition(wxAuiToolBar self, int x, int y) -> wxAuiToolBarItem"""
        return _aui.wxAuiToolBar_FindToolByPosition(self, *args, **kwargs)


    def FindToolByIndex(self, *args, **kwargs):
        """FindToolByIndex(wxAuiToolBar self, int idx) -> wxAuiToolBarItem"""
        return _aui.wxAuiToolBar_FindToolByIndex(self, *args, **kwargs)


    def FindTool(self, *args, **kwargs):
        """FindTool(wxAuiToolBar self, int toolId) -> wxAuiToolBarItem"""
        return _aui.wxAuiToolBar_FindTool(self, *args, **kwargs)


    def ClearTools(self, *args, **kwargs):
        """ClearTools(wxAuiToolBar self)"""
        return _aui.wxAuiToolBar_ClearTools(self, *args, **kwargs)


    def Clear(self, *args, **kwargs):
        """Clear(wxAuiToolBar self)"""
        return _aui.wxAuiToolBar_Clear(self, *args, **kwargs)


    def DeleteTool(self, *args, **kwargs):
        """DeleteTool(wxAuiToolBar self, int toolId) -> bool"""
        return _aui.wxAuiToolBar_DeleteTool(self, *args, **kwargs)


    def DeleteByIndex(self, *args, **kwargs):
        """DeleteByIndex(wxAuiToolBar self, int toolId) -> bool"""
        return _aui.wxAuiToolBar_DeleteByIndex(self, *args, **kwargs)


    def GetToolCount(self, *args, **kwargs):
        """GetToolCount(wxAuiToolBar self) -> size_t"""
        return _aui.wxAuiToolBar_GetToolCount(self, *args, **kwargs)


    def GetToolPos(self, *args, **kwargs):
        """GetToolPos(wxAuiToolBar self, int toolId) -> int"""
        return _aui.wxAuiToolBar_GetToolPos(self, *args, **kwargs)


    def GetToolIndex(self, *args, **kwargs):
        """GetToolIndex(wxAuiToolBar self, int toolId) -> int"""
        return _aui.wxAuiToolBar_GetToolIndex(self, *args, **kwargs)


    def GetToolFits(self, *args, **kwargs):
        """GetToolFits(wxAuiToolBar self, int toolId) -> bool"""
        return _aui.wxAuiToolBar_GetToolFits(self, *args, **kwargs)


    def GetToolRect(self, *args, **kwargs):
        """GetToolRect(wxAuiToolBar self, int toolId) -> wxRect"""
        return _aui.wxAuiToolBar_GetToolRect(self, *args, **kwargs)


    def GetToolFitsByIndex(self, *args, **kwargs):
        """GetToolFitsByIndex(wxAuiToolBar self, int toolId) -> bool"""
        return _aui.wxAuiToolBar_GetToolFitsByIndex(self, *args, **kwargs)


    def GetToolBarFits(self, *args, **kwargs):
        """GetToolBarFits(wxAuiToolBar self) -> bool"""
        return _aui.wxAuiToolBar_GetToolBarFits(self, *args, **kwargs)


    def SetMargins(self, *args):
        """
        SetMargins(wxAuiToolBar self, wxSize size)
        SetMargins(wxAuiToolBar self, int x, int y)
        SetMargins(wxAuiToolBar self, int left, int right, int top, int bottom)
        """
        return _aui.wxAuiToolBar_SetMargins(self, *args)


    def SetToolBitmapSize(self, *args, **kwargs):
        """SetToolBitmapSize(wxAuiToolBar self, wxSize size)"""
        return _aui.wxAuiToolBar_SetToolBitmapSize(self, *args, **kwargs)


    def GetToolBitmapSize(self, *args, **kwargs):
        """GetToolBitmapSize(wxAuiToolBar self) -> wxSize"""
        return _aui.wxAuiToolBar_GetToolBitmapSize(self, *args, **kwargs)


    def GetOverflowVisible(self, *args, **kwargs):
        """GetOverflowVisible(wxAuiToolBar self) -> bool"""
        return _aui.wxAuiToolBar_GetOverflowVisible(self, *args, **kwargs)


    def SetOverflowVisible(self, *args, **kwargs):
        """SetOverflowVisible(wxAuiToolBar self, bool visible)"""
        return _aui.wxAuiToolBar_SetOverflowVisible(self, *args, **kwargs)


    def GetGripperVisible(self, *args, **kwargs):
        """GetGripperVisible(wxAuiToolBar self) -> bool"""
        return _aui.wxAuiToolBar_GetGripperVisible(self, *args, **kwargs)


    def SetGripperVisible(self, *args, **kwargs):
        """SetGripperVisible(wxAuiToolBar self, bool visible)"""
        return _aui.wxAuiToolBar_SetGripperVisible(self, *args, **kwargs)


    def ToggleTool(self, *args, **kwargs):
        """ToggleTool(wxAuiToolBar self, int toolId, bool state)"""
        return _aui.wxAuiToolBar_ToggleTool(self, *args, **kwargs)


    def GetToolToggled(self, *args, **kwargs):
        """GetToolToggled(wxAuiToolBar self, int toolId) -> bool"""
        return _aui.wxAuiToolBar_GetToolToggled(self, *args, **kwargs)


    def EnableTool(self, *args, **kwargs):
        """EnableTool(wxAuiToolBar self, int toolId, bool state)"""
        return _aui.wxAuiToolBar_EnableTool(self, *args, **kwargs)


    def GetToolEnabled(self, *args, **kwargs):
        """GetToolEnabled(wxAuiToolBar self, int toolId) -> bool"""
        return _aui.wxAuiToolBar_GetToolEnabled(self, *args, **kwargs)


    def SetToolDropDown(self, *args, **kwargs):
        """SetToolDropDown(wxAuiToolBar self, int toolId, bool dropdown)"""
        return _aui.wxAuiToolBar_SetToolDropDown(self, *args, **kwargs)


    def GetToolDropDown(self, *args, **kwargs):
        """GetToolDropDown(wxAuiToolBar self, int toolId) -> bool"""
        return _aui.wxAuiToolBar_GetToolDropDown(self, *args, **kwargs)


    def SetToolBorderPadding(self, *args, **kwargs):
        """SetToolBorderPadding(wxAuiToolBar self, int padding)"""
        return _aui.wxAuiToolBar_SetToolBorderPadding(self, *args, **kwargs)


    def GetToolBorderPadding(self, *args, **kwargs):
        """GetToolBorderPadding(wxAuiToolBar self) -> int"""
        return _aui.wxAuiToolBar_GetToolBorderPadding(self, *args, **kwargs)


    def SetToolTextOrientation(self, *args, **kwargs):
        """SetToolTextOrientation(wxAuiToolBar self, int orientation)"""
        return _aui.wxAuiToolBar_SetToolTextOrientation(self, *args, **kwargs)


    def GetToolTextOrientation(self, *args, **kwargs):
        """GetToolTextOrientation(wxAuiToolBar self) -> int"""
        return _aui.wxAuiToolBar_GetToolTextOrientation(self, *args, **kwargs)


    def SetToolPacking(self, *args, **kwargs):
        """SetToolPacking(wxAuiToolBar self, int packing)"""
        return _aui.wxAuiToolBar_SetToolPacking(self, *args, **kwargs)


    def GetToolPacking(self, *args, **kwargs):
        """GetToolPacking(wxAuiToolBar self) -> int"""
        return _aui.wxAuiToolBar_GetToolPacking(self, *args, **kwargs)


    def SetToolProportion(self, *args, **kwargs):
        """SetToolProportion(wxAuiToolBar self, int toolId, int proportion)"""
        return _aui.wxAuiToolBar_SetToolProportion(self, *args, **kwargs)


    def GetToolProportion(self, *args, **kwargs):
        """GetToolProportion(wxAuiToolBar self, int toolId) -> int"""
        return _aui.wxAuiToolBar_GetToolProportion(self, *args, **kwargs)


    def SetToolSeparation(self, *args, **kwargs):
        """SetToolSeparation(wxAuiToolBar self, int separation)"""
        return _aui.wxAuiToolBar_SetToolSeparation(self, *args, **kwargs)


    def GetToolSeparation(self, *args, **kwargs):
        """GetToolSeparation(wxAuiToolBar self) -> int"""
        return _aui.wxAuiToolBar_GetToolSeparation(self, *args, **kwargs)


    def SetToolSticky(self, *args, **kwargs):
        """SetToolSticky(wxAuiToolBar self, int toolId, bool sticky)"""
        return _aui.wxAuiToolBar_SetToolSticky(self, *args, **kwargs)


    def GetToolSticky(self, *args, **kwargs):
        """GetToolSticky(wxAuiToolBar self, int toolId) -> bool"""
        return _aui.wxAuiToolBar_GetToolSticky(self, *args, **kwargs)


    def GetToolLabel(self, *args, **kwargs):
        """GetToolLabel(wxAuiToolBar self, int toolId) -> wxString"""
        return _aui.wxAuiToolBar_GetToolLabel(self, *args, **kwargs)


    def SetToolLabel(self, *args, **kwargs):
        """SetToolLabel(wxAuiToolBar self, int toolId, wxString const & label)"""
        return _aui.wxAuiToolBar_SetToolLabel(self, *args, **kwargs)


    def GetToolBitmap(self, *args, **kwargs):
        """GetToolBitmap(wxAuiToolBar self, int toolId) -> wxBitmap"""
        return _aui.wxAuiToolBar_GetToolBitmap(self, *args, **kwargs)


    def SetToolBitmap(self, *args, **kwargs):
        """SetToolBitmap(wxAuiToolBar self, int toolId, wxBitmap const & bitmap)"""
        return _aui.wxAuiToolBar_SetToolBitmap(self, *args, **kwargs)


    def GetToolShortHelp(self, *args, **kwargs):
        """GetToolShortHelp(wxAuiToolBar self, int toolId) -> wxString"""
        return _aui.wxAuiToolBar_GetToolShortHelp(self, *args, **kwargs)


    def SetToolShortHelp(self, *args, **kwargs):
        """SetToolShortHelp(wxAuiToolBar self, int toolId, wxString const & helpString)"""
        return _aui.wxAuiToolBar_SetToolShortHelp(self, *args, **kwargs)


    def GetToolLongHelp(self, *args, **kwargs):
        """GetToolLongHelp(wxAuiToolBar self, int toolId) -> wxString"""
        return _aui.wxAuiToolBar_GetToolLongHelp(self, *args, **kwargs)


    def SetToolLongHelp(self, *args, **kwargs):
        """SetToolLongHelp(wxAuiToolBar self, int toolId, wxString const & helpString)"""
        return _aui.wxAuiToolBar_SetToolLongHelp(self, *args, **kwargs)


    def SetCustomOverflowItems(self, *args, **kwargs):
        """SetCustomOverflowItems(wxAuiToolBar self, wxAuiToolBarItemArray const & prepend, wxAuiToolBarItemArray const & append)"""
        return _aui.wxAuiToolBar_SetCustomOverflowItems(self, *args, **kwargs)


    def GetHintSize(self, *args, **kwargs):
        """GetHintSize(wxAuiToolBar self, int dockDirection) -> wxSize"""
        return _aui.wxAuiToolBar_GetHintSize(self, *args, **kwargs)


    def IsPaneValid(self, *args, **kwargs):
        """IsPaneValid(wxAuiToolBar self, wxAuiPaneInfo pane) -> bool"""
        return _aui.wxAuiToolBar_IsPaneValid(self, *args, **kwargs)

wxAuiToolBar_swigregister = _aui.wxAuiToolBar_swigregister
wxAuiToolBar_swigregister(wxAuiToolBar)


_aui.wxEVT_AUITOOLBAR_TOOL_DROPDOWN_swigconstant(_aui)
wxEVT_AUITOOLBAR_TOOL_DROPDOWN = _aui.wxEVT_AUITOOLBAR_TOOL_DROPDOWN

_aui.wxEVT_AUITOOLBAR_OVERFLOW_CLICK_swigconstant(_aui)
wxEVT_AUITOOLBAR_OVERFLOW_CLICK = _aui.wxEVT_AUITOOLBAR_OVERFLOW_CLICK

_aui.wxEVT_AUITOOLBAR_RIGHT_CLICK_swigconstant(_aui)
wxEVT_AUITOOLBAR_RIGHT_CLICK = _aui.wxEVT_AUITOOLBAR_RIGHT_CLICK

_aui.wxEVT_AUITOOLBAR_MIDDLE_CLICK_swigconstant(_aui)
wxEVT_AUITOOLBAR_MIDDLE_CLICK = _aui.wxEVT_AUITOOLBAR_MIDDLE_CLICK

_aui.wxEVT_AUITOOLBAR_BEGIN_DRAG_swigconstant(_aui)
wxEVT_AUITOOLBAR_BEGIN_DRAG = _aui.wxEVT_AUITOOLBAR_BEGIN_DRAG

EVT_AUITOOLBAR_TOOL_DROPDOWN = wx.PyEventBinder( wxEVT_AUITOOLBAR_TOOL_DROPDOWN, 1 )
EVT_AUITOOLBAR_OVERFLOW_CLICK = wx.PyEventBinder( wxEVT_AUITOOLBAR_OVERFLOW_CLICK, 1 )
EVT_AUITOOLBAR_RIGHT_CLICK = wx.PyEventBinder( wxEVT_AUITOOLBAR_RIGHT_CLICK, 1 )
EVT_AUITOOLBAR_MIDDLE_CLICK = wx.PyEventBinder( wxEVT_AUITOOLBAR_MIDDLE_CLICK, 1 )
EVT_AUITOOLBAR_BEGIN_DRAG = wx.PyEventBinder( wxEVT_AUITOOLBAR_BEGIN_DRAG, 1 )

class wxAuiTabArt(object):
    """Proxy of C++ wxAuiTabArt class"""
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')

    def __init__(self, *args, **kwargs):
        raise AttributeError("No constructor defined - class is abstract")
    __repr__ = _swig_repr
    __swig_destroy__ = _aui.delete_wxAuiTabArt
    __del__ = lambda self: None

    def Clone(self, *args, **kwargs):
        """Clone(wxAuiTabArt self) -> wxAuiTabArt"""
        return _aui.wxAuiTabArt_Clone(self, *args, **kwargs)


    def SetFlags(self, *args, **kwargs):
        """SetFlags(wxAuiTabArt self, int flags)"""
        return _aui.wxAuiTabArt_SetFlags(self, *args, **kwargs)


    def SetSizingInfo(self, *args, **kwargs):
        """SetSizingInfo(wxAuiTabArt self, wxSize tabCtrlSize, size_t tabCount)"""
        return _aui.wxAuiTabArt_SetSizingInfo(self, *args, **kwargs)


    def SetNormalFont(self, *args, **kwargs):
        """SetNormalFont(wxAuiTabArt self, wxFont const & font)"""
        return _aui.wxAuiTabArt_SetNormalFont(self, *args, **kwargs)


    def SetSelectedFont(self, *args, **kwargs):
        """SetSelectedFont(wxAuiTabArt self, wxFont const & font)"""
        return _aui.wxAuiTabArt_SetSelectedFont(self, *args, **kwargs)


    def SetMeasuringFont(self, *args, **kwargs):
        """SetMeasuringFont(wxAuiTabArt self, wxFont const & font)"""
        return _aui.wxAuiTabArt_SetMeasuringFont(self, *args, **kwargs)


    def SetColour(self, *args, **kwargs):
        """SetColour(wxAuiTabArt self, wxColour const & colour)"""
        return _aui.wxAuiTabArt_SetColour(self, *args, **kwargs)


    def SetActiveColour(self, *args, **kwargs):
        """SetActiveColour(wxAuiTabArt self, wxColour const & colour)"""
        return _aui.wxAuiTabArt_SetActiveColour(self, *args, **kwargs)


    def DrawBorder(self, *args, **kwargs):
        """DrawBorder(wxAuiTabArt self, wxDC & dc, wxWindow wnd, wxRect rect)"""
        return _aui.wxAuiTabArt_DrawBorder(self, *args, **kwargs)


    def DrawBackground(self, *args, **kwargs):
        """DrawBackground(wxAuiTabArt self, wxDC & dc, wxWindow wnd, wxRect rect)"""
        return _aui.wxAuiTabArt_DrawBackground(self, *args, **kwargs)


    def ShowDropDown(self, *args, **kwargs):
        """ShowDropDown(wxAuiTabArt self, wxWindow wnd, wxAuiNotebookPageArray const & items, int activeIdx) -> int"""
        return _aui.wxAuiTabArt_ShowDropDown(self, *args, **kwargs)


    def GetIndentSize(self, *args, **kwargs):
        """GetIndentSize(wxAuiTabArt self) -> int"""
        return _aui.wxAuiTabArt_GetIndentSize(self, *args, **kwargs)


    def GetBorderWidth(self, *args, **kwargs):
        """GetBorderWidth(wxAuiTabArt self, wxWindow wnd) -> int"""
        return _aui.wxAuiTabArt_GetBorderWidth(self, *args, **kwargs)


    def GetAdditionalBorderSpace(self, *args, **kwargs):
        """GetAdditionalBorderSpace(wxAuiTabArt self, wxWindow wnd) -> int"""
        return _aui.wxAuiTabArt_GetAdditionalBorderSpace(self, *args, **kwargs)


    def GetBestTabCtrlSize(self, *args, **kwargs):
        """GetBestTabCtrlSize(wxAuiTabArt self, wxWindow wnd, wxAuiNotebookPageArray const & pages, wxSize requiredBmpSize) -> int"""
        return _aui.wxAuiTabArt_GetBestTabCtrlSize(self, *args, **kwargs)


    def DrawTab(self, *args, **kwargs):
        """DrawTab(wxAuiTabArt self, wxDC & dc, wxWindow wnd, wxAuiNotebookPage pane, wxRect in_rect, int close_button_state) -> PyObject *"""
        return _aui.wxAuiTabArt_DrawTab(self, *args, **kwargs)


    def DrawButton(self, *args, **kwargs):
        """DrawButton(wxAuiTabArt self, wxDC & dc, wxWindow wnd, wxRect in_rect, int bitmap_id, int button_state, int orientation) -> PyObject *"""
        return _aui.wxAuiTabArt_DrawButton(self, *args, **kwargs)


    def GetTabSize(self, *args, **kwargs):
        """GetTabSize(wxAuiTabArt self, wxDC & dc, wxWindow wnd, wxString const & caption, wxBitmap const & bitmap, bool active, int close_button_state) -> PyObject *"""
        return _aui.wxAuiTabArt_GetTabSize(self, *args, **kwargs)

wxAuiTabArt_swigregister = _aui.wxAuiTabArt_swigregister
wxAuiTabArt_swigregister(wxAuiTabArt)

class wxAuiGenericTabArt(wxAuiTabArt):
    """Proxy of C++ wxAuiGenericTabArt class"""
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    __repr__ = _swig_repr

    def __init__(self, *args, **kwargs):
        """__init__(wxAuiGenericTabArt self) -> wxAuiGenericTabArt"""
        _aui.wxAuiGenericTabArt_swiginit(self, _aui.new_wxAuiGenericTabArt(*args, **kwargs))
    __swig_destroy__ = _aui.delete_wxAuiGenericTabArt
    __del__ = lambda self: None
wxAuiGenericTabArt_swigregister = _aui.wxAuiGenericTabArt_swigregister
wxAuiGenericTabArt_swigregister(wxAuiGenericTabArt)

class wxAuiSimpleTabArt(wxAuiTabArt):
    """Proxy of C++ wxAuiSimpleTabArt class"""
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    __repr__ = _swig_repr

    def __init__(self, *args, **kwargs):
        """__init__(wxAuiSimpleTabArt self) -> wxAuiSimpleTabArt"""
        _aui.wxAuiSimpleTabArt_swiginit(self, _aui.new_wxAuiSimpleTabArt(*args, **kwargs))
    __swig_destroy__ = _aui.delete_wxAuiSimpleTabArt
    __del__ = lambda self: None
wxAuiSimpleTabArt_swigregister = _aui.wxAuiSimpleTabArt_swigregister
wxAuiSimpleTabArt_swigregister(wxAuiSimpleTabArt)

class wxPyAuiDockArt(wxAuiDefaultDockArt):
    """
    This version of the `AuiDockArt` class has been instrumented to be
    subclassable in Python and to reflect all calls to the C++ base class
    methods to the Python methods implemented in the derived class.
    """
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    __repr__ = _swig_repr

    def __init__(self, *args, **kwargs):
        """
        __init__(wxPyAuiDockArt self) -> wxPyAuiDockArt

        This version of the `AuiDockArt` class has been instrumented to be
        subclassable in Python and to reflect all calls to the C++ base class
        methods to the Python methods implemented in the derived class.
        """
        _aui.wxPyAuiDockArt_swiginit(self, _aui.new_wxPyAuiDockArt(*args, **kwargs))
        PyAuiDockArt._setCallbackInfo(self, self, PyAuiDockArt)



    def _setCallbackInfo(self, *args, **kwargs):
        """_setCallbackInfo(wxPyAuiDockArt self, PyObject * _self, PyObject * _class)"""
        return _aui.wxPyAuiDockArt__setCallbackInfo(self, *args, **kwargs)

wxPyAuiDockArt_swigregister = _aui.wxPyAuiDockArt_swigregister
wxPyAuiDockArt_swigregister(wxPyAuiDockArt)

class wxPyAuiTabArt(wxAuiGenericTabArt):
    """
    This version of the `TabArt` class has been instrumented to be
    subclassable in Python and to reflect all calls to the C++ base class
    methods to the Python methods implemented in the derived class.
    """
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    __repr__ = _swig_repr

    def __init__(self, *args, **kwargs):
        """
        __init__(wxPyAuiTabArt self) -> wxPyAuiTabArt

        This version of the `TabArt` class has been instrumented to be
        subclassable in Python and to reflect all calls to the C++ base class
        methods to the Python methods implemented in the derived class.
        """
        _aui.wxPyAuiTabArt_swiginit(self, _aui.new_wxPyAuiTabArt(*args, **kwargs))
        PyAuiTabArt._setCallbackInfo(self, self, PyAuiTabArt)



    def _setCallbackInfo(self, *args, **kwargs):
        """_setCallbackInfo(wxPyAuiTabArt self, PyObject * _self, PyObject * _class)"""
        return _aui.wxPyAuiTabArt__setCallbackInfo(self, *args, **kwargs)


    def GetNormalFont(self, *args, **kwargs):
        """GetNormalFont(wxPyAuiTabArt self) -> wxFont"""
        return _aui.wxPyAuiTabArt_GetNormalFont(self, *args, **kwargs)


    def GetSelectedFont(self, *args, **kwargs):
        """GetSelectedFont(wxPyAuiTabArt self) -> wxFont"""
        return _aui.wxPyAuiTabArt_GetSelectedFont(self, *args, **kwargs)


    def GetMeasuringFont(self, *args, **kwargs):
        """GetMeasuringFont(wxPyAuiTabArt self) -> wxFont"""
        return _aui.wxPyAuiTabArt_GetMeasuringFont(self, *args, **kwargs)


    def GetFlags(self, *args, **kwargs):
        """GetFlags(wxPyAuiTabArt self) -> int"""
        return _aui.wxPyAuiTabArt_GetFlags(self, *args, **kwargs)

wxPyAuiTabArt_swigregister = _aui.wxPyAuiTabArt_swigregister
wxPyAuiTabArt_swigregister(wxPyAuiTabArt)



